﻿// Circle Dock 0.9.2 - Copyright 2008 Eric Wong
// Circle Dock is open source software licensed under GNU GENERAL PUBLIC LICENSE V3. See included Licence.txt file.
// http://circledock.wikidot.com
// VideoInPicture@gmail.com

// This file contains the class and methods use to load the settings data for each of the dock items (the icon objects) in Circle Dock.


using System;
using System.Windows.Forms;
using System.Collections.Generic;
using System.Text;
using System.IO;

using AMS.Profile;      // Allows for .ini file manipulation

namespace DockItemSettingsLoader
{
    public class DockItemSettingsLoader
    {
        #region Variables

        private Profile DockItemSettingsSettingsINI;

        #endregion

        #region Constructor & Private Methods

        public DockItemSettingsLoader(String FilePath)
        {
            if (!File.Exists(FilePath))
            {
                MessageBox.Show(FilePath + @" is missing. Please replace the file. Circle Dock will now exit.", "Circle Dock");
                Application.Exit();
            }

            DockItemSettingsSettingsINI = new Ini(FilePath);
        }

        public String GetEntry(String Section, String EntryName)
        {
            return (String)DockItemSettingsSettingsINI.GetValue(Section, EntryName);
        }

        public String[] GetSectionNames()
        {
            return DockItemSettingsSettingsINI.GetSectionNames();
        }

        public String[] GetEntryNames(String Section)
        {
            return DockItemSettingsSettingsINI.GetEntryNames(Section);
        }

        public void SetEntry(String Section, String EntryName, String Value)
        {
            DockItemSettingsSettingsINI.SetValue(Section, EntryName, Value);
        }

        public void RemoveEntry(String Section, String EntryName)
        {
            DockItemSettingsSettingsINI.RemoveEntry(Section, EntryName);
        }

        public void RemoveSection(String Section)
        {
            DockItemSettingsSettingsINI.RemoveSection(Section);
        }

        #endregion

    }
}
