// Circle Dock 0.9.2 - Copyright 2008 Eric Wong
// Circle Dock is open source software licensed under GNU GENERAL PUBLIC LICENSE V3. See included Licence.txt file.
// http://circledock.wikidot.com
// VideoInPicture@gmail.com

// This is the settings panel for the program that allows the user to change the settings with real time updating of the dock.

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace SettingsPanel
{
	/// <summary>
	/// Settings panel that updates the dock in real time.
	/// </summary>
	public class DockSetup : System.Windows.Forms.Form
    {
        #region Form Creation

        #region Windows Forms Items
        private System.Windows.Forms.PictureBox ClosePictureBox;
		private System.Windows.Forms.PictureBox TitlePictureBox;
		private System.Windows.Forms.PictureBox pictureBox3;
		private System.Windows.Forms.Panel GeneralPanel;
		private System.Windows.Forms.Panel DockShapePanel;
		private System.Windows.Forms.Panel CentreButtonPanel;
		private System.Windows.Forms.Panel LabelsPanel;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Panel panel2;
		private System.Windows.Forms.Panel panel3;
		private System.Windows.Forms.Panel panel4;
		private System.Windows.Forms.PictureBox GeneralPicture;
		private System.Windows.Forms.PictureBox DockShapePicture;
		private System.Windows.Forms.PictureBox CentreButtonPicture;
		private System.Windows.Forms.PictureBox LabelsPicture;
		private System.Windows.Forms.PictureBox ItemPicture;
		private System.Windows.Forms.PictureBox ItemSelectedPicture;
		private System.Windows.Forms.Label GeneralLabel;
		private System.Windows.Forms.Label DockShapeLabel;
		private System.Windows.Forms.Label CentreButtonLabel;
        private System.Windows.Forms.Label LabelsLabel;
        private System.Windows.Forms.CheckBox CentreButtonShowStartMenuCB;
		private System.Windows.Forms.TrackBar CentreButtonNormalOpacityTB;
        private System.Windows.Forms.Label CentreButtonNormalOpacityValue;
		private System.Windows.Forms.Label CentreButtonNormalOpacityLabel;
		private System.Windows.Forms.PictureBox SavePictureBox;
		private System.Windows.Forms.Panel AboutPanel;
		private System.Windows.Forms.Panel panel6;
		private System.Windows.Forms.Label AboutLabel;
		private System.Windows.Forms.PictureBox AboutPicture;
		private System.Windows.Forms.PictureBox pictureBox1;
		private System.Windows.Forms.LinkLabel AboutHomepageLink;
        private System.Windows.Forms.LinkLabel AuthorLink;
		private System.Windows.Forms.Label VersionInfo;
        private System.Windows.Forms.Label VersionNameLabel;
		private System.Windows.Forms.Panel panel7;
		private System.Windows.Forms.Panel BackgroundPanel;
		private System.Windows.Forms.PictureBox BackgroundPicture;
        private System.Windows.Forms.Label BackgroundLabel;
        private System.Windows.Forms.Label AboutProjectName;
        private System.Windows.Forms.Label VersionInformationLabel;
        private System.Windows.Forms.Label AuthorLabel;
		private System.Windows.Forms.Label ConfigurationLabel;
        private System.Windows.Forms.Label ConfigurationDescriptionLabel;
        private System.Windows.Forms.Label AboutProjectDescriptionLabel;
		private System.Windows.Forms.Label DefaultCentreButtonLabel;
        private System.Windows.Forms.Label CentreButtonOtherSettingsLabel;
        private Panel HelpPanel;
        private Panel panel8;
        private Label HelpLabel;
        private PictureBox HelpPicture;
        private Panel AnimationPanel;
        private Panel panel9;
        private Label AnimationLabel;
        private PictureBox AnimationPicture;
        private Panel LocationPanel;
        private Panel panel10;
        private CheckBox CentreAroundCursorWhenShownCB;
        private Label LocationLabel;
        private PictureBox LocationPicture;
        private Panel TogglingPanel;
        private Panel panel11;
        private CheckBox ToggleVisibilityShiftCB;
        private CheckBox ToggleVisibilityAltCB;
        private CheckBox ToggleVisibilityCtrlCB;
        private Label ToggleVisibilityHotkeyLabel;
        private Label TogglingLabel;
        private PictureBox TogglingPicture;
        private Panel FileIconAssociationsPanel;
        private Panel panel12;
        private Label FileIconAssociationsLabel;
        private PictureBox FileIconAssociationsPicture;
        private Panel LanguagePanel;
        private Panel panel13;
        private Label LanguageLabel;
        private PictureBox LanguagePicture;
        private Panel DockItemsPanel;
        private Panel panel14;
        private Label DockItemsLabel;
        private PictureBox DockItemsPicture;
        private CheckBox ToggleVisibilityWinCB;
        private GroupBox groupBox1;
        private Label ToggleVisibilityHotkeyValid;
        private GroupBox groupBox4;
        private Label ToggleVisibilityMouseButtonLabel;
        private LinkLabel HelpWebForum;
        private LinkLabel HelpWebHelpFAQ;
        private Label HelpSupportLabel;
        private PictureBox pictureBox4;
        private CheckBox EnableDockRotationCB;
        private Label LanguageFileLocationLabel;
        private Label LanguageName;
        private Label LanguageNameTitleLabel;
        private ComboBox DockShapeComboBox;
        private RichTextBox richTextBox1;
        private Label LanguageFileVersion;
        private Label LanguageFileVersionTitleLabel;
        private Label LanguageFileAuthor;
        private Label LanguageFileAuthorTitleLabel;
        private Label LanguageIntendedVersion;
        private Label LanguageFileIntendedForTitle;
        private Label LanguageFileValidity;
        private DataGridView FileNameIconAssocationsTable;
        private Label FileNameIconAssociationsLabel;
        private Label FileIconAssociationsDescription;
        private Label FileExtensionIconAssociationsLabel;
        private Label FolderNameIconAssociationsLabel;
        private TextBox DockFolderDefaultImagePath;
        private PictureBox DockFolderDefaultImage;
        private Label DockFolderIconAssociationsLabel;
        private PictureBox DefaultCentreImagePictureBox;
        private TextBox DefaultCentreButtonImageTextBox;
        private LinkLabel LabelColorChangeLink;
        private LinkLabel LabelShadowColorChange;
        private PictureBox LabelColor;
        private PictureBox LabelShadowColor;
        private Label LabelShadowLabel;
        private LinkLabel LabelFontChangeLink;
        private Label LabelsFontName;
        private Label LabelsFontLabel;
        private Label LabelShadowSizeValue;
        private Label LabelShadowSizeLabel;
        private TrackBar LabelShadowSizeTB;
        private FontDialog LabelFontDialog;
        private ColorDialog LabelColorDialog;
        private ColorDialog LabelShadowColorDialog;
        private Label LabelShadowDarknessValue;
        private Label LabelShadowDarknessLabel;
        private TrackBar LabelShadowDarknessTB;
        private Label LabelNormalOpacityValue;
        private Label LabelNormalOpacityLabel;
        private TrackBar LabelNormalOpacityTB;
        private Label BackgroundNormalSizeValue;
        private Label BackgroundNormalSizeLabel;
        private TrackBar BackgroundNormalSizeTB;
        private Label BackgroundNormalOpacityValue;
        private Label BackgroundNormalOpacityLabel;
        private TrackBar BackgroundNormalOpacityTB;
        private TextBox BackgroundImageTextBox;
        private Button BackgroundImageBrowseButton;
        private PictureBox BackgroundImagePictureBox;
        private Label BackgroundImageLabel;
        private Label NumIconsPerCircleValue;
        private Label NumIconsPerCircleLabel;
        private TrackBar NumIconsPerCircleTB;
        private Label StartMenuResidueWarningLabel;
        private Label DockItemsRightClickMenuLabel;
        private CheckBox DockItemsShowExplorerContextMenusCB;
        private Label DockItemsNormalSizeValue;
        private Label DockItemsNormalSizeLabel;
        private TrackBar DockItemsNormalSizeTB;
        private Label DockItemsNormalOpacityValue;
        private Label DockItemsNormalOpacityLabel;
        private TrackBar DockItemsNormalOpacityTB;
        private Label ClickSensitivityValue;
        private Label SensitiveLabel;
        private Label ClickSensitivityLabel;
        private TrackBar ClickSensitivityTB;
        private Label GeneralFrameRateValue;
        private Label GeneralFrameRateLabel;
        private TrackBar GeneralFrameRateTB;
        private Label NotSensitiveLabel;
        private Label RotationAnimationDurationValue;
        private Label RotationAnimationDurationLabel;
        private TrackBar RotationAnimationDurationTB;
        private CheckBox DockItemsHideDockAfterExecutionCB;
        private Label DockItemsHideDockLabel;
        private DataGridView dataGridView2;
        private DataGridViewTextBoxColumn dataGridViewTextBoxColumn3;
        private DataGridViewTextBoxColumn dataGridViewTextBoxColumn4;
        private DataGridViewButtonColumn dataGridViewButtonColumn2;
        private DataGridViewCheckBoxColumn dataGridViewCheckBoxColumn4;
        private DataGridViewCheckBoxColumn dataGridViewCheckBoxColumn5;
        private DataGridViewCheckBoxColumn dataGridViewCheckBoxColumn6;
        private DataGridViewImageColumn dataGridViewImageColumn2;
        private DataGridView dataGridView1;
        private DataGridViewTextBoxColumn dataGridViewTextBoxColumn1;
        private DataGridViewTextBoxColumn dataGridViewTextBoxColumn2;
        private DataGridViewButtonColumn dataGridViewButtonColumn1;
        private DataGridViewCheckBoxColumn dataGridViewCheckBoxColumn1;
        private DataGridViewCheckBoxColumn dataGridViewCheckBoxColumn2;
        private DataGridViewCheckBoxColumn dataGridViewCheckBoxColumn3;
        private DataGridViewImageColumn dataGridViewImageColumn1;
        private DataGridViewTextBoxColumn FileName;
        private DataGridViewTextBoxColumn AssociatedDockIcon;
        private DataGridViewButtonColumn BrowseIconForFileName;
        private DataGridViewCheckBoxColumn StartsWith;
        private DataGridViewCheckBoxColumn EndsWith;
        private DataGridViewCheckBoxColumn ExactMatch;
        private DataGridViewImageColumn SampleIcon;
        private Label FadeInFadeOutDurationValue;
        private Label FadeInFadeOutDurationLabel;
        private TrackBar FadeInFadeOutDurationTB;
        private CheckBox PortabilityModeCB;
        private Label EdgeWidthHeightValue;
        private Label EdgeWidthHeightLabel;
        private TrackBar EdgeWidthHeightTB;
        private CheckBox ScreenBottomEdge;
        private CheckBox ScreenTopEdge;
        private CheckBox ScreenRightEdge;
        private CheckBox ScreenLeftEdge;
        private Label ShowDockWhenMouseMoveTo;
        private OpenFileDialog BackgroundImageFileDialog;
        private Label RotationSensitivityValue;
        private Label RotationSensitivityLabel;
        private TrackBar RotationSensitivityTB;
        private Label SeparationBetweenCirclesValue;
        private Label SeparationBetweenCirclesLabel;
        private TrackBar SeparationBetweenCirclesTB;
        private Label MinimumRadiusValue;
        private Label MinimumRadiusLabel;
        private TrackBar MinimumRadiusTB;
        private ComboBox ShapeFormatComboBox;
        private Label ShapeFormatLabel;
        private Label CentreButtonNormalSizeValue;
        private Label CentreButtonNormalSizeLabel;
        private TrackBar CentreButtonNormalSizeTB;
        private Button DefaultCentreButtonImageBrowse;
        private OpenFileDialog DefaultCentreButtonFileDialog;
        private Label ShowLabelsLabel;
        private CheckBox ShowLabelsMouseOverCB;
        private CheckBox ShowLabelsCB;
        private Label AboutWebsiteLabel;
        private LinkLabel AboutWebForum;
        private Button DockFolderDefaultImageBrowse;
        private Button LanguageFileLocationBrowse;
        private TextBox LanguageFileLocationTextBox;
        private Label LanguageProgramRestartRequired;
        private OpenFileDialog LanguageFileDialog;
        private OpenFileDialog DockFolderDefaultImageDialog;
        private CheckBox UseMemorySaveCB;
        private ComboBox ToggleVisiblityMouseButton;
        private ComboBox ToggleVisiblityKey1;
        private GroupBox groupBox7;
        private CheckBox UsePoofAnimationWhenDeletingCB;

        #endregion
        private ComboBox zLevelComboBox;
        private Label dwellTimeValue;
        private Label dwellTimeLabel;
        private TrackBar dwellTimeTrackBar;
        private Label zLevelLabel;
        private CheckBox lockDockPositionCheckBox;
        private NumericUpDown currentRotationValueNumericUpDown;
        private CheckBox useSameRotationValuesCB;
        private Label currentRotationValueLabel;
        private GroupBox generalRotationGroupBox;
        private CheckBox cbShowCircleDockOnLoad;
        private CheckBox cbAlwaysShowTopLevel;
        private Label label1;
        private GroupBox groupBox2;
        private CheckBox cbAutoHide;
        private Label label2;
        private CheckBox cbShowRealTimeCreation;
        private ToolTip toolTip;
        private Button bnResetRotationValues;
        private IContainer components;

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}


		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(DockSetup));
            this.GeneralPanel = new System.Windows.Forms.Panel();
            this.panel2 = new System.Windows.Forms.Panel();
            this.cbShowRealTimeCreation = new System.Windows.Forms.CheckBox();
            this.cbAlwaysShowTopLevel = new System.Windows.Forms.CheckBox();
            this.cbShowCircleDockOnLoad = new System.Windows.Forms.CheckBox();
            this.NotSensitiveLabel = new System.Windows.Forms.Label();
            this.SensitiveLabel = new System.Windows.Forms.Label();
            this.generalRotationGroupBox = new System.Windows.Forms.GroupBox();
            this.bnResetRotationValues = new System.Windows.Forms.Button();
            this.currentRotationValueLabel = new System.Windows.Forms.Label();
            this.currentRotationValueNumericUpDown = new System.Windows.Forms.NumericUpDown();
            this.useSameRotationValuesCB = new System.Windows.Forms.CheckBox();
            this.RotationSensitivityValue = new System.Windows.Forms.Label();
            this.RotationSensitivityLabel = new System.Windows.Forms.Label();
            this.RotationSensitivityTB = new System.Windows.Forms.TrackBar();
            this.EnableDockRotationCB = new System.Windows.Forms.CheckBox();
            this.zLevelLabel = new System.Windows.Forms.Label();
            this.zLevelComboBox = new System.Windows.Forms.ComboBox();
            this.UseMemorySaveCB = new System.Windows.Forms.CheckBox();
            this.PortabilityModeCB = new System.Windows.Forms.CheckBox();
            this.ClickSensitivityValue = new System.Windows.Forms.Label();
            this.ClickSensitivityLabel = new System.Windows.Forms.Label();
            this.ClickSensitivityTB = new System.Windows.Forms.TrackBar();
            this.GeneralLabel = new System.Windows.Forms.Label();
            this.GeneralPicture = new System.Windows.Forms.PictureBox();
            this.ConfigurationLabel = new System.Windows.Forms.Label();
            this.DockShapePanel = new System.Windows.Forms.Panel();
            this.panel3 = new System.Windows.Forms.Panel();
            this.ShapeFormatComboBox = new System.Windows.Forms.ComboBox();
            this.ShapeFormatLabel = new System.Windows.Forms.Label();
            this.SeparationBetweenCirclesValue = new System.Windows.Forms.Label();
            this.SeparationBetweenCirclesLabel = new System.Windows.Forms.Label();
            this.SeparationBetweenCirclesTB = new System.Windows.Forms.TrackBar();
            this.MinimumRadiusValue = new System.Windows.Forms.Label();
            this.MinimumRadiusLabel = new System.Windows.Forms.Label();
            this.MinimumRadiusTB = new System.Windows.Forms.TrackBar();
            this.NumIconsPerCircleValue = new System.Windows.Forms.Label();
            this.NumIconsPerCircleLabel = new System.Windows.Forms.Label();
            this.NumIconsPerCircleTB = new System.Windows.Forms.TrackBar();
            this.DockShapeComboBox = new System.Windows.Forms.ComboBox();
            this.DockShapeLabel = new System.Windows.Forms.Label();
            this.DockShapePicture = new System.Windows.Forms.PictureBox();
            this.CentreButtonPanel = new System.Windows.Forms.Panel();
            this.panel4 = new System.Windows.Forms.Panel();
            this.CentreButtonNormalSizeValue = new System.Windows.Forms.Label();
            this.CentreButtonNormalSizeLabel = new System.Windows.Forms.Label();
            this.CentreButtonNormalSizeTB = new System.Windows.Forms.TrackBar();
            this.DefaultCentreButtonImageBrowse = new System.Windows.Forms.Button();
            this.DefaultCentreButtonImageTextBox = new System.Windows.Forms.TextBox();
            this.DefaultCentreImagePictureBox = new System.Windows.Forms.PictureBox();
            this.CentreButtonShowStartMenuCB = new System.Windows.Forms.CheckBox();
            this.CentreButtonOtherSettingsLabel = new System.Windows.Forms.Label();
            this.CentreButtonNormalOpacityValue = new System.Windows.Forms.Label();
            this.CentreButtonNormalOpacityLabel = new System.Windows.Forms.Label();
            this.DefaultCentreButtonLabel = new System.Windows.Forms.Label();
            this.CentreButtonNormalOpacityTB = new System.Windows.Forms.TrackBar();
            this.StartMenuResidueWarningLabel = new System.Windows.Forms.Label();
            this.CentreButtonLabel = new System.Windows.Forms.Label();
            this.CentreButtonPicture = new System.Windows.Forms.PictureBox();
            this.LabelsPanel = new System.Windows.Forms.Panel();
            this.panel1 = new System.Windows.Forms.Panel();
            this.ShowLabelsLabel = new System.Windows.Forms.Label();
            this.ShowLabelsMouseOverCB = new System.Windows.Forms.CheckBox();
            this.ShowLabelsCB = new System.Windows.Forms.CheckBox();
            this.LabelNormalOpacityValue = new System.Windows.Forms.Label();
            this.LabelNormalOpacityLabel = new System.Windows.Forms.Label();
            this.LabelNormalOpacityTB = new System.Windows.Forms.TrackBar();
            this.LabelShadowDarknessValue = new System.Windows.Forms.Label();
            this.LabelShadowDarknessLabel = new System.Windows.Forms.Label();
            this.LabelShadowDarknessTB = new System.Windows.Forms.TrackBar();
            this.LabelShadowSizeValue = new System.Windows.Forms.Label();
            this.LabelShadowSizeLabel = new System.Windows.Forms.Label();
            this.LabelShadowSizeTB = new System.Windows.Forms.TrackBar();
            this.LabelColorChangeLink = new System.Windows.Forms.LinkLabel();
            this.LabelShadowColorChange = new System.Windows.Forms.LinkLabel();
            this.LabelColor = new System.Windows.Forms.PictureBox();
            this.LabelShadowColor = new System.Windows.Forms.PictureBox();
            this.LabelShadowLabel = new System.Windows.Forms.Label();
            this.LabelFontChangeLink = new System.Windows.Forms.LinkLabel();
            this.LabelsFontName = new System.Windows.Forms.Label();
            this.LabelsFontLabel = new System.Windows.Forms.Label();
            this.LabelsLabel = new System.Windows.Forms.Label();
            this.LabelsPicture = new System.Windows.Forms.PictureBox();
            this.ConfigurationDescriptionLabel = new System.Windows.Forms.Label();
            this.AboutPanel = new System.Windows.Forms.Panel();
            this.panel6 = new System.Windows.Forms.Panel();
            this.AboutWebsiteLabel = new System.Windows.Forms.Label();
            this.AboutWebForum = new System.Windows.Forms.LinkLabel();
            this.richTextBox1 = new System.Windows.Forms.RichTextBox();
            this.VersionNameLabel = new System.Windows.Forms.Label();
            this.VersionInfo = new System.Windows.Forms.Label();
            this.VersionInformationLabel = new System.Windows.Forms.Label();
            this.AuthorLink = new System.Windows.Forms.LinkLabel();
            this.AboutHomepageLink = new System.Windows.Forms.LinkLabel();
            this.AuthorLabel = new System.Windows.Forms.Label();
            this.AboutProjectDescriptionLabel = new System.Windows.Forms.Label();
            this.AboutProjectName = new System.Windows.Forms.Label();
            this.pictureBox1 = new System.Windows.Forms.PictureBox();
            this.AboutLabel = new System.Windows.Forms.Label();
            this.AboutPicture = new System.Windows.Forms.PictureBox();
            this.BackgroundPanel = new System.Windows.Forms.Panel();
            this.panel7 = new System.Windows.Forms.Panel();
            this.BackgroundNormalOpacityValue = new System.Windows.Forms.Label();
            this.BackgroundNormalSizeValue = new System.Windows.Forms.Label();
            this.BackgroundNormalSizeLabel = new System.Windows.Forms.Label();
            this.BackgroundNormalSizeTB = new System.Windows.Forms.TrackBar();
            this.BackgroundNormalOpacityLabel = new System.Windows.Forms.Label();
            this.BackgroundNormalOpacityTB = new System.Windows.Forms.TrackBar();
            this.BackgroundImageTextBox = new System.Windows.Forms.TextBox();
            this.BackgroundImageBrowseButton = new System.Windows.Forms.Button();
            this.BackgroundImagePictureBox = new System.Windows.Forms.PictureBox();
            this.BackgroundImageLabel = new System.Windows.Forms.Label();
            this.BackgroundLabel = new System.Windows.Forms.Label();
            this.BackgroundPicture = new System.Windows.Forms.PictureBox();
            this.HelpPanel = new System.Windows.Forms.Panel();
            this.panel8 = new System.Windows.Forms.Panel();
            this.pictureBox4 = new System.Windows.Forms.PictureBox();
            this.HelpWebForum = new System.Windows.Forms.LinkLabel();
            this.HelpWebHelpFAQ = new System.Windows.Forms.LinkLabel();
            this.HelpSupportLabel = new System.Windows.Forms.Label();
            this.HelpLabel = new System.Windows.Forms.Label();
            this.HelpPicture = new System.Windows.Forms.PictureBox();
            this.AnimationPanel = new System.Windows.Forms.Panel();
            this.panel9 = new System.Windows.Forms.Panel();
            this.UsePoofAnimationWhenDeletingCB = new System.Windows.Forms.CheckBox();
            this.FadeInFadeOutDurationValue = new System.Windows.Forms.Label();
            this.FadeInFadeOutDurationLabel = new System.Windows.Forms.Label();
            this.FadeInFadeOutDurationTB = new System.Windows.Forms.TrackBar();
            this.RotationAnimationDurationValue = new System.Windows.Forms.Label();
            this.RotationAnimationDurationLabel = new System.Windows.Forms.Label();
            this.RotationAnimationDurationTB = new System.Windows.Forms.TrackBar();
            this.GeneralFrameRateValue = new System.Windows.Forms.Label();
            this.GeneralFrameRateLabel = new System.Windows.Forms.Label();
            this.GeneralFrameRateTB = new System.Windows.Forms.TrackBar();
            this.AnimationLabel = new System.Windows.Forms.Label();
            this.AnimationPicture = new System.Windows.Forms.PictureBox();
            this.LocationPanel = new System.Windows.Forms.Panel();
            this.panel10 = new System.Windows.Forms.Panel();
            this.label1 = new System.Windows.Forms.Label();
            this.CentreAroundCursorWhenShownCB = new System.Windows.Forms.CheckBox();
            this.lockDockPositionCheckBox = new System.Windows.Forms.CheckBox();
            this.LocationLabel = new System.Windows.Forms.Label();
            this.LocationPicture = new System.Windows.Forms.PictureBox();
            this.TogglingPanel = new System.Windows.Forms.Panel();
            this.panel11 = new System.Windows.Forms.Panel();
            this.groupBox2 = new System.Windows.Forms.GroupBox();
            this.cbAutoHide = new System.Windows.Forms.CheckBox();
            this.label2 = new System.Windows.Forms.Label();
            this.groupBox7 = new System.Windows.Forms.GroupBox();
            this.dwellTimeValue = new System.Windows.Forms.Label();
            this.dwellTimeLabel = new System.Windows.Forms.Label();
            this.dwellTimeTrackBar = new System.Windows.Forms.TrackBar();
            this.EdgeWidthHeightValue = new System.Windows.Forms.Label();
            this.EdgeWidthHeightLabel = new System.Windows.Forms.Label();
            this.EdgeWidthHeightTB = new System.Windows.Forms.TrackBar();
            this.ScreenBottomEdge = new System.Windows.Forms.CheckBox();
            this.ScreenTopEdge = new System.Windows.Forms.CheckBox();
            this.ScreenRightEdge = new System.Windows.Forms.CheckBox();
            this.ScreenLeftEdge = new System.Windows.Forms.CheckBox();
            this.ShowDockWhenMouseMoveTo = new System.Windows.Forms.Label();
            this.groupBox4 = new System.Windows.Forms.GroupBox();
            this.ToggleVisiblityMouseButton = new System.Windows.Forms.ComboBox();
            this.ToggleVisibilityMouseButtonLabel = new System.Windows.Forms.Label();
            this.groupBox1 = new System.Windows.Forms.GroupBox();
            this.ToggleVisibilityHotkeyLabel = new System.Windows.Forms.Label();
            this.ToggleVisiblityKey1 = new System.Windows.Forms.ComboBox();
            this.ToggleVisibilityHotkeyValid = new System.Windows.Forms.Label();
            this.ToggleVisibilityWinCB = new System.Windows.Forms.CheckBox();
            this.ToggleVisibilityShiftCB = new System.Windows.Forms.CheckBox();
            this.ToggleVisibilityCtrlCB = new System.Windows.Forms.CheckBox();
            this.ToggleVisibilityAltCB = new System.Windows.Forms.CheckBox();
            this.TogglingLabel = new System.Windows.Forms.Label();
            this.TogglingPicture = new System.Windows.Forms.PictureBox();
            this.FileIconAssociationsPanel = new System.Windows.Forms.Panel();
            this.panel12 = new System.Windows.Forms.Panel();
            this.DockFolderDefaultImageBrowse = new System.Windows.Forms.Button();
            this.DockFolderDefaultImagePath = new System.Windows.Forms.TextBox();
            this.DockFolderDefaultImage = new System.Windows.Forms.PictureBox();
            this.DockFolderIconAssociationsLabel = new System.Windows.Forms.Label();
            this.dataGridView2 = new System.Windows.Forms.DataGridView();
            this.dataGridViewTextBoxColumn3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.dataGridViewTextBoxColumn4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.dataGridViewButtonColumn2 = new System.Windows.Forms.DataGridViewButtonColumn();
            this.dataGridViewCheckBoxColumn4 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
            this.dataGridViewCheckBoxColumn5 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
            this.dataGridViewCheckBoxColumn6 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
            this.dataGridViewImageColumn2 = new System.Windows.Forms.DataGridViewImageColumn();
            this.dataGridView1 = new System.Windows.Forms.DataGridView();
            this.dataGridViewTextBoxColumn1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.dataGridViewTextBoxColumn2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.dataGridViewButtonColumn1 = new System.Windows.Forms.DataGridViewButtonColumn();
            this.dataGridViewCheckBoxColumn1 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
            this.dataGridViewCheckBoxColumn2 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
            this.dataGridViewCheckBoxColumn3 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
            this.dataGridViewImageColumn1 = new System.Windows.Forms.DataGridViewImageColumn();
            this.FileIconAssociationsDescription = new System.Windows.Forms.Label();
            this.FileExtensionIconAssociationsLabel = new System.Windows.Forms.Label();
            this.FolderNameIconAssociationsLabel = new System.Windows.Forms.Label();
            this.FileNameIconAssociationsLabel = new System.Windows.Forms.Label();
            this.FileNameIconAssocationsTable = new System.Windows.Forms.DataGridView();
            this.FileName = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.AssociatedDockIcon = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.BrowseIconForFileName = new System.Windows.Forms.DataGridViewButtonColumn();
            this.StartsWith = new System.Windows.Forms.DataGridViewCheckBoxColumn();
            this.EndsWith = new System.Windows.Forms.DataGridViewCheckBoxColumn();
            this.ExactMatch = new System.Windows.Forms.DataGridViewCheckBoxColumn();
            this.SampleIcon = new System.Windows.Forms.DataGridViewImageColumn();
            this.FileIconAssociationsLabel = new System.Windows.Forms.Label();
            this.FileIconAssociationsPicture = new System.Windows.Forms.PictureBox();
            this.LanguagePanel = new System.Windows.Forms.Panel();
            this.panel13 = new System.Windows.Forms.Panel();
            this.LanguageProgramRestartRequired = new System.Windows.Forms.Label();
            this.LanguageFileLocationBrowse = new System.Windows.Forms.Button();
            this.LanguageFileLocationTextBox = new System.Windows.Forms.TextBox();
            this.LanguageFileValidity = new System.Windows.Forms.Label();
            this.LanguageIntendedVersion = new System.Windows.Forms.Label();
            this.LanguageFileIntendedForTitle = new System.Windows.Forms.Label();
            this.LanguageFileVersion = new System.Windows.Forms.Label();
            this.LanguageFileVersionTitleLabel = new System.Windows.Forms.Label();
            this.LanguageFileAuthor = new System.Windows.Forms.Label();
            this.LanguageFileAuthorTitleLabel = new System.Windows.Forms.Label();
            this.LanguageName = new System.Windows.Forms.Label();
            this.LanguageNameTitleLabel = new System.Windows.Forms.Label();
            this.LanguageFileLocationLabel = new System.Windows.Forms.Label();
            this.LanguageLabel = new System.Windows.Forms.Label();
            this.LanguagePicture = new System.Windows.Forms.PictureBox();
            this.DockItemsPanel = new System.Windows.Forms.Panel();
            this.panel14 = new System.Windows.Forms.Panel();
            this.DockItemsHideDockAfterExecutionCB = new System.Windows.Forms.CheckBox();
            this.DockItemsHideDockLabel = new System.Windows.Forms.Label();
            this.DockItemsRightClickMenuLabel = new System.Windows.Forms.Label();
            this.DockItemsShowExplorerContextMenusCB = new System.Windows.Forms.CheckBox();
            this.DockItemsNormalSizeValue = new System.Windows.Forms.Label();
            this.DockItemsNormalSizeLabel = new System.Windows.Forms.Label();
            this.DockItemsNormalSizeTB = new System.Windows.Forms.TrackBar();
            this.DockItemsNormalOpacityValue = new System.Windows.Forms.Label();
            this.DockItemsNormalOpacityLabel = new System.Windows.Forms.Label();
            this.DockItemsNormalOpacityTB = new System.Windows.Forms.TrackBar();
            this.DockItemsLabel = new System.Windows.Forms.Label();
            this.DockItemsPicture = new System.Windows.Forms.PictureBox();
            this.SavePictureBox = new System.Windows.Forms.PictureBox();
            this.ItemSelectedPicture = new System.Windows.Forms.PictureBox();
            this.ItemPicture = new System.Windows.Forms.PictureBox();
            this.pictureBox3 = new System.Windows.Forms.PictureBox();
            this.ClosePictureBox = new System.Windows.Forms.PictureBox();
            this.TitlePictureBox = new System.Windows.Forms.PictureBox();
            this.LabelFontDialog = new System.Windows.Forms.FontDialog();
            this.LabelColorDialog = new System.Windows.Forms.ColorDialog();
            this.LabelShadowColorDialog = new System.Windows.Forms.ColorDialog();
            this.BackgroundImageFileDialog = new System.Windows.Forms.OpenFileDialog();
            this.DefaultCentreButtonFileDialog = new System.Windows.Forms.OpenFileDialog();
            this.LanguageFileDialog = new System.Windows.Forms.OpenFileDialog();
            this.DockFolderDefaultImageDialog = new System.Windows.Forms.OpenFileDialog();
            this.toolTip = new System.Windows.Forms.ToolTip(this.components);
            this.GeneralPanel.SuspendLayout();
            this.panel2.SuspendLayout();
            this.generalRotationGroupBox.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.currentRotationValueNumericUpDown)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.RotationSensitivityTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ClickSensitivityTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.GeneralPicture)).BeginInit();
            this.DockShapePanel.SuspendLayout();
            this.panel3.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.SeparationBetweenCirclesTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.MinimumRadiusTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.NumIconsPerCircleTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.DockShapePicture)).BeginInit();
            this.CentreButtonPanel.SuspendLayout();
            this.panel4.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.CentreButtonNormalSizeTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.DefaultCentreImagePictureBox)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.CentreButtonNormalOpacityTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.CentreButtonPicture)).BeginInit();
            this.LabelsPanel.SuspendLayout();
            this.panel1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.LabelNormalOpacityTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.LabelShadowDarknessTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.LabelShadowSizeTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.LabelColor)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.LabelShadowColor)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.LabelsPicture)).BeginInit();
            this.AboutPanel.SuspendLayout();
            this.panel6.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.AboutPicture)).BeginInit();
            this.BackgroundPanel.SuspendLayout();
            this.panel7.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.BackgroundNormalSizeTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.BackgroundNormalOpacityTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.BackgroundImagePictureBox)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.BackgroundPicture)).BeginInit();
            this.HelpPanel.SuspendLayout();
            this.panel8.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox4)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.HelpPicture)).BeginInit();
            this.AnimationPanel.SuspendLayout();
            this.panel9.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.FadeInFadeOutDurationTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.RotationAnimationDurationTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.GeneralFrameRateTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.AnimationPicture)).BeginInit();
            this.LocationPanel.SuspendLayout();
            this.panel10.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.LocationPicture)).BeginInit();
            this.TogglingPanel.SuspendLayout();
            this.panel11.SuspendLayout();
            this.groupBox2.SuspendLayout();
            this.groupBox7.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.dwellTimeTrackBar)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.EdgeWidthHeightTB)).BeginInit();
            this.groupBox4.SuspendLayout();
            this.groupBox1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.TogglingPicture)).BeginInit();
            this.FileIconAssociationsPanel.SuspendLayout();
            this.panel12.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.DockFolderDefaultImage)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.dataGridView2)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.dataGridView1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.FileNameIconAssocationsTable)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.FileIconAssociationsPicture)).BeginInit();
            this.LanguagePanel.SuspendLayout();
            this.panel13.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.LanguagePicture)).BeginInit();
            this.DockItemsPanel.SuspendLayout();
            this.panel14.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.DockItemsNormalSizeTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.DockItemsNormalOpacityTB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.DockItemsPicture)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.SavePictureBox)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ItemSelectedPicture)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ItemPicture)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox3)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ClosePictureBox)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.TitlePictureBox)).BeginInit();
            this.SuspendLayout();
            // 
            // GeneralPanel
            // 
            this.GeneralPanel.BackColor = System.Drawing.SystemColors.Control;
            this.GeneralPanel.Controls.Add(this.panel2);
            this.GeneralPanel.Controls.Add(this.GeneralLabel);
            this.GeneralPanel.Controls.Add(this.GeneralPicture);
            this.GeneralPanel.ForeColor = System.Drawing.Color.Black;
            this.GeneralPanel.Location = new System.Drawing.Point(29, 64);
            this.GeneralPanel.Name = "GeneralPanel";
            this.GeneralPanel.Size = new System.Drawing.Size(596, 339);
            this.GeneralPanel.TabIndex = 0;
            this.GeneralPanel.Tag = "340";
            // 
            // panel2
            // 
            this.panel2.BackColor = System.Drawing.Color.White;
            this.panel2.Controls.Add(this.cbShowRealTimeCreation);
            this.panel2.Controls.Add(this.cbAlwaysShowTopLevel);
            this.panel2.Controls.Add(this.cbShowCircleDockOnLoad);
            this.panel2.Controls.Add(this.NotSensitiveLabel);
            this.panel2.Controls.Add(this.SensitiveLabel);
            this.panel2.Controls.Add(this.generalRotationGroupBox);
            this.panel2.Controls.Add(this.zLevelLabel);
            this.panel2.Controls.Add(this.zLevelComboBox);
            this.panel2.Controls.Add(this.UseMemorySaveCB);
            this.panel2.Controls.Add(this.PortabilityModeCB);
            this.panel2.Controls.Add(this.ClickSensitivityValue);
            this.panel2.Controls.Add(this.ClickSensitivityLabel);
            this.panel2.Controls.Add(this.ClickSensitivityTB);
            this.panel2.Location = new System.Drawing.Point(4, 24);
            this.panel2.Name = "panel2";
            this.panel2.Size = new System.Drawing.Size(588, 312);
            this.panel2.TabIndex = 2;
            // 
            // cbShowRealTimeCreation
            // 
            this.cbShowRealTimeCreation.AutoSize = true;
            this.cbShowRealTimeCreation.Location = new System.Drawing.Point(337, 6);
            this.cbShowRealTimeCreation.Name = "cbShowRealTimeCreation";
            this.cbShowRealTimeCreation.Size = new System.Drawing.Size(236, 17);
            this.cbShowRealTimeCreation.TabIndex = 58;
            this.cbShowRealTimeCreation.Text = "Fast Draw - show items as they are created";
            this.toolTip.SetToolTip(this.cbShowRealTimeCreation, resources.GetString("cbShowRealTimeCreation.ToolTip"));
            this.cbShowRealTimeCreation.UseVisualStyleBackColor = true;
            this.cbShowRealTimeCreation.CheckedChanged += new System.EventHandler(this.cbShowRealTimeCreation_CheckedChanged);
            // 
            // cbAlwaysShowTopLevel
            // 
            this.cbAlwaysShowTopLevel.AutoSize = true;
            this.cbAlwaysShowTopLevel.Location = new System.Drawing.Point(337, 96);
            this.cbAlwaysShowTopLevel.Name = "cbAlwaysShowTopLevel";
            this.cbAlwaysShowTopLevel.Size = new System.Drawing.Size(150, 17);
            this.cbAlwaysShowTopLevel.TabIndex = 57;
            this.cbAlwaysShowTopLevel.Text = "Always return to top level";
            this.cbAlwaysShowTopLevel.UseVisualStyleBackColor = true;
            this.cbAlwaysShowTopLevel.CheckedChanged += new System.EventHandler(this.cbAlwaysShowTopLevel_CheckedChanged);
            // 
            // cbShowCircleDockOnLoad
            // 
            this.cbShowCircleDockOnLoad.AutoSize = true;
            this.cbShowCircleDockOnLoad.Checked = true;
            this.cbShowCircleDockOnLoad.CheckState = System.Windows.Forms.CheckState.Checked;
            this.cbShowCircleDockOnLoad.Location = new System.Drawing.Point(337, 73);
            this.cbShowCircleDockOnLoad.Name = "cbShowCircleDockOnLoad";
            this.cbShowCircleDockOnLoad.Size = new System.Drawing.Size(145, 17);
            this.cbShowCircleDockOnLoad.TabIndex = 56;
            this.cbShowCircleDockOnLoad.Text = "Show Circle Dock on load";
            this.cbShowCircleDockOnLoad.UseVisualStyleBackColor = true;
            this.cbShowCircleDockOnLoad.CheckedChanged += new System.EventHandler(this.cbShowCircleDockOnLoad_CheckedChanged);
            // 
            // NotSensitiveLabel
            // 
            this.NotSensitiveLabel.BackColor = System.Drawing.Color.Transparent;
            this.NotSensitiveLabel.Location = new System.Drawing.Point(467, 169);
            this.NotSensitiveLabel.Name = "NotSensitiveLabel";
            this.NotSensitiveLabel.Size = new System.Drawing.Size(115, 17);
            this.NotSensitiveLabel.TabIndex = 43;
            this.NotSensitiveLabel.Text = "Not Sensitive";
            this.NotSensitiveLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // SensitiveLabel
            // 
            this.SensitiveLabel.BackColor = System.Drawing.Color.Transparent;
            this.SensitiveLabel.Location = new System.Drawing.Point(299, 168);
            this.SensitiveLabel.Name = "SensitiveLabel";
            this.SensitiveLabel.Size = new System.Drawing.Size(119, 18);
            this.SensitiveLabel.TabIndex = 42;
            this.SensitiveLabel.Text = "Sensitive";
            this.SensitiveLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // generalRotationGroupBox
            // 
            this.generalRotationGroupBox.Controls.Add(this.bnResetRotationValues);
            this.generalRotationGroupBox.Controls.Add(this.currentRotationValueLabel);
            this.generalRotationGroupBox.Controls.Add(this.currentRotationValueNumericUpDown);
            this.generalRotationGroupBox.Controls.Add(this.useSameRotationValuesCB);
            this.generalRotationGroupBox.Controls.Add(this.RotationSensitivityValue);
            this.generalRotationGroupBox.Controls.Add(this.RotationSensitivityLabel);
            this.generalRotationGroupBox.Controls.Add(this.RotationSensitivityTB);
            this.generalRotationGroupBox.Controls.Add(this.EnableDockRotationCB);
            this.generalRotationGroupBox.Location = new System.Drawing.Point(9, 6);
            this.generalRotationGroupBox.Margin = new System.Windows.Forms.Padding(0, 3, 0, 3);
            this.generalRotationGroupBox.Name = "generalRotationGroupBox";
            this.generalRotationGroupBox.Padding = new System.Windows.Forms.Padding(0, 3, 0, 3);
            this.generalRotationGroupBox.Size = new System.Drawing.Size(288, 294);
            this.generalRotationGroupBox.TabIndex = 55;
            this.generalRotationGroupBox.TabStop = false;
            // 
            // bnResetRotationValues
            // 
            this.bnResetRotationValues.Location = new System.Drawing.Point(6, 267);
            this.bnResetRotationValues.Name = "bnResetRotationValues";
            this.bnResetRotationValues.Size = new System.Drawing.Size(279, 21);
            this.bnResetRotationValues.TabIndex = 47;
            this.bnResetRotationValues.Text = "Reset Rotation Values for Max Number of Icons / Circle";
            this.toolTip.SetToolTip(this.bnResetRotationValues, "This modifies the above values by recalculating\r\nthe values based on the maximum " +
                    "number of\r\nitems that can/will be placed on a single circle.\r\n\r\nSee \"Dock Shape\"" +
                    " for the related settings.");
            this.bnResetRotationValues.UseVisualStyleBackColor = true;
            this.bnResetRotationValues.Click += new System.EventHandler(this.bnResetRotationValues_Click);
            // 
            // currentRotationValueLabel
            // 
            this.currentRotationValueLabel.BackColor = System.Drawing.Color.Transparent;
            this.currentRotationValueLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.currentRotationValueLabel.Location = new System.Drawing.Point(11, 191);
            this.currentRotationValueLabel.Name = "currentRotationValueLabel";
            this.currentRotationValueLabel.Size = new System.Drawing.Size(267, 23);
            this.currentRotationValueLabel.TabIndex = 54;
            this.currentRotationValueLabel.Text = "Set Rotation (Degrees)";
            this.currentRotationValueLabel.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            // 
            // currentRotationValueNumericUpDown
            // 
            this.currentRotationValueNumericUpDown.Location = new System.Drawing.Point(81, 227);
            this.currentRotationValueNumericUpDown.Maximum = new decimal(new int[] {
            360,
            0,
            0,
            0});
            this.currentRotationValueNumericUpDown.Name = "currentRotationValueNumericUpDown";
            this.currentRotationValueNumericUpDown.Size = new System.Drawing.Size(126, 21);
            this.currentRotationValueNumericUpDown.TabIndex = 53;
            this.currentRotationValueNumericUpDown.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
            this.currentRotationValueNumericUpDown.ValueChanged += new System.EventHandler(this.currentRotationValueNumericUpDown_ValueChanged);
            // 
            // useSameRotationValuesCB
            // 
            this.useSameRotationValuesCB.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.useSameRotationValuesCB.Location = new System.Drawing.Point(16, 37);
            this.useSameRotationValuesCB.Name = "useSameRotationValuesCB";
            this.useSameRotationValuesCB.Size = new System.Drawing.Size(246, 33);
            this.useSameRotationValuesCB.TabIndex = 52;
            this.useSameRotationValuesCB.Text = "Use Same Rotation Values for All Dock Levels";
            this.useSameRotationValuesCB.CheckedChanged += new System.EventHandler(this.useSameRotationValuesCB_CheckedChanged);
            // 
            // RotationSensitivityValue
            // 
            this.RotationSensitivityValue.Location = new System.Drawing.Point(84, 175);
            this.RotationSensitivityValue.Name = "RotationSensitivityValue";
            this.RotationSensitivityValue.Size = new System.Drawing.Size(123, 16);
            this.RotationSensitivityValue.TabIndex = 48;
            this.RotationSensitivityValue.Text = "250";
            this.RotationSensitivityValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // RotationSensitivityLabel
            // 
            this.RotationSensitivityLabel.BackColor = System.Drawing.Color.Transparent;
            this.RotationSensitivityLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.RotationSensitivityLabel.Location = new System.Drawing.Point(6, 67);
            this.RotationSensitivityLabel.Name = "RotationSensitivityLabel";
            this.RotationSensitivityLabel.Size = new System.Drawing.Size(275, 58);
            this.RotationSensitivityLabel.TabIndex = 47;
            this.RotationSensitivityLabel.Text = "Key Presses / Mouse Wheel Scrolls Per Rotation";
            this.RotationSensitivityLabel.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            // 
            // RotationSensitivityTB
            // 
            this.RotationSensitivityTB.Location = new System.Drawing.Point(5, 143);
            this.RotationSensitivityTB.Maximum = 360;
            this.RotationSensitivityTB.Minimum = 1;
            this.RotationSensitivityTB.Name = "RotationSensitivityTB";
            this.RotationSensitivityTB.Size = new System.Drawing.Size(281, 45);
            this.RotationSensitivityTB.TabIndex = 46;
            this.RotationSensitivityTB.TickFrequency = 10;
            this.toolTip.SetToolTip(this.RotationSensitivityTB, "Modifies the above values based on the maximum number of icons that can be placed" +
                    " in a single circle.");
            this.RotationSensitivityTB.Value = 1;
            this.RotationSensitivityTB.Scroll += new System.EventHandler(this.RotationSensitivityTB_Scroll);
            // 
            // EnableDockRotationCB
            // 
            this.EnableDockRotationCB.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.EnableDockRotationCB.Location = new System.Drawing.Point(16, 17);
            this.EnableDockRotationCB.Name = "EnableDockRotationCB";
            this.EnableDockRotationCB.Size = new System.Drawing.Size(272, 25);
            this.EnableDockRotationCB.TabIndex = 5;
            this.EnableDockRotationCB.Text = "Enable Dock Rotation";
            this.EnableDockRotationCB.CheckedChanged += new System.EventHandler(this.EnableDockRotationCB_CheckedChanged);
            // 
            // zLevelLabel
            // 
            this.zLevelLabel.BackColor = System.Drawing.Color.Transparent;
            this.zLevelLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.zLevelLabel.Location = new System.Drawing.Point(305, 237);
            this.zLevelLabel.Name = "zLevelLabel";
            this.zLevelLabel.Size = new System.Drawing.Size(274, 23);
            this.zLevelLabel.TabIndex = 51;
            this.zLevelLabel.Text = "Z-Level";
            this.zLevelLabel.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            // 
            // zLevelComboBox
            // 
            this.zLevelComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.zLevelComboBox.Items.AddRange(new object[] {
            "Topmost",
            "Normal",
            "Always On Bottom"});
            this.zLevelComboBox.Location = new System.Drawing.Point(329, 279);
            this.zLevelComboBox.Name = "zLevelComboBox";
            this.zLevelComboBox.Size = new System.Drawing.Size(244, 21);
            this.zLevelComboBox.TabIndex = 50;
            this.zLevelComboBox.SelectedIndexChanged += new System.EventHandler(this.zLevelComboBox_SelectedIndexChanged);
            // 
            // UseMemorySaveCB
            // 
            this.UseMemorySaveCB.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.UseMemorySaveCB.Location = new System.Drawing.Point(337, 43);
            this.UseMemorySaveCB.Name = "UseMemorySaveCB";
            this.UseMemorySaveCB.Size = new System.Drawing.Size(246, 33);
            this.UseMemorySaveCB.TabIndex = 49;
            this.UseMemorySaveCB.Text = "Use Memory Saver";
            this.UseMemorySaveCB.CheckedChanged += new System.EventHandler(this.UseMemorySaveCB_CheckedChanged);
            // 
            // PortabilityModeCB
            // 
            this.PortabilityModeCB.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.PortabilityModeCB.Location = new System.Drawing.Point(337, 23);
            this.PortabilityModeCB.Name = "PortabilityModeCB";
            this.PortabilityModeCB.Size = new System.Drawing.Size(248, 25);
            this.PortabilityModeCB.TabIndex = 45;
            this.PortabilityModeCB.Text = "Enable Portability Mode";
            this.PortabilityModeCB.CheckedChanged += new System.EventHandler(this.PortabilityModeCB_CheckedChanged);
            // 
            // ClickSensitivityValue
            // 
            this.ClickSensitivityValue.BackColor = System.Drawing.Color.Transparent;
            this.ClickSensitivityValue.Location = new System.Drawing.Point(377, 218);
            this.ClickSensitivityValue.Name = "ClickSensitivityValue";
            this.ClickSensitivityValue.Size = new System.Drawing.Size(123, 16);
            this.ClickSensitivityValue.TabIndex = 41;
            this.ClickSensitivityValue.Text = "250";
            this.ClickSensitivityValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // ClickSensitivityLabel
            // 
            this.ClickSensitivityLabel.BackColor = System.Drawing.Color.Transparent;
            this.ClickSensitivityLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.ClickSensitivityLabel.Location = new System.Drawing.Point(326, 133);
            this.ClickSensitivityLabel.Name = "ClickSensitivityLabel";
            this.ClickSensitivityLabel.Size = new System.Drawing.Size(242, 26);
            this.ClickSensitivityLabel.TabIndex = 40;
            this.ClickSensitivityLabel.Text = "Click Sensitivity";
            this.ClickSensitivityLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // ClickSensitivityTB
            // 
            this.ClickSensitivityTB.Location = new System.Drawing.Point(337, 189);
            this.ClickSensitivityTB.Maximum = 100;
            this.ClickSensitivityTB.Name = "ClickSensitivityTB";
            this.ClickSensitivityTB.Size = new System.Drawing.Size(220, 45);
            this.ClickSensitivityTB.TabIndex = 39;
            this.ClickSensitivityTB.TickFrequency = 10;
            this.ClickSensitivityTB.Value = 1;
            this.ClickSensitivityTB.Scroll += new System.EventHandler(this.ClickSensitivityTB_Scroll);
            // 
            // GeneralLabel
            // 
            this.GeneralLabel.BackColor = System.Drawing.Color.Transparent;
            this.GeneralLabel.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.GeneralLabel.ForeColor = System.Drawing.SystemColors.WindowText;
            this.GeneralLabel.Location = new System.Drawing.Point(28, 4);
            this.GeneralLabel.Name = "GeneralLabel";
            this.GeneralLabel.Size = new System.Drawing.Size(552, 16);
            this.GeneralLabel.TabIndex = 1;
            this.GeneralLabel.Text = "General";
            this.GeneralLabel.Click += new System.EventHandler(this.GeneralPicture_Click);
            // 
            // GeneralPicture
            // 
            this.GeneralPicture.BackColor = System.Drawing.SystemColors.Control;
            this.GeneralPicture.Location = new System.Drawing.Point(4, 0);
            this.GeneralPicture.Name = "GeneralPicture";
            this.GeneralPicture.Size = new System.Drawing.Size(588, 24);
            this.GeneralPicture.TabIndex = 0;
            this.GeneralPicture.TabStop = false;
            this.GeneralPicture.Click += new System.EventHandler(this.GeneralPicture_Click);
            // 
            // ConfigurationLabel
            // 
            this.ConfigurationLabel.BackColor = System.Drawing.Color.White;
            this.ConfigurationLabel.Font = new System.Drawing.Font("Tahoma", 18F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.ConfigurationLabel.Location = new System.Drawing.Point(81, 6);
            this.ConfigurationLabel.Name = "ConfigurationLabel";
            this.ConfigurationLabel.Size = new System.Drawing.Size(476, 32);
            this.ConfigurationLabel.TabIndex = 3;
            this.ConfigurationLabel.Text = "Circle Dock Configuration";
            // 
            // DockShapePanel
            // 
            this.DockShapePanel.BackColor = System.Drawing.SystemColors.Control;
            this.DockShapePanel.Controls.Add(this.panel3);
            this.DockShapePanel.Controls.Add(this.DockShapeLabel);
            this.DockShapePanel.Controls.Add(this.DockShapePicture);
            this.DockShapePanel.ForeColor = System.Drawing.Color.Black;
            this.DockShapePanel.Location = new System.Drawing.Point(29, 409);
            this.DockShapePanel.Name = "DockShapePanel";
            this.DockShapePanel.Size = new System.Drawing.Size(596, 292);
            this.DockShapePanel.TabIndex = 1;
            this.DockShapePanel.Tag = "267";
            // 
            // panel3
            // 
            this.panel3.BackColor = System.Drawing.Color.White;
            this.panel3.Controls.Add(this.ShapeFormatComboBox);
            this.panel3.Controls.Add(this.ShapeFormatLabel);
            this.panel3.Controls.Add(this.SeparationBetweenCirclesValue);
            this.panel3.Controls.Add(this.SeparationBetweenCirclesLabel);
            this.panel3.Controls.Add(this.SeparationBetweenCirclesTB);
            this.panel3.Controls.Add(this.MinimumRadiusValue);
            this.panel3.Controls.Add(this.MinimumRadiusLabel);
            this.panel3.Controls.Add(this.MinimumRadiusTB);
            this.panel3.Controls.Add(this.NumIconsPerCircleValue);
            this.panel3.Controls.Add(this.NumIconsPerCircleLabel);
            this.panel3.Controls.Add(this.NumIconsPerCircleTB);
            this.panel3.Controls.Add(this.DockShapeComboBox);
            this.panel3.Location = new System.Drawing.Point(3, 32);
            this.panel3.Name = "panel3";
            this.panel3.Size = new System.Drawing.Size(588, 239);
            this.panel3.TabIndex = 2;
            // 
            // ShapeFormatComboBox
            // 
            this.ShapeFormatComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.ShapeFormatComboBox.Items.AddRange(new object[] {
            "Constant Number of Items Per Circle"});
            this.ShapeFormatComboBox.Location = new System.Drawing.Point(300, 165);
            this.ShapeFormatComboBox.Name = "ShapeFormatComboBox";
            this.ShapeFormatComboBox.Size = new System.Drawing.Size(250, 21);
            this.ShapeFormatComboBox.TabIndex = 46;
            this.ShapeFormatComboBox.SelectedIndexChanged += new System.EventHandler(this.ShapeFormatComboBox_SelectedIndexChanged);
            // 
            // ShapeFormatLabel
            // 
            this.ShapeFormatLabel.BackColor = System.Drawing.Color.Transparent;
            this.ShapeFormatLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.ShapeFormatLabel.Location = new System.Drawing.Point(270, 142);
            this.ShapeFormatLabel.Name = "ShapeFormatLabel";
            this.ShapeFormatLabel.Size = new System.Drawing.Size(312, 16);
            this.ShapeFormatLabel.TabIndex = 45;
            this.ShapeFormatLabel.Text = "Format";
            this.ShapeFormatLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // SeparationBetweenCirclesValue
            // 
            this.SeparationBetweenCirclesValue.Location = new System.Drawing.Point(57, 194);
            this.SeparationBetweenCirclesValue.Name = "SeparationBetweenCirclesValue";
            this.SeparationBetweenCirclesValue.Size = new System.Drawing.Size(220, 16);
            this.SeparationBetweenCirclesValue.TabIndex = 44;
            this.SeparationBetweenCirclesValue.Text = "250";
            this.SeparationBetweenCirclesValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // SeparationBetweenCirclesLabel
            // 
            this.SeparationBetweenCirclesLabel.BackColor = System.Drawing.Color.Transparent;
            this.SeparationBetweenCirclesLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.SeparationBetweenCirclesLabel.Location = new System.Drawing.Point(10, 142);
            this.SeparationBetweenCirclesLabel.Name = "SeparationBetweenCirclesLabel";
            this.SeparationBetweenCirclesLabel.Size = new System.Drawing.Size(312, 16);
            this.SeparationBetweenCirclesLabel.TabIndex = 43;
            this.SeparationBetweenCirclesLabel.Text = "Separation Between Circles";
            this.SeparationBetweenCirclesLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // SeparationBetweenCirclesTB
            // 
            this.SeparationBetweenCirclesTB.LargeChange = 10;
            this.SeparationBetweenCirclesTB.Location = new System.Drawing.Point(57, 159);
            this.SeparationBetweenCirclesTB.Maximum = 500;
            this.SeparationBetweenCirclesTB.Name = "SeparationBetweenCirclesTB";
            this.SeparationBetweenCirclesTB.Size = new System.Drawing.Size(220, 45);
            this.SeparationBetweenCirclesTB.TabIndex = 42;
            this.SeparationBetweenCirclesTB.TickFrequency = 20;
            this.SeparationBetweenCirclesTB.Value = 1;
            this.SeparationBetweenCirclesTB.Scroll += new System.EventHandler(this.SeparationBetweenCirclesTB_Scroll);
            // 
            // MinimumRadiusValue
            // 
            this.MinimumRadiusValue.Location = new System.Drawing.Point(317, 119);
            this.MinimumRadiusValue.Name = "MinimumRadiusValue";
            this.MinimumRadiusValue.Size = new System.Drawing.Size(220, 16);
            this.MinimumRadiusValue.TabIndex = 41;
            this.MinimumRadiusValue.Text = "250";
            this.MinimumRadiusValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // MinimumRadiusLabel
            // 
            this.MinimumRadiusLabel.BackColor = System.Drawing.Color.Transparent;
            this.MinimumRadiusLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.MinimumRadiusLabel.Location = new System.Drawing.Point(270, 67);
            this.MinimumRadiusLabel.Name = "MinimumRadiusLabel";
            this.MinimumRadiusLabel.Size = new System.Drawing.Size(312, 16);
            this.MinimumRadiusLabel.TabIndex = 40;
            this.MinimumRadiusLabel.Text = "Minimum Radius";
            this.MinimumRadiusLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // MinimumRadiusTB
            // 
            this.MinimumRadiusTB.LargeChange = 10;
            this.MinimumRadiusTB.Location = new System.Drawing.Point(317, 84);
            this.MinimumRadiusTB.Maximum = 500;
            this.MinimumRadiusTB.Name = "MinimumRadiusTB";
            this.MinimumRadiusTB.Size = new System.Drawing.Size(220, 45);
            this.MinimumRadiusTB.TabIndex = 39;
            this.MinimumRadiusTB.TickFrequency = 20;
            this.MinimumRadiusTB.Value = 1;
            this.MinimumRadiusTB.Scroll += new System.EventHandler(this.MinimumRadiusTB_Scroll);
            // 
            // NumIconsPerCircleValue
            // 
            this.NumIconsPerCircleValue.Location = new System.Drawing.Point(56, 119);
            this.NumIconsPerCircleValue.Name = "NumIconsPerCircleValue";
            this.NumIconsPerCircleValue.Size = new System.Drawing.Size(220, 16);
            this.NumIconsPerCircleValue.TabIndex = 38;
            this.NumIconsPerCircleValue.Text = "250";
            this.NumIconsPerCircleValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // NumIconsPerCircleLabel
            // 
            this.NumIconsPerCircleLabel.BackColor = System.Drawing.Color.Transparent;
            this.NumIconsPerCircleLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.NumIconsPerCircleLabel.Location = new System.Drawing.Point(9, 67);
            this.NumIconsPerCircleLabel.Name = "NumIconsPerCircleLabel";
            this.NumIconsPerCircleLabel.Size = new System.Drawing.Size(312, 16);
            this.NumIconsPerCircleLabel.TabIndex = 37;
            this.NumIconsPerCircleLabel.Text = "Number of Icons Per Circle";
            this.NumIconsPerCircleLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // NumIconsPerCircleTB
            // 
            this.NumIconsPerCircleTB.LargeChange = 10;
            this.NumIconsPerCircleTB.Location = new System.Drawing.Point(56, 84);
            this.NumIconsPerCircleTB.Maximum = 50;
            this.NumIconsPerCircleTB.Minimum = 1;
            this.NumIconsPerCircleTB.Name = "NumIconsPerCircleTB";
            this.NumIconsPerCircleTB.Size = new System.Drawing.Size(220, 45);
            this.NumIconsPerCircleTB.TabIndex = 36;
            this.NumIconsPerCircleTB.TickFrequency = 5;
            this.NumIconsPerCircleTB.Value = 1;
            this.NumIconsPerCircleTB.Scroll += new System.EventHandler(this.NumIconsPerCircleTB_Scroll);
            // 
            // DockShapeComboBox
            // 
            this.DockShapeComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.DockShapeComboBox.Items.AddRange(new object[] {
            "Circle"});
            this.DockShapeComboBox.Location = new System.Drawing.Point(174, 13);
            this.DockShapeComboBox.Name = "DockShapeComboBox";
            this.DockShapeComboBox.Size = new System.Drawing.Size(250, 21);
            this.DockShapeComboBox.TabIndex = 8;
            this.DockShapeComboBox.SelectedIndexChanged += new System.EventHandler(this.DockShapeComboBox_SelectedIndexChanged);
            // 
            // DockShapeLabel
            // 
            this.DockShapeLabel.BackColor = System.Drawing.Color.Transparent;
            this.DockShapeLabel.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.DockShapeLabel.ForeColor = System.Drawing.SystemColors.WindowText;
            this.DockShapeLabel.Location = new System.Drawing.Point(29, 4);
            this.DockShapeLabel.Name = "DockShapeLabel";
            this.DockShapeLabel.Size = new System.Drawing.Size(552, 16);
            this.DockShapeLabel.TabIndex = 1;
            this.DockShapeLabel.Text = "Dock Shape";
            this.DockShapeLabel.Click += new System.EventHandler(this.DockShapePicture_Click);
            // 
            // DockShapePicture
            // 
            this.DockShapePicture.BackColor = System.Drawing.SystemColors.Control;
            this.DockShapePicture.Location = new System.Drawing.Point(4, 0);
            this.DockShapePicture.Name = "DockShapePicture";
            this.DockShapePicture.Size = new System.Drawing.Size(588, 24);
            this.DockShapePicture.TabIndex = 0;
            this.DockShapePicture.TabStop = false;
            this.DockShapePicture.Click += new System.EventHandler(this.DockShapePicture_Click);
            // 
            // CentreButtonPanel
            // 
            this.CentreButtonPanel.BackColor = System.Drawing.SystemColors.Control;
            this.CentreButtonPanel.Controls.Add(this.panel4);
            this.CentreButtonPanel.Controls.Add(this.CentreButtonLabel);
            this.CentreButtonPanel.Controls.Add(this.CentreButtonPicture);
            this.CentreButtonPanel.ForeColor = System.Drawing.Color.Black;
            this.CentreButtonPanel.Location = new System.Drawing.Point(29, 980);
            this.CentreButtonPanel.Name = "CentreButtonPanel";
            this.CentreButtonPanel.Size = new System.Drawing.Size(596, 317);
            this.CentreButtonPanel.TabIndex = 3;
            this.CentreButtonPanel.Tag = "318";
            // 
            // panel4
            // 
            this.panel4.BackColor = System.Drawing.Color.White;
            this.panel4.Controls.Add(this.CentreButtonNormalSizeValue);
            this.panel4.Controls.Add(this.CentreButtonNormalSizeLabel);
            this.panel4.Controls.Add(this.CentreButtonNormalSizeTB);
            this.panel4.Controls.Add(this.DefaultCentreButtonImageBrowse);
            this.panel4.Controls.Add(this.DefaultCentreButtonImageTextBox);
            this.panel4.Controls.Add(this.DefaultCentreImagePictureBox);
            this.panel4.Controls.Add(this.CentreButtonShowStartMenuCB);
            this.panel4.Controls.Add(this.CentreButtonOtherSettingsLabel);
            this.panel4.Controls.Add(this.CentreButtonNormalOpacityValue);
            this.panel4.Controls.Add(this.CentreButtonNormalOpacityLabel);
            this.panel4.Controls.Add(this.DefaultCentreButtonLabel);
            this.panel4.Controls.Add(this.CentreButtonNormalOpacityTB);
            this.panel4.Controls.Add(this.StartMenuResidueWarningLabel);
            this.panel4.Location = new System.Drawing.Point(4, 24);
            this.panel4.Name = "panel4";
            this.panel4.Size = new System.Drawing.Size(588, 290);
            this.panel4.TabIndex = 2;
            // 
            // CentreButtonNormalSizeValue
            // 
            this.CentreButtonNormalSizeValue.Location = new System.Drawing.Point(192, 268);
            this.CentreButtonNormalSizeValue.Name = "CentreButtonNormalSizeValue";
            this.CentreButtonNormalSizeValue.Size = new System.Drawing.Size(220, 16);
            this.CentreButtonNormalSizeValue.TabIndex = 41;
            this.CentreButtonNormalSizeValue.Text = "250";
            this.CentreButtonNormalSizeValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // CentreButtonNormalSizeLabel
            // 
            this.CentreButtonNormalSizeLabel.BackColor = System.Drawing.Color.Transparent;
            this.CentreButtonNormalSizeLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.CentreButtonNormalSizeLabel.Location = new System.Drawing.Point(145, 216);
            this.CentreButtonNormalSizeLabel.Name = "CentreButtonNormalSizeLabel";
            this.CentreButtonNormalSizeLabel.Size = new System.Drawing.Size(312, 16);
            this.CentreButtonNormalSizeLabel.TabIndex = 40;
            this.CentreButtonNormalSizeLabel.Text = "Normal Size";
            this.CentreButtonNormalSizeLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // CentreButtonNormalSizeTB
            // 
            this.CentreButtonNormalSizeTB.LargeChange = 10;
            this.CentreButtonNormalSizeTB.Location = new System.Drawing.Point(16, 235);
            this.CentreButtonNormalSizeTB.Maximum = 500;
            this.CentreButtonNormalSizeTB.Minimum = 1;
            this.CentreButtonNormalSizeTB.Name = "CentreButtonNormalSizeTB";
            this.CentreButtonNormalSizeTB.Size = new System.Drawing.Size(559, 45);
            this.CentreButtonNormalSizeTB.TabIndex = 39;
            this.CentreButtonNormalSizeTB.TickFrequency = 20;
            this.CentreButtonNormalSizeTB.Value = 1;
            this.CentreButtonNormalSizeTB.Scroll += new System.EventHandler(this.CentreButtonNormalSizeTB_Scroll);
            // 
            // DefaultCentreButtonImageBrowse
            // 
            this.DefaultCentreButtonImageBrowse.BackColor = System.Drawing.SystemColors.Control;
            this.DefaultCentreButtonImageBrowse.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.DefaultCentreButtonImageBrowse.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.DefaultCentreButtonImageBrowse.Location = new System.Drawing.Point(337, 38);
            this.DefaultCentreButtonImageBrowse.Name = "DefaultCentreButtonImageBrowse";
            this.DefaultCentreButtonImageBrowse.Size = new System.Drawing.Size(49, 20);
            this.DefaultCentreButtonImageBrowse.TabIndex = 32;
            this.DefaultCentreButtonImageBrowse.Text = ".....";
            this.DefaultCentreButtonImageBrowse.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
            this.toolTip.SetToolTip(this.DefaultCentreButtonImageBrowse, "Browse for image");
            this.DefaultCentreButtonImageBrowse.UseVisualStyleBackColor = false;
            this.DefaultCentreButtonImageBrowse.Click += new System.EventHandler(this.DefaultCentreButtonImageBrowse_Click);
            // 
            // DefaultCentreButtonImageTextBox
            // 
            this.DefaultCentreButtonImageTextBox.Location = new System.Drawing.Point(88, 37);
            this.DefaultCentreButtonImageTextBox.Name = "DefaultCentreButtonImageTextBox";
            this.DefaultCentreButtonImageTextBox.ReadOnly = true;
            this.DefaultCentreButtonImageTextBox.Size = new System.Drawing.Size(243, 21);
            this.DefaultCentreButtonImageTextBox.TabIndex = 22;
            // 
            // DefaultCentreImagePictureBox
            // 
            this.DefaultCentreImagePictureBox.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.DefaultCentreImagePictureBox.Location = new System.Drawing.Point(7, 6);
            this.DefaultCentreImagePictureBox.Name = "DefaultCentreImagePictureBox";
            this.DefaultCentreImagePictureBox.Size = new System.Drawing.Size(72, 72);
            this.DefaultCentreImagePictureBox.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
            this.DefaultCentreImagePictureBox.TabIndex = 19;
            this.DefaultCentreImagePictureBox.TabStop = false;
            // 
            // CentreButtonShowStartMenuCB
            // 
            this.CentreButtonShowStartMenuCB.BackColor = System.Drawing.Color.Transparent;
            this.CentreButtonShowStartMenuCB.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.CentreButtonShowStartMenuCB.Location = new System.Drawing.Point(317, 114);
            this.CentreButtonShowStartMenuCB.Name = "CentreButtonShowStartMenuCB";
            this.CentreButtonShowStartMenuCB.Size = new System.Drawing.Size(256, 16);
            this.CentreButtonShowStartMenuCB.TabIndex = 8;
            this.CentreButtonShowStartMenuCB.Text = "Show Start Menu when Clicked";
            this.toolTip.SetToolTip(this.CentreButtonShowStartMenuCB, "This may not work unless you have used the Start Menu\r\nsince Circle Dock was load" +
                    "ed.");
            this.CentreButtonShowStartMenuCB.UseVisualStyleBackColor = false;
            this.CentreButtonShowStartMenuCB.CheckedChanged += new System.EventHandler(this.CentreButtonShowStartMenuCB_CheckedChanged);
            // 
            // CentreButtonOtherSettingsLabel
            // 
            this.CentreButtonOtherSettingsLabel.BackColor = System.Drawing.Color.Transparent;
            this.CentreButtonOtherSettingsLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.CentreButtonOtherSettingsLabel.Location = new System.Drawing.Point(313, 98);
            this.CentreButtonOtherSettingsLabel.Name = "CentreButtonOtherSettingsLabel";
            this.CentreButtonOtherSettingsLabel.Size = new System.Drawing.Size(260, 16);
            this.CentreButtonOtherSettingsLabel.TabIndex = 10;
            this.CentreButtonOtherSettingsLabel.Text = "Other Settings";
            // 
            // CentreButtonNormalOpacityValue
            // 
            this.CentreButtonNormalOpacityValue.Location = new System.Drawing.Point(61, 181);
            this.CentreButtonNormalOpacityValue.Name = "CentreButtonNormalOpacityValue";
            this.CentreButtonNormalOpacityValue.Size = new System.Drawing.Size(220, 16);
            this.CentreButtonNormalOpacityValue.TabIndex = 9;
            this.CentreButtonNormalOpacityValue.Text = "250";
            this.CentreButtonNormalOpacityValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // CentreButtonNormalOpacityLabel
            // 
            this.CentreButtonNormalOpacityLabel.BackColor = System.Drawing.Color.Transparent;
            this.CentreButtonNormalOpacityLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.CentreButtonNormalOpacityLabel.Location = new System.Drawing.Point(20, 115);
            this.CentreButtonNormalOpacityLabel.Name = "CentreButtonNormalOpacityLabel";
            this.CentreButtonNormalOpacityLabel.Size = new System.Drawing.Size(283, 28);
            this.CentreButtonNormalOpacityLabel.TabIndex = 8;
            this.CentreButtonNormalOpacityLabel.Text = "Normal Opacity";
            this.CentreButtonNormalOpacityLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // DefaultCentreButtonLabel
            // 
            this.DefaultCentreButtonLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.DefaultCentreButtonLabel.Location = new System.Drawing.Point(85, 6);
            this.DefaultCentreButtonLabel.Name = "DefaultCentreButtonLabel";
            this.DefaultCentreButtonLabel.Size = new System.Drawing.Size(260, 27);
            this.DefaultCentreButtonLabel.TabIndex = 1;
            this.DefaultCentreButtonLabel.Text = "Default Centre Button";
            this.DefaultCentreButtonLabel.TextAlign = System.Drawing.ContentAlignment.BottomLeft;
            // 
            // CentreButtonNormalOpacityTB
            // 
            this.CentreButtonNormalOpacityTB.LargeChange = 10;
            this.CentreButtonNormalOpacityTB.Location = new System.Drawing.Point(61, 146);
            this.CentreButtonNormalOpacityTB.Maximum = 255;
            this.CentreButtonNormalOpacityTB.Name = "CentreButtonNormalOpacityTB";
            this.CentreButtonNormalOpacityTB.Size = new System.Drawing.Size(220, 45);
            this.CentreButtonNormalOpacityTB.TabIndex = 7;
            this.CentreButtonNormalOpacityTB.TickFrequency = 10;
            this.CentreButtonNormalOpacityTB.Scroll += new System.EventHandler(this.CentreButtonNormalOpacityTB_Scroll);
            // 
            // StartMenuResidueWarningLabel
            // 
            this.StartMenuResidueWarningLabel.BackColor = System.Drawing.Color.Transparent;
            this.StartMenuResidueWarningLabel.Font = new System.Drawing.Font("Tahoma", 8.25F);
            this.StartMenuResidueWarningLabel.Location = new System.Drawing.Point(315, 133);
            this.StartMenuResidueWarningLabel.Name = "StartMenuResidueWarningLabel";
            this.StartMenuResidueWarningLabel.Size = new System.Drawing.Size(265, 81);
            this.StartMenuResidueWarningLabel.TabIndex = 26;
            this.StartMenuResidueWarningLabel.Text = "Note: You must turn off \"Show shadow under menus\" in your Windows visual style se" +
                "ttings or you will get residual shadows.";
            // 
            // CentreButtonLabel
            // 
            this.CentreButtonLabel.BackColor = System.Drawing.Color.Transparent;
            this.CentreButtonLabel.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.CentreButtonLabel.ForeColor = System.Drawing.SystemColors.WindowText;
            this.CentreButtonLabel.Location = new System.Drawing.Point(28, 4);
            this.CentreButtonLabel.Name = "CentreButtonLabel";
            this.CentreButtonLabel.Size = new System.Drawing.Size(552, 16);
            this.CentreButtonLabel.TabIndex = 1;
            this.CentreButtonLabel.Text = "Centre Button";
            this.CentreButtonLabel.Click += new System.EventHandler(this.CentreButtonPicture_Click);
            // 
            // CentreButtonPicture
            // 
            this.CentreButtonPicture.BackColor = System.Drawing.SystemColors.Control;
            this.CentreButtonPicture.Location = new System.Drawing.Point(4, 0);
            this.CentreButtonPicture.Name = "CentreButtonPicture";
            this.CentreButtonPicture.Size = new System.Drawing.Size(588, 24);
            this.CentreButtonPicture.TabIndex = 0;
            this.CentreButtonPicture.TabStop = false;
            this.CentreButtonPicture.Click += new System.EventHandler(this.CentreButtonPicture_Click);
            // 
            // LabelsPanel
            // 
            this.LabelsPanel.BackColor = System.Drawing.SystemColors.Control;
            this.LabelsPanel.Controls.Add(this.panel1);
            this.LabelsPanel.Controls.Add(this.LabelsLabel);
            this.LabelsPanel.Controls.Add(this.LabelsPicture);
            this.LabelsPanel.ForeColor = System.Drawing.Color.Black;
            this.LabelsPanel.Location = new System.Drawing.Point(29, 1553);
            this.LabelsPanel.Name = "LabelsPanel";
            this.LabelsPanel.Size = new System.Drawing.Size(596, 326);
            this.LabelsPanel.TabIndex = 4;
            this.LabelsPanel.Tag = "316";
            // 
            // panel1
            // 
            this.panel1.BackColor = System.Drawing.Color.White;
            this.panel1.Controls.Add(this.ShowLabelsLabel);
            this.panel1.Controls.Add(this.ShowLabelsMouseOverCB);
            this.panel1.Controls.Add(this.ShowLabelsCB);
            this.panel1.Controls.Add(this.LabelNormalOpacityValue);
            this.panel1.Controls.Add(this.LabelNormalOpacityLabel);
            this.panel1.Controls.Add(this.LabelNormalOpacityTB);
            this.panel1.Controls.Add(this.LabelShadowDarknessValue);
            this.panel1.Controls.Add(this.LabelShadowDarknessLabel);
            this.panel1.Controls.Add(this.LabelShadowDarknessTB);
            this.panel1.Controls.Add(this.LabelShadowSizeValue);
            this.panel1.Controls.Add(this.LabelShadowSizeLabel);
            this.panel1.Controls.Add(this.LabelShadowSizeTB);
            this.panel1.Controls.Add(this.LabelColorChangeLink);
            this.panel1.Controls.Add(this.LabelShadowColorChange);
            this.panel1.Controls.Add(this.LabelColor);
            this.panel1.Controls.Add(this.LabelShadowColor);
            this.panel1.Controls.Add(this.LabelShadowLabel);
            this.panel1.Controls.Add(this.LabelFontChangeLink);
            this.panel1.Controls.Add(this.LabelsFontName);
            this.panel1.Controls.Add(this.LabelsFontLabel);
            this.panel1.Location = new System.Drawing.Point(4, 24);
            this.panel1.Name = "panel1";
            this.panel1.Size = new System.Drawing.Size(588, 288);
            this.panel1.TabIndex = 2;
            // 
            // ShowLabelsLabel
            // 
            this.ShowLabelsLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.ShowLabelsLabel.Location = new System.Drawing.Point(14, 207);
            this.ShowLabelsLabel.Name = "ShowLabelsLabel";
            this.ShowLabelsLabel.Size = new System.Drawing.Size(228, 16);
            this.ShowLabelsLabel.TabIndex = 41;
            this.ShowLabelsLabel.Text = "Show Labels";
            // 
            // ShowLabelsMouseOverCB
            // 
            this.ShowLabelsMouseOverCB.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.ShowLabelsMouseOverCB.Location = new System.Drawing.Point(59, 248);
            this.ShowLabelsMouseOverCB.Name = "ShowLabelsMouseOverCB";
            this.ShowLabelsMouseOverCB.Size = new System.Drawing.Size(384, 20);
            this.ShowLabelsMouseOverCB.TabIndex = 40;
            this.ShowLabelsMouseOverCB.Text = "Show Labels on Mouseover Only";
            this.ShowLabelsMouseOverCB.CheckedChanged += new System.EventHandler(this.ShowLabelsMouseOverCB_CheckedChanged);
            // 
            // ShowLabelsCB
            // 
            this.ShowLabelsCB.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.ShowLabelsCB.Location = new System.Drawing.Point(25, 226);
            this.ShowLabelsCB.Name = "ShowLabelsCB";
            this.ShowLabelsCB.Size = new System.Drawing.Size(272, 16);
            this.ShowLabelsCB.TabIndex = 39;
            this.ShowLabelsCB.Text = "Show Labels";
            this.ShowLabelsCB.CheckedChanged += new System.EventHandler(this.ShowLabelsCB_CheckedChanged);
            // 
            // LabelNormalOpacityValue
            // 
            this.LabelNormalOpacityValue.Location = new System.Drawing.Point(13, 160);
            this.LabelNormalOpacityValue.Name = "LabelNormalOpacityValue";
            this.LabelNormalOpacityValue.Size = new System.Drawing.Size(220, 16);
            this.LabelNormalOpacityValue.TabIndex = 38;
            this.LabelNormalOpacityValue.Text = "250";
            this.LabelNormalOpacityValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // LabelNormalOpacityLabel
            // 
            this.LabelNormalOpacityLabel.BackColor = System.Drawing.Color.Transparent;
            this.LabelNormalOpacityLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LabelNormalOpacityLabel.Location = new System.Drawing.Point(-36, 109);
            this.LabelNormalOpacityLabel.Name = "LabelNormalOpacityLabel";
            this.LabelNormalOpacityLabel.Size = new System.Drawing.Size(312, 16);
            this.LabelNormalOpacityLabel.TabIndex = 37;
            this.LabelNormalOpacityLabel.Text = "Normal Opacity";
            this.LabelNormalOpacityLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // LabelNormalOpacityTB
            // 
            this.LabelNormalOpacityTB.LargeChange = 10;
            this.LabelNormalOpacityTB.Location = new System.Drawing.Point(13, 124);
            this.LabelNormalOpacityTB.Maximum = 255;
            this.LabelNormalOpacityTB.Name = "LabelNormalOpacityTB";
            this.LabelNormalOpacityTB.Size = new System.Drawing.Size(220, 45);
            this.LabelNormalOpacityTB.TabIndex = 36;
            this.LabelNormalOpacityTB.TickFrequency = 10;
            this.LabelNormalOpacityTB.Scroll += new System.EventHandler(this.LabelNormalOpacityTB_Scroll);
            // 
            // LabelShadowDarknessValue
            // 
            this.LabelShadowDarknessValue.Location = new System.Drawing.Point(290, 186);
            this.LabelShadowDarknessValue.Name = "LabelShadowDarknessValue";
            this.LabelShadowDarknessValue.Size = new System.Drawing.Size(220, 16);
            this.LabelShadowDarknessValue.TabIndex = 35;
            this.LabelShadowDarknessValue.Text = "250";
            this.LabelShadowDarknessValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // LabelShadowDarknessLabel
            // 
            this.LabelShadowDarknessLabel.BackColor = System.Drawing.Color.Transparent;
            this.LabelShadowDarknessLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LabelShadowDarknessLabel.Location = new System.Drawing.Point(241, 135);
            this.LabelShadowDarknessLabel.Name = "LabelShadowDarknessLabel";
            this.LabelShadowDarknessLabel.Size = new System.Drawing.Size(312, 16);
            this.LabelShadowDarknessLabel.TabIndex = 34;
            this.LabelShadowDarknessLabel.Text = "Shadow Darkness Factor";
            this.LabelShadowDarknessLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // LabelShadowDarknessTB
            // 
            this.LabelShadowDarknessTB.LargeChange = 2;
            this.LabelShadowDarknessTB.Location = new System.Drawing.Point(290, 150);
            this.LabelShadowDarknessTB.Maximum = 25;
            this.LabelShadowDarknessTB.Name = "LabelShadowDarknessTB";
            this.LabelShadowDarknessTB.Size = new System.Drawing.Size(220, 45);
            this.LabelShadowDarknessTB.TabIndex = 33;
            this.LabelShadowDarknessTB.Scroll += new System.EventHandler(this.LabelShadowDarknessTB_Scroll);
            // 
            // LabelShadowSizeValue
            // 
            this.LabelShadowSizeValue.Location = new System.Drawing.Point(290, 119);
            this.LabelShadowSizeValue.Name = "LabelShadowSizeValue";
            this.LabelShadowSizeValue.Size = new System.Drawing.Size(220, 16);
            this.LabelShadowSizeValue.TabIndex = 32;
            this.LabelShadowSizeValue.Text = "250";
            this.LabelShadowSizeValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // LabelShadowSizeLabel
            // 
            this.LabelShadowSizeLabel.BackColor = System.Drawing.Color.Transparent;
            this.LabelShadowSizeLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LabelShadowSizeLabel.Location = new System.Drawing.Point(239, 67);
            this.LabelShadowSizeLabel.Name = "LabelShadowSizeLabel";
            this.LabelShadowSizeLabel.Size = new System.Drawing.Size(312, 16);
            this.LabelShadowSizeLabel.TabIndex = 31;
            this.LabelShadowSizeLabel.Text = "Shadow Size";
            this.LabelShadowSizeLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // LabelShadowSizeTB
            // 
            this.LabelShadowSizeTB.LargeChange = 2;
            this.LabelShadowSizeTB.Location = new System.Drawing.Point(290, 81);
            this.LabelShadowSizeTB.Maximum = 15;
            this.LabelShadowSizeTB.Name = "LabelShadowSizeTB";
            this.LabelShadowSizeTB.Size = new System.Drawing.Size(220, 45);
            this.LabelShadowSizeTB.TabIndex = 30;
            this.LabelShadowSizeTB.TickFrequency = 2;
            this.LabelShadowSizeTB.Scroll += new System.EventHandler(this.LabelShadowSizeTB_Scroll);
            // 
            // LabelColorChangeLink
            // 
            this.LabelColorChangeLink.LinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.LabelColorChangeLink.Location = new System.Drawing.Point(19, 83);
            this.LabelColorChangeLink.Name = "LabelColorChangeLink";
            this.LabelColorChangeLink.Size = new System.Drawing.Size(228, 16);
            this.LabelColorChangeLink.TabIndex = 23;
            this.LabelColorChangeLink.TabStop = true;
            this.LabelColorChangeLink.Text = "Change color...";
            this.LabelColorChangeLink.VisitedLinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.LabelColorChangeLink.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.LabelColorChangeLink_LinkClicked);
            // 
            // LabelShadowColorChange
            // 
            this.LabelShadowColorChange.LinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.LabelShadowColorChange.Location = new System.Drawing.Point(295, 47);
            this.LabelShadowColorChange.Name = "LabelShadowColorChange";
            this.LabelShadowColorChange.Size = new System.Drawing.Size(228, 16);
            this.LabelShadowColorChange.TabIndex = 22;
            this.LabelShadowColorChange.TabStop = true;
            this.LabelShadowColorChange.Text = "Change color...";
            this.LabelShadowColorChange.VisitedLinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.LabelShadowColorChange.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.LabelShadowColorChange_LinkClicked);
            // 
            // LabelColor
            // 
            this.LabelColor.BackColor = System.Drawing.Color.Black;
            this.LabelColor.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.LabelColor.Location = new System.Drawing.Point(22, 64);
            this.LabelColor.Name = "LabelColor";
            this.LabelColor.Size = new System.Drawing.Size(28, 16);
            this.LabelColor.TabIndex = 29;
            this.LabelColor.TabStop = false;
            // 
            // LabelShadowColor
            // 
            this.LabelShadowColor.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.LabelShadowColor.Location = new System.Drawing.Point(295, 28);
            this.LabelShadowColor.Name = "LabelShadowColor";
            this.LabelShadowColor.Size = new System.Drawing.Size(28, 16);
            this.LabelShadowColor.TabIndex = 28;
            this.LabelShadowColor.TabStop = false;
            // 
            // LabelShadowLabel
            // 
            this.LabelShadowLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LabelShadowLabel.Location = new System.Drawing.Point(280, 12);
            this.LabelShadowLabel.Name = "LabelShadowLabel";
            this.LabelShadowLabel.Size = new System.Drawing.Size(212, 16);
            this.LabelShadowLabel.TabIndex = 24;
            this.LabelShadowLabel.Text = "Shadow";
            // 
            // LabelFontChangeLink
            // 
            this.LabelFontChangeLink.LinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.LabelFontChangeLink.Location = new System.Drawing.Point(19, 44);
            this.LabelFontChangeLink.Name = "LabelFontChangeLink";
            this.LabelFontChangeLink.Size = new System.Drawing.Size(224, 16);
            this.LabelFontChangeLink.TabIndex = 19;
            this.LabelFontChangeLink.TabStop = true;
            this.LabelFontChangeLink.Text = "Change font...";
            this.LabelFontChangeLink.VisitedLinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.LabelFontChangeLink.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.LabelFontChangeLink_LinkClicked);
            // 
            // LabelsFontName
            // 
            this.LabelsFontName.Location = new System.Drawing.Point(18, 28);
            this.LabelsFontName.Name = "LabelsFontName";
            this.LabelsFontName.Size = new System.Drawing.Size(224, 16);
            this.LabelsFontName.TabIndex = 21;
            this.LabelsFontName.Text = "Tahoma, 15";
            // 
            // LabelsFontLabel
            // 
            this.LabelsFontLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LabelsFontLabel.Location = new System.Drawing.Point(8, 12);
            this.LabelsFontLabel.Name = "LabelsFontLabel";
            this.LabelsFontLabel.Size = new System.Drawing.Size(228, 16);
            this.LabelsFontLabel.TabIndex = 20;
            this.LabelsFontLabel.Text = "Font";
            // 
            // LabelsLabel
            // 
            this.LabelsLabel.BackColor = System.Drawing.Color.Transparent;
            this.LabelsLabel.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LabelsLabel.ForeColor = System.Drawing.SystemColors.WindowText;
            this.LabelsLabel.Location = new System.Drawing.Point(28, 4);
            this.LabelsLabel.Name = "LabelsLabel";
            this.LabelsLabel.Size = new System.Drawing.Size(552, 16);
            this.LabelsLabel.TabIndex = 1;
            this.LabelsLabel.Text = "Labels";
            this.LabelsLabel.Click += new System.EventHandler(this.LabelsPicture_Click);
            // 
            // LabelsPicture
            // 
            this.LabelsPicture.BackColor = System.Drawing.SystemColors.Control;
            this.LabelsPicture.Location = new System.Drawing.Point(4, 0);
            this.LabelsPicture.Name = "LabelsPicture";
            this.LabelsPicture.Size = new System.Drawing.Size(588, 24);
            this.LabelsPicture.TabIndex = 0;
            this.LabelsPicture.TabStop = false;
            this.LabelsPicture.Click += new System.EventHandler(this.LabelsPicture_Click);
            // 
            // ConfigurationDescriptionLabel
            // 
            this.ConfigurationDescriptionLabel.BackColor = System.Drawing.Color.White;
            this.ConfigurationDescriptionLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.ConfigurationDescriptionLabel.Location = new System.Drawing.Point(85, 38);
            this.ConfigurationDescriptionLabel.Name = "ConfigurationDescriptionLabel";
            this.ConfigurationDescriptionLabel.Size = new System.Drawing.Size(472, 16);
            this.ConfigurationDescriptionLabel.TabIndex = 8;
            this.ConfigurationDescriptionLabel.Text = "Customize the way that Circle Dock shows up on your screen";
            // 
            // AboutPanel
            // 
            this.AboutPanel.BackColor = System.Drawing.SystemColors.Control;
            this.AboutPanel.Controls.Add(this.panel6);
            this.AboutPanel.Controls.Add(this.AboutLabel);
            this.AboutPanel.Controls.Add(this.AboutPicture);
            this.AboutPanel.ForeColor = System.Drawing.Color.Black;
            this.AboutPanel.Location = new System.Drawing.Point(30, 4335);
            this.AboutPanel.Name = "AboutPanel";
            this.AboutPanel.Size = new System.Drawing.Size(596, 415);
            this.AboutPanel.TabIndex = 5;
            this.AboutPanel.Tag = "416";
            // 
            // panel6
            // 
            this.panel6.BackColor = System.Drawing.Color.White;
            this.panel6.Controls.Add(this.AboutWebsiteLabel);
            this.panel6.Controls.Add(this.AboutWebForum);
            this.panel6.Controls.Add(this.richTextBox1);
            this.panel6.Controls.Add(this.VersionNameLabel);
            this.panel6.Controls.Add(this.VersionInfo);
            this.panel6.Controls.Add(this.VersionInformationLabel);
            this.panel6.Controls.Add(this.AuthorLink);
            this.panel6.Controls.Add(this.AboutHomepageLink);
            this.panel6.Controls.Add(this.AuthorLabel);
            this.panel6.Controls.Add(this.AboutProjectDescriptionLabel);
            this.panel6.Controls.Add(this.AboutProjectName);
            this.panel6.Controls.Add(this.pictureBox1);
            this.panel6.Location = new System.Drawing.Point(4, 24);
            this.panel6.Name = "panel6";
            this.panel6.Size = new System.Drawing.Size(588, 388);
            this.panel6.TabIndex = 2;
            // 
            // AboutWebsiteLabel
            // 
            this.AboutWebsiteLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.AboutWebsiteLabel.Location = new System.Drawing.Point(241, 53);
            this.AboutWebsiteLabel.Name = "AboutWebsiteLabel";
            this.AboutWebsiteLabel.Size = new System.Drawing.Size(132, 16);
            this.AboutWebsiteLabel.TabIndex = 15;
            this.AboutWebsiteLabel.Text = "Website";
            // 
            // AboutWebForum
            // 
            this.AboutWebForum.LinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.AboutWebForum.Location = new System.Drawing.Point(250, 86);
            this.AboutWebForum.Name = "AboutWebForum";
            this.AboutWebForum.Size = new System.Drawing.Size(200, 16);
            this.AboutWebForum.TabIndex = 14;
            this.AboutWebForum.TabStop = true;
            this.AboutWebForum.Text = "Official Web Forum";
            this.AboutWebForum.VisitedLinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.AboutWebForum.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.AboutWebForum_LinkClicked);
            // 
            // richTextBox1
            // 
            this.richTextBox1.Location = new System.Drawing.Point(10, 117);
            this.richTextBox1.Name = "richTextBox1";
            this.richTextBox1.Size = new System.Drawing.Size(571, 258);
            this.richTextBox1.TabIndex = 13;
            this.richTextBox1.Text = resources.GetString("richTextBox1.Text");
            // 
            // VersionNameLabel
            // 
            this.VersionNameLabel.Location = new System.Drawing.Point(376, 20);
            this.VersionNameLabel.Name = "VersionNameLabel";
            this.VersionNameLabel.Size = new System.Drawing.Size(104, 56);
            this.VersionNameLabel.TabIndex = 12;
            this.VersionNameLabel.Text = "CircleDock.exe:\n";
            // 
            // VersionInfo
            // 
            this.VersionInfo.Location = new System.Drawing.Point(480, 20);
            this.VersionInfo.Name = "VersionInfo";
            this.VersionInfo.Size = new System.Drawing.Size(96, 56);
            this.VersionInfo.TabIndex = 11;
            this.VersionInfo.Text = "Not present";
            // 
            // VersionInformationLabel
            // 
            this.VersionInformationLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.VersionInformationLabel.Location = new System.Drawing.Point(372, 4);
            this.VersionInformationLabel.Name = "VersionInformationLabel";
            this.VersionInformationLabel.Size = new System.Drawing.Size(168, 16);
            this.VersionInformationLabel.TabIndex = 10;
            this.VersionInformationLabel.Text = "Version Information";
            // 
            // AuthorLink
            // 
            this.AuthorLink.LinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.AuthorLink.Location = new System.Drawing.Point(109, 68);
            this.AuthorLink.Name = "AuthorLink";
            this.AuthorLink.Size = new System.Drawing.Size(112, 16);
            this.AuthorLink.TabIndex = 0;
            this.AuthorLink.TabStop = true;
            this.AuthorLink.Text = "Eric Wong";
            this.AuthorLink.VisitedLinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.AuthorLink.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.AuthorLink_LinkClicked);
            // 
            // AboutHomepageLink
            // 
            this.AboutHomepageLink.LinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.AboutHomepageLink.Location = new System.Drawing.Point(250, 68);
            this.AboutHomepageLink.Name = "AboutHomepageLink";
            this.AboutHomepageLink.Size = new System.Drawing.Size(200, 16);
            this.AboutHomepageLink.TabIndex = 1;
            this.AboutHomepageLink.TabStop = true;
            this.AboutHomepageLink.Text = "Official Homepage";
            this.AboutHomepageLink.VisitedLinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.AboutHomepageLink.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.HomepageLink_LinkClicked);
            // 
            // AuthorLabel
            // 
            this.AuthorLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.AuthorLabel.Location = new System.Drawing.Point(105, 52);
            this.AuthorLabel.Name = "AuthorLabel";
            this.AuthorLabel.Size = new System.Drawing.Size(132, 16);
            this.AuthorLabel.TabIndex = 3;
            this.AuthorLabel.Text = "Author";
            // 
            // AboutProjectDescriptionLabel
            // 
            this.AboutProjectDescriptionLabel.Location = new System.Drawing.Point(105, 32);
            this.AboutProjectDescriptionLabel.Name = "AboutProjectDescriptionLabel";
            this.AboutProjectDescriptionLabel.Size = new System.Drawing.Size(312, 16);
            this.AboutProjectDescriptionLabel.TabIndex = 2;
            this.AboutProjectDescriptionLabel.Text = "The premiere circular dock for Windows";
            // 
            // AboutProjectName
            // 
            this.AboutProjectName.Font = new System.Drawing.Font("Tahoma", 18F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.AboutProjectName.Location = new System.Drawing.Point(101, 0);
            this.AboutProjectName.Name = "AboutProjectName";
            this.AboutProjectName.Size = new System.Drawing.Size(316, 32);
            this.AboutProjectName.TabIndex = 1;
            this.AboutProjectName.Text = "Circle Dock";
            // 
            // pictureBox1
            // 
            this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
            this.pictureBox1.Location = new System.Drawing.Point(4, 4);
            this.pictureBox1.Name = "pictureBox1";
            this.pictureBox1.Size = new System.Drawing.Size(96, 96);
            this.pictureBox1.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
            this.pictureBox1.TabIndex = 0;
            this.pictureBox1.TabStop = false;
            // 
            // AboutLabel
            // 
            this.AboutLabel.BackColor = System.Drawing.Color.Transparent;
            this.AboutLabel.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.AboutLabel.ForeColor = System.Drawing.SystemColors.WindowText;
            this.AboutLabel.Location = new System.Drawing.Point(28, 4);
            this.AboutLabel.Name = "AboutLabel";
            this.AboutLabel.Size = new System.Drawing.Size(552, 16);
            this.AboutLabel.TabIndex = 1;
            this.AboutLabel.Text = "About";
            this.AboutLabel.Click += new System.EventHandler(this.AboutPicture_Click);
            // 
            // AboutPicture
            // 
            this.AboutPicture.BackColor = System.Drawing.SystemColors.Control;
            this.AboutPicture.Location = new System.Drawing.Point(4, 0);
            this.AboutPicture.Name = "AboutPicture";
            this.AboutPicture.Size = new System.Drawing.Size(588, 24);
            this.AboutPicture.TabIndex = 0;
            this.AboutPicture.TabStop = false;
            this.AboutPicture.Click += new System.EventHandler(this.AboutPicture_Click);
            // 
            // BackgroundPanel
            // 
            this.BackgroundPanel.BackColor = System.Drawing.SystemColors.Control;
            this.BackgroundPanel.Controls.Add(this.panel7);
            this.BackgroundPanel.Controls.Add(this.BackgroundLabel);
            this.BackgroundPanel.Controls.Add(this.BackgroundPicture);
            this.BackgroundPanel.ForeColor = System.Drawing.Color.Black;
            this.BackgroundPanel.Location = new System.Drawing.Point(29, 707);
            this.BackgroundPanel.Name = "BackgroundPanel";
            this.BackgroundPanel.Size = new System.Drawing.Size(596, 267);
            this.BackgroundPanel.TabIndex = 2;
            this.BackgroundPanel.Tag = "252";
            // 
            // panel7
            // 
            this.panel7.BackColor = System.Drawing.Color.White;
            this.panel7.Controls.Add(this.BackgroundNormalOpacityValue);
            this.panel7.Controls.Add(this.BackgroundNormalSizeValue);
            this.panel7.Controls.Add(this.BackgroundNormalSizeLabel);
            this.panel7.Controls.Add(this.BackgroundNormalSizeTB);
            this.panel7.Controls.Add(this.BackgroundNormalOpacityLabel);
            this.panel7.Controls.Add(this.BackgroundNormalOpacityTB);
            this.panel7.Controls.Add(this.BackgroundImageTextBox);
            this.panel7.Controls.Add(this.BackgroundImageBrowseButton);
            this.panel7.Controls.Add(this.BackgroundImagePictureBox);
            this.panel7.Controls.Add(this.BackgroundImageLabel);
            this.panel7.Location = new System.Drawing.Point(4, 24);
            this.panel7.Name = "panel7";
            this.panel7.Size = new System.Drawing.Size(588, 224);
            this.panel7.TabIndex = 2;
            // 
            // BackgroundNormalOpacityValue
            // 
            this.BackgroundNormalOpacityValue.BackColor = System.Drawing.Color.Transparent;
            this.BackgroundNormalOpacityValue.Location = new System.Drawing.Point(182, 123);
            this.BackgroundNormalOpacityValue.Name = "BackgroundNormalOpacityValue";
            this.BackgroundNormalOpacityValue.Size = new System.Drawing.Size(220, 16);
            this.BackgroundNormalOpacityValue.TabIndex = 35;
            this.BackgroundNormalOpacityValue.Text = "250";
            this.BackgroundNormalOpacityValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // BackgroundNormalSizeValue
            // 
            this.BackgroundNormalSizeValue.Location = new System.Drawing.Point(185, 204);
            this.BackgroundNormalSizeValue.Name = "BackgroundNormalSizeValue";
            this.BackgroundNormalSizeValue.Size = new System.Drawing.Size(220, 16);
            this.BackgroundNormalSizeValue.TabIndex = 38;
            this.BackgroundNormalSizeValue.Text = "250";
            this.BackgroundNormalSizeValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // BackgroundNormalSizeLabel
            // 
            this.BackgroundNormalSizeLabel.BackColor = System.Drawing.Color.Transparent;
            this.BackgroundNormalSizeLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.BackgroundNormalSizeLabel.Location = new System.Drawing.Point(138, 152);
            this.BackgroundNormalSizeLabel.Name = "BackgroundNormalSizeLabel";
            this.BackgroundNormalSizeLabel.Size = new System.Drawing.Size(312, 16);
            this.BackgroundNormalSizeLabel.TabIndex = 37;
            this.BackgroundNormalSizeLabel.Text = "Normal Size";
            this.BackgroundNormalSizeLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // BackgroundNormalSizeTB
            // 
            this.BackgroundNormalSizeTB.Location = new System.Drawing.Point(9, 171);
            this.BackgroundNormalSizeTB.Maximum = 2000;
            this.BackgroundNormalSizeTB.Minimum = 1;
            this.BackgroundNormalSizeTB.Name = "BackgroundNormalSizeTB";
            this.BackgroundNormalSizeTB.Size = new System.Drawing.Size(559, 45);
            this.BackgroundNormalSizeTB.TabIndex = 36;
            this.BackgroundNormalSizeTB.TickFrequency = 50;
            this.BackgroundNormalSizeTB.Value = 1;
            this.BackgroundNormalSizeTB.Scroll += new System.EventHandler(this.BackgroundNormalSizeTB_Scroll);
            // 
            // BackgroundNormalOpacityLabel
            // 
            this.BackgroundNormalOpacityLabel.BackColor = System.Drawing.Color.Transparent;
            this.BackgroundNormalOpacityLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.BackgroundNormalOpacityLabel.Location = new System.Drawing.Point(135, 71);
            this.BackgroundNormalOpacityLabel.Name = "BackgroundNormalOpacityLabel";
            this.BackgroundNormalOpacityLabel.Size = new System.Drawing.Size(312, 16);
            this.BackgroundNormalOpacityLabel.TabIndex = 34;
            this.BackgroundNormalOpacityLabel.Text = "Normal Opacity";
            this.BackgroundNormalOpacityLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // BackgroundNormalOpacityTB
            // 
            this.BackgroundNormalOpacityTB.LargeChange = 10;
            this.BackgroundNormalOpacityTB.Location = new System.Drawing.Point(182, 89);
            this.BackgroundNormalOpacityTB.Maximum = 255;
            this.BackgroundNormalOpacityTB.Name = "BackgroundNormalOpacityTB";
            this.BackgroundNormalOpacityTB.Size = new System.Drawing.Size(220, 45);
            this.BackgroundNormalOpacityTB.TabIndex = 33;
            this.BackgroundNormalOpacityTB.TickFrequency = 10;
            this.BackgroundNormalOpacityTB.Scroll += new System.EventHandler(this.BackgroundNormalOpacityTB_Scroll);
            // 
            // BackgroundImageTextBox
            // 
            this.BackgroundImageTextBox.Location = new System.Drawing.Point(89, 37);
            this.BackgroundImageTextBox.Name = "BackgroundImageTextBox";
            this.BackgroundImageTextBox.ReadOnly = true;
            this.BackgroundImageTextBox.Size = new System.Drawing.Size(243, 21);
            this.BackgroundImageTextBox.TabIndex = 32;
            // 
            // BackgroundImageBrowseButton
            // 
            this.BackgroundImageBrowseButton.BackColor = System.Drawing.SystemColors.Control;
            this.BackgroundImageBrowseButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.BackgroundImageBrowseButton.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.BackgroundImageBrowseButton.Location = new System.Drawing.Point(339, 36);
            this.BackgroundImageBrowseButton.Name = "BackgroundImageBrowseButton";
            this.BackgroundImageBrowseButton.Size = new System.Drawing.Size(49, 20);
            this.BackgroundImageBrowseButton.TabIndex = 31;
            this.BackgroundImageBrowseButton.Text = ".....";
            this.BackgroundImageBrowseButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
            this.toolTip.SetToolTip(this.BackgroundImageBrowseButton, "Browse for image");
            this.BackgroundImageBrowseButton.UseVisualStyleBackColor = false;
            this.BackgroundImageBrowseButton.Click += new System.EventHandler(this.BackgroundImageBrowseButton_Click);
            // 
            // BackgroundImagePictureBox
            // 
            this.BackgroundImagePictureBox.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.BackgroundImagePictureBox.Location = new System.Drawing.Point(8, 6);
            this.BackgroundImagePictureBox.Name = "BackgroundImagePictureBox";
            this.BackgroundImagePictureBox.Size = new System.Drawing.Size(72, 72);
            this.BackgroundImagePictureBox.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
            this.BackgroundImagePictureBox.TabIndex = 30;
            this.BackgroundImagePictureBox.TabStop = false;
            // 
            // BackgroundImageLabel
            // 
            this.BackgroundImageLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.BackgroundImageLabel.Location = new System.Drawing.Point(86, 6);
            this.BackgroundImageLabel.Name = "BackgroundImageLabel";
            this.BackgroundImageLabel.Size = new System.Drawing.Size(260, 27);
            this.BackgroundImageLabel.TabIndex = 26;
            this.BackgroundImageLabel.Text = "Background Image";
            this.BackgroundImageLabel.TextAlign = System.Drawing.ContentAlignment.BottomLeft;
            // 
            // BackgroundLabel
            // 
            this.BackgroundLabel.BackColor = System.Drawing.Color.Transparent;
            this.BackgroundLabel.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.BackgroundLabel.ForeColor = System.Drawing.SystemColors.WindowText;
            this.BackgroundLabel.Location = new System.Drawing.Point(28, 4);
            this.BackgroundLabel.Name = "BackgroundLabel";
            this.BackgroundLabel.Size = new System.Drawing.Size(552, 16);
            this.BackgroundLabel.TabIndex = 1;
            this.BackgroundLabel.Text = "Background";
            this.BackgroundLabel.Click += new System.EventHandler(this.BackgroundPicture_Click);
            // 
            // BackgroundPicture
            // 
            this.BackgroundPicture.BackColor = System.Drawing.SystemColors.Control;
            this.BackgroundPicture.Location = new System.Drawing.Point(4, 0);
            this.BackgroundPicture.Name = "BackgroundPicture";
            this.BackgroundPicture.Size = new System.Drawing.Size(588, 24);
            this.BackgroundPicture.TabIndex = 0;
            this.BackgroundPicture.TabStop = false;
            this.BackgroundPicture.Click += new System.EventHandler(this.BackgroundPicture_Click);
            // 
            // HelpPanel
            // 
            this.HelpPanel.BackColor = System.Drawing.SystemColors.Control;
            this.HelpPanel.Controls.Add(this.panel8);
            this.HelpPanel.Controls.Add(this.HelpLabel);
            this.HelpPanel.Controls.Add(this.HelpPicture);
            this.HelpPanel.ForeColor = System.Drawing.Color.Black;
            this.HelpPanel.Location = new System.Drawing.Point(30, 4756);
            this.HelpPanel.Name = "HelpPanel";
            this.HelpPanel.Size = new System.Drawing.Size(596, 130);
            this.HelpPanel.TabIndex = 12;
            this.HelpPanel.Tag = "132";
            // 
            // panel8
            // 
            this.panel8.BackColor = System.Drawing.Color.White;
            this.panel8.Controls.Add(this.pictureBox4);
            this.panel8.Controls.Add(this.HelpWebForum);
            this.panel8.Controls.Add(this.HelpWebHelpFAQ);
            this.panel8.Controls.Add(this.HelpSupportLabel);
            this.panel8.Location = new System.Drawing.Point(4, 24);
            this.panel8.Name = "panel8";
            this.panel8.Size = new System.Drawing.Size(588, 104);
            this.panel8.TabIndex = 2;
            // 
            // pictureBox4
            // 
            this.pictureBox4.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox4.Image")));
            this.pictureBox4.Location = new System.Drawing.Point(4, 4);
            this.pictureBox4.Name = "pictureBox4";
            this.pictureBox4.Size = new System.Drawing.Size(96, 96);
            this.pictureBox4.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
            this.pictureBox4.TabIndex = 14;
            this.pictureBox4.TabStop = false;
            // 
            // HelpWebForum
            // 
            this.HelpWebForum.LinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.HelpWebForum.Location = new System.Drawing.Point(119, 43);
            this.HelpWebForum.Name = "HelpWebForum";
            this.HelpWebForum.Size = new System.Drawing.Size(112, 16);
            this.HelpWebForum.TabIndex = 8;
            this.HelpWebForum.TabStop = true;
            this.HelpWebForum.Text = "Official Web Forum";
            this.HelpWebForum.VisitedLinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.HelpWebForum.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.HelpWebForum_LinkClicked);
            // 
            // HelpWebHelpFAQ
            // 
            this.HelpWebHelpFAQ.LinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.HelpWebHelpFAQ.Location = new System.Drawing.Point(119, 59);
            this.HelpWebHelpFAQ.Name = "HelpWebHelpFAQ";
            this.HelpWebHelpFAQ.Size = new System.Drawing.Size(132, 16);
            this.HelpWebHelpFAQ.TabIndex = 9;
            this.HelpWebHelpFAQ.TabStop = true;
            this.HelpWebHelpFAQ.Text = "Official Web Help/FAQ";
            this.HelpWebHelpFAQ.VisitedLinkColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.HelpWebHelpFAQ.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.HelpWebHelpFAQ_LinkClicked);
            // 
            // HelpSupportLabel
            // 
            this.HelpSupportLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.HelpSupportLabel.Location = new System.Drawing.Point(115, 27);
            this.HelpSupportLabel.Name = "HelpSupportLabel";
            this.HelpSupportLabel.Size = new System.Drawing.Size(132, 16);
            this.HelpSupportLabel.TabIndex = 12;
            this.HelpSupportLabel.Text = "Support";
            // 
            // HelpLabel
            // 
            this.HelpLabel.BackColor = System.Drawing.Color.Transparent;
            this.HelpLabel.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.HelpLabel.ForeColor = System.Drawing.SystemColors.WindowText;
            this.HelpLabel.Location = new System.Drawing.Point(28, 4);
            this.HelpLabel.Name = "HelpLabel";
            this.HelpLabel.Size = new System.Drawing.Size(552, 16);
            this.HelpLabel.TabIndex = 1;
            this.HelpLabel.Text = "Help";
            this.HelpLabel.Click += new System.EventHandler(this.HelpPicture_Click);
            // 
            // HelpPicture
            // 
            this.HelpPicture.BackColor = System.Drawing.SystemColors.Control;
            this.HelpPicture.Location = new System.Drawing.Point(4, 0);
            this.HelpPicture.Name = "HelpPicture";
            this.HelpPicture.Size = new System.Drawing.Size(588, 24);
            this.HelpPicture.TabIndex = 0;
            this.HelpPicture.TabStop = false;
            this.HelpPicture.Click += new System.EventHandler(this.HelpPicture_Click);
            // 
            // AnimationPanel
            // 
            this.AnimationPanel.BackColor = System.Drawing.SystemColors.Control;
            this.AnimationPanel.Controls.Add(this.panel9);
            this.AnimationPanel.Controls.Add(this.AnimationLabel);
            this.AnimationPanel.Controls.Add(this.AnimationPicture);
            this.AnimationPanel.ForeColor = System.Drawing.Color.Black;
            this.AnimationPanel.Location = new System.Drawing.Point(29, 1894);
            this.AnimationPanel.Name = "AnimationPanel";
            this.AnimationPanel.Size = new System.Drawing.Size(596, 314);
            this.AnimationPanel.TabIndex = 13;
            this.AnimationPanel.Tag = "309";
            // 
            // panel9
            // 
            this.panel9.BackColor = System.Drawing.Color.White;
            this.panel9.Controls.Add(this.UsePoofAnimationWhenDeletingCB);
            this.panel9.Controls.Add(this.FadeInFadeOutDurationValue);
            this.panel9.Controls.Add(this.FadeInFadeOutDurationLabel);
            this.panel9.Controls.Add(this.FadeInFadeOutDurationTB);
            this.panel9.Controls.Add(this.RotationAnimationDurationValue);
            this.panel9.Controls.Add(this.RotationAnimationDurationLabel);
            this.panel9.Controls.Add(this.RotationAnimationDurationTB);
            this.panel9.Controls.Add(this.GeneralFrameRateValue);
            this.panel9.Controls.Add(this.GeneralFrameRateLabel);
            this.panel9.Controls.Add(this.GeneralFrameRateTB);
            this.panel9.Location = new System.Drawing.Point(4, 24);
            this.panel9.Name = "panel9";
            this.panel9.Size = new System.Drawing.Size(588, 281);
            this.panel9.TabIndex = 2;
            // 
            // UsePoofAnimationWhenDeletingCB
            // 
            this.UsePoofAnimationWhenDeletingCB.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.UsePoofAnimationWhenDeletingCB.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.UsePoofAnimationWhenDeletingCB.Location = new System.Drawing.Point(293, 6);
            this.UsePoofAnimationWhenDeletingCB.Name = "UsePoofAnimationWhenDeletingCB";
            this.UsePoofAnimationWhenDeletingCB.Size = new System.Drawing.Size(287, 60);
            this.UsePoofAnimationWhenDeletingCB.TabIndex = 45;
            this.UsePoofAnimationWhenDeletingCB.Text = "Use Poof Animation When Deleting";
            this.toolTip.SetToolTip(this.UsePoofAnimationWhenDeletingCB, "Currently experimental and may not work");
            this.UsePoofAnimationWhenDeletingCB.CheckedChanged += new System.EventHandler(this.UsePoofAnimationWhenDeletingCB_CheckedChanged);
            // 
            // FadeInFadeOutDurationValue
            // 
            this.FadeInFadeOutDurationValue.Location = new System.Drawing.Point(189, 238);
            this.FadeInFadeOutDurationValue.Name = "FadeInFadeOutDurationValue";
            this.FadeInFadeOutDurationValue.Size = new System.Drawing.Size(220, 16);
            this.FadeInFadeOutDurationValue.TabIndex = 44;
            this.FadeInFadeOutDurationValue.Text = "250";
            this.FadeInFadeOutDurationValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // FadeInFadeOutDurationLabel
            // 
            this.FadeInFadeOutDurationLabel.BackColor = System.Drawing.Color.Transparent;
            this.FadeInFadeOutDurationLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.FadeInFadeOutDurationLabel.Location = new System.Drawing.Point(-17, 185);
            this.FadeInFadeOutDurationLabel.Name = "FadeInFadeOutDurationLabel";
            this.FadeInFadeOutDurationLabel.Size = new System.Drawing.Size(312, 16);
            this.FadeInFadeOutDurationLabel.TabIndex = 43;
            this.FadeInFadeOutDurationLabel.Text = "Fade In / Fade Out Duration (ms)";
            this.FadeInFadeOutDurationLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // FadeInFadeOutDurationTB
            // 
            this.FadeInFadeOutDurationTB.LargeChange = 50;
            this.FadeInFadeOutDurationTB.Location = new System.Drawing.Point(16, 200);
            this.FadeInFadeOutDurationTB.Maximum = 1000;
            this.FadeInFadeOutDurationTB.Minimum = 1;
            this.FadeInFadeOutDurationTB.Name = "FadeInFadeOutDurationTB";
            this.FadeInFadeOutDurationTB.Size = new System.Drawing.Size(567, 45);
            this.FadeInFadeOutDurationTB.SmallChange = 10;
            this.FadeInFadeOutDurationTB.TabIndex = 42;
            this.FadeInFadeOutDurationTB.TickFrequency = 50;
            this.FadeInFadeOutDurationTB.Value = 15;
            this.FadeInFadeOutDurationTB.Scroll += new System.EventHandler(this.FadeInFadeOutDurationTB_Scroll);
            // 
            // RotationAnimationDurationValue
            // 
            this.RotationAnimationDurationValue.Location = new System.Drawing.Point(189, 149);
            this.RotationAnimationDurationValue.Name = "RotationAnimationDurationValue";
            this.RotationAnimationDurationValue.Size = new System.Drawing.Size(220, 16);
            this.RotationAnimationDurationValue.TabIndex = 41;
            this.RotationAnimationDurationValue.Text = "250";
            this.RotationAnimationDurationValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // RotationAnimationDurationLabel
            // 
            this.RotationAnimationDurationLabel.BackColor = System.Drawing.Color.Transparent;
            this.RotationAnimationDurationLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.RotationAnimationDurationLabel.Location = new System.Drawing.Point(-16, 94);
            this.RotationAnimationDurationLabel.Name = "RotationAnimationDurationLabel";
            this.RotationAnimationDurationLabel.Size = new System.Drawing.Size(312, 16);
            this.RotationAnimationDurationLabel.TabIndex = 40;
            this.RotationAnimationDurationLabel.Text = "Rotation Animation Duration (ms)";
            this.RotationAnimationDurationLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // RotationAnimationDurationTB
            // 
            this.RotationAnimationDurationTB.LargeChange = 50;
            this.RotationAnimationDurationTB.Location = new System.Drawing.Point(14, 110);
            this.RotationAnimationDurationTB.Maximum = 4000;
            this.RotationAnimationDurationTB.Minimum = 1;
            this.RotationAnimationDurationTB.Name = "RotationAnimationDurationTB";
            this.RotationAnimationDurationTB.Size = new System.Drawing.Size(567, 45);
            this.RotationAnimationDurationTB.SmallChange = 10;
            this.RotationAnimationDurationTB.TabIndex = 39;
            this.RotationAnimationDurationTB.TickFrequency = 50;
            this.RotationAnimationDurationTB.Value = 15;
            this.RotationAnimationDurationTB.Scroll += new System.EventHandler(this.RotationAnimationDurationTB_Scroll);
            // 
            // GeneralFrameRateValue
            // 
            this.GeneralFrameRateValue.Location = new System.Drawing.Point(14, 62);
            this.GeneralFrameRateValue.Name = "GeneralFrameRateValue";
            this.GeneralFrameRateValue.Size = new System.Drawing.Size(220, 16);
            this.GeneralFrameRateValue.TabIndex = 38;
            this.GeneralFrameRateValue.Text = "250";
            this.GeneralFrameRateValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // GeneralFrameRateLabel
            // 
            this.GeneralFrameRateLabel.BackColor = System.Drawing.Color.Transparent;
            this.GeneralFrameRateLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.GeneralFrameRateLabel.Location = new System.Drawing.Point(-35, 11);
            this.GeneralFrameRateLabel.Name = "GeneralFrameRateLabel";
            this.GeneralFrameRateLabel.Size = new System.Drawing.Size(312, 16);
            this.GeneralFrameRateLabel.TabIndex = 37;
            this.GeneralFrameRateLabel.Text = "General Frame Rate (FPS)";
            this.GeneralFrameRateLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // GeneralFrameRateTB
            // 
            this.GeneralFrameRateTB.LargeChange = 2;
            this.GeneralFrameRateTB.Location = new System.Drawing.Point(14, 26);
            this.GeneralFrameRateTB.Maximum = 100;
            this.GeneralFrameRateTB.Minimum = 15;
            this.GeneralFrameRateTB.Name = "GeneralFrameRateTB";
            this.GeneralFrameRateTB.Size = new System.Drawing.Size(220, 45);
            this.GeneralFrameRateTB.TabIndex = 36;
            this.GeneralFrameRateTB.TickFrequency = 5;
            this.GeneralFrameRateTB.Value = 15;
            this.GeneralFrameRateTB.Scroll += new System.EventHandler(this.GeneralFrameRateTB_Scroll);
            // 
            // AnimationLabel
            // 
            this.AnimationLabel.BackColor = System.Drawing.Color.Transparent;
            this.AnimationLabel.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.AnimationLabel.ForeColor = System.Drawing.SystemColors.WindowText;
            this.AnimationLabel.Location = new System.Drawing.Point(28, 4);
            this.AnimationLabel.Name = "AnimationLabel";
            this.AnimationLabel.Size = new System.Drawing.Size(552, 16);
            this.AnimationLabel.TabIndex = 1;
            this.AnimationLabel.Text = "Animation";
            this.AnimationLabel.Click += new System.EventHandler(this.AnimationPicture_Click);
            // 
            // AnimationPicture
            // 
            this.AnimationPicture.BackColor = System.Drawing.SystemColors.Control;
            this.AnimationPicture.Location = new System.Drawing.Point(4, 0);
            this.AnimationPicture.Name = "AnimationPicture";
            this.AnimationPicture.Size = new System.Drawing.Size(588, 24);
            this.AnimationPicture.TabIndex = 0;
            this.AnimationPicture.TabStop = false;
            this.AnimationPicture.Click += new System.EventHandler(this.AnimationPicture_Click);
            // 
            // LocationPanel
            // 
            this.LocationPanel.BackColor = System.Drawing.SystemColors.Control;
            this.LocationPanel.Controls.Add(this.panel10);
            this.LocationPanel.Controls.Add(this.LocationLabel);
            this.LocationPanel.Controls.Add(this.LocationPicture);
            this.LocationPanel.ForeColor = System.Drawing.Color.Black;
            this.LocationPanel.Location = new System.Drawing.Point(29, 2245);
            this.LocationPanel.Name = "LocationPanel";
            this.LocationPanel.Size = new System.Drawing.Size(596, 240);
            this.LocationPanel.TabIndex = 14;
            this.LocationPanel.Tag = "136";
            // 
            // panel10
            // 
            this.panel10.BackColor = System.Drawing.Color.White;
            this.panel10.Controls.Add(this.label1);
            this.panel10.Controls.Add(this.CentreAroundCursorWhenShownCB);
            this.panel10.Controls.Add(this.lockDockPositionCheckBox);
            this.panel10.Location = new System.Drawing.Point(4, 24);
            this.panel10.Name = "panel10";
            this.panel10.Size = new System.Drawing.Size(588, 108);
            this.panel10.TabIndex = 2;
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(16, 13);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(562, 13);
            this.label1.TabIndex = 2;
            this.label1.Text = "If neither of the following options are checked, the Dock will always be displaye" +
                "d such that no part of it is obscured.";
            // 
            // CentreAroundCursorWhenShownCB
            // 
            this.CentreAroundCursorWhenShownCB.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.CentreAroundCursorWhenShownCB.Location = new System.Drawing.Point(16, 46);
            this.CentreAroundCursorWhenShownCB.Name = "CentreAroundCursorWhenShownCB";
            this.CentreAroundCursorWhenShownCB.Size = new System.Drawing.Size(272, 32);
            this.CentreAroundCursorWhenShownCB.TabIndex = 0;
            this.CentreAroundCursorWhenShownCB.Text = "Centre Around Cursor When Shown";
            this.CentreAroundCursorWhenShownCB.CheckedChanged += new System.EventHandler(this.CentreAroundCursorWhenShownCB_CheckedChanged);
            // 
            // lockDockPositionCheckBox
            // 
            this.lockDockPositionCheckBox.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.lockDockPositionCheckBox.Location = new System.Drawing.Point(16, 73);
            this.lockDockPositionCheckBox.Name = "lockDockPositionCheckBox";
            this.lockDockPositionCheckBox.Size = new System.Drawing.Size(286, 32);
            this.lockDockPositionCheckBox.TabIndex = 1;
            this.lockDockPositionCheckBox.Text = "Lock Dock to Current Position";
            this.lockDockPositionCheckBox.CheckedChanged += new System.EventHandler(this.lockDockPositionCheckBox_CheckedChanged);
            // 
            // LocationLabel
            // 
            this.LocationLabel.BackColor = System.Drawing.Color.Transparent;
            this.LocationLabel.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LocationLabel.ForeColor = System.Drawing.SystemColors.WindowText;
            this.LocationLabel.Location = new System.Drawing.Point(28, 4);
            this.LocationLabel.Name = "LocationLabel";
            this.LocationLabel.Size = new System.Drawing.Size(552, 16);
            this.LocationLabel.TabIndex = 1;
            this.LocationLabel.Text = "Location";
            this.LocationLabel.Click += new System.EventHandler(this.LocationPicture_Click);
            // 
            // LocationPicture
            // 
            this.LocationPicture.BackColor = System.Drawing.SystemColors.Control;
            this.LocationPicture.Location = new System.Drawing.Point(4, 0);
            this.LocationPicture.Name = "LocationPicture";
            this.LocationPicture.Size = new System.Drawing.Size(588, 24);
            this.LocationPicture.TabIndex = 0;
            this.LocationPicture.TabStop = false;
            this.LocationPicture.Click += new System.EventHandler(this.LocationPicture_Click);
            // 
            // TogglingPanel
            // 
            this.TogglingPanel.BackColor = System.Drawing.SystemColors.Control;
            this.TogglingPanel.Controls.Add(this.panel11);
            this.TogglingPanel.Controls.Add(this.TogglingLabel);
            this.TogglingPanel.Controls.Add(this.TogglingPicture);
            this.TogglingPanel.ForeColor = System.Drawing.Color.Black;
            this.TogglingPanel.Location = new System.Drawing.Point(29, 2491);
            this.TogglingPanel.Name = "TogglingPanel";
            this.TogglingPanel.Size = new System.Drawing.Size(596, 504);
            this.TogglingPanel.TabIndex = 15;
            this.TogglingPanel.Tag = "464";
            // 
            // panel11
            // 
            this.panel11.BackColor = System.Drawing.Color.White;
            this.panel11.Controls.Add(this.groupBox2);
            this.panel11.Controls.Add(this.groupBox7);
            this.panel11.Controls.Add(this.groupBox4);
            this.panel11.Controls.Add(this.groupBox1);
            this.panel11.Location = new System.Drawing.Point(4, 24);
            this.panel11.Name = "panel11";
            this.panel11.Size = new System.Drawing.Size(588, 436);
            this.panel11.TabIndex = 2;
            // 
            // groupBox2
            // 
            this.groupBox2.Controls.Add(this.cbAutoHide);
            this.groupBox2.Controls.Add(this.label2);
            this.groupBox2.Location = new System.Drawing.Point(334, 123);
            this.groupBox2.Name = "groupBox2";
            this.groupBox2.Size = new System.Drawing.Size(218, 77);
            this.groupBox2.TabIndex = 28;
            this.groupBox2.TabStop = false;
            // 
            // cbAutoHide
            // 
            this.cbAutoHide.AutoSize = true;
            this.cbAutoHide.Location = new System.Drawing.Point(7, 46);
            this.cbAutoHide.Name = "cbAutoHide";
            this.cbAutoHide.Size = new System.Drawing.Size(205, 17);
            this.cbAutoHide.TabIndex = 1;
            this.cbAutoHide.Tag = "";
            this.cbAutoHide.Text = "Auto-hide Dock when mouse leaves it";
            this.toolTip.SetToolTip(this.cbAutoHide, "Uncheck this option for Drag\'n\'Drop either here or using the Context Menu");
            this.cbAutoHide.UseVisualStyleBackColor = true;
            this.cbAutoHide.CheckedChanged += new System.EventHandler(this.cbAutoHide_CheckedChanged);
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label2.Location = new System.Drawing.Point(80, 18);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(59, 13);
            this.label2.TabIndex = 0;
            this.label2.Text = "AutoHide";
            // 
            // groupBox7
            // 
            this.groupBox7.Controls.Add(this.dwellTimeValue);
            this.groupBox7.Controls.Add(this.dwellTimeLabel);
            this.groupBox7.Controls.Add(this.dwellTimeTrackBar);
            this.groupBox7.Controls.Add(this.EdgeWidthHeightValue);
            this.groupBox7.Controls.Add(this.EdgeWidthHeightLabel);
            this.groupBox7.Controls.Add(this.EdgeWidthHeightTB);
            this.groupBox7.Controls.Add(this.ScreenBottomEdge);
            this.groupBox7.Controls.Add(this.ScreenTopEdge);
            this.groupBox7.Controls.Add(this.ScreenRightEdge);
            this.groupBox7.Controls.Add(this.ScreenLeftEdge);
            this.groupBox7.Controls.Add(this.ShowDockWhenMouseMoveTo);
            this.groupBox7.Location = new System.Drawing.Point(34, 219);
            this.groupBox7.Name = "groupBox7";
            this.groupBox7.Size = new System.Drawing.Size(529, 197);
            this.groupBox7.TabIndex = 27;
            this.groupBox7.TabStop = false;
            // 
            // dwellTimeValue
            // 
            this.dwellTimeValue.Location = new System.Drawing.Point(274, 179);
            this.dwellTimeValue.Name = "dwellTimeValue";
            this.dwellTimeValue.Size = new System.Drawing.Size(220, 16);
            this.dwellTimeValue.TabIndex = 29;
            this.dwellTimeValue.Text = "250";
            this.dwellTimeValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // dwellTimeLabel
            // 
            this.dwellTimeLabel.BackColor = System.Drawing.Color.Transparent;
            this.dwellTimeLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.dwellTimeLabel.Location = new System.Drawing.Point(282, 103);
            this.dwellTimeLabel.Name = "dwellTimeLabel";
            this.dwellTimeLabel.Size = new System.Drawing.Size(241, 35);
            this.dwellTimeLabel.TabIndex = 28;
            this.dwellTimeLabel.Text = "Dwell Time (ms)";
            this.dwellTimeLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // dwellTimeTrackBar
            // 
            this.dwellTimeTrackBar.LargeChange = 10;
            this.dwellTimeTrackBar.Location = new System.Drawing.Point(274, 141);
            this.dwellTimeTrackBar.Maximum = 1000;
            this.dwellTimeTrackBar.Name = "dwellTimeTrackBar";
            this.dwellTimeTrackBar.Size = new System.Drawing.Size(220, 45);
            this.dwellTimeTrackBar.TabIndex = 27;
            this.dwellTimeTrackBar.TickFrequency = 50;
            this.toolTip.SetToolTip(this.dwellTimeTrackBar, "The length of time, in milliseconds, that the mouse\r\nmust remain at the edge of t" +
                    "he screen before the\r\nDock reappears.\r\n\r\nNote that two times this value is used " +
                    "for \"AutoHide\".");
            this.dwellTimeTrackBar.Value = 1;
            this.dwellTimeTrackBar.Scroll += new System.EventHandler(this.dwellTimeTrackBar_Scroll);
            // 
            // EdgeWidthHeightValue
            // 
            this.EdgeWidthHeightValue.Location = new System.Drawing.Point(274, 86);
            this.EdgeWidthHeightValue.Name = "EdgeWidthHeightValue";
            this.EdgeWidthHeightValue.Size = new System.Drawing.Size(220, 16);
            this.EdgeWidthHeightValue.TabIndex = 26;
            this.EdgeWidthHeightValue.Text = "250";
            this.EdgeWidthHeightValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // EdgeWidthHeightLabel
            // 
            this.EdgeWidthHeightLabel.BackColor = System.Drawing.Color.Transparent;
            this.EdgeWidthHeightLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.EdgeWidthHeightLabel.Location = new System.Drawing.Point(282, 14);
            this.EdgeWidthHeightLabel.Name = "EdgeWidthHeightLabel";
            this.EdgeWidthHeightLabel.Size = new System.Drawing.Size(235, 34);
            this.EdgeWidthHeightLabel.TabIndex = 25;
            this.EdgeWidthHeightLabel.Text = "Edge Width/Height";
            this.EdgeWidthHeightLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // EdgeWidthHeightTB
            // 
            this.EdgeWidthHeightTB.LargeChange = 1;
            this.EdgeWidthHeightTB.Location = new System.Drawing.Point(274, 48);
            this.EdgeWidthHeightTB.Minimum = 1;
            this.EdgeWidthHeightTB.Name = "EdgeWidthHeightTB";
            this.EdgeWidthHeightTB.Size = new System.Drawing.Size(220, 45);
            this.EdgeWidthHeightTB.TabIndex = 24;
            this.toolTip.SetToolTip(this.EdgeWidthHeightTB, "The number of pixels from the screen edge within which\r\nthe Dock will be made vis" +
                    "ible if the mouse pointer\r\nlingers within that zone.");
            this.EdgeWidthHeightTB.Value = 1;
            this.EdgeWidthHeightTB.Scroll += new System.EventHandler(this.EdgeWidthHeightTB_Scroll);
            // 
            // ScreenBottomEdge
            // 
            this.ScreenBottomEdge.BackColor = System.Drawing.Color.Transparent;
            this.ScreenBottomEdge.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.ScreenBottomEdge.Location = new System.Drawing.Point(26, 134);
            this.ScreenBottomEdge.Name = "ScreenBottomEdge";
            this.ScreenBottomEdge.Size = new System.Drawing.Size(272, 16);
            this.ScreenBottomEdge.TabIndex = 23;
            this.ScreenBottomEdge.Text = "Screen Bottom Edge";
            this.ScreenBottomEdge.UseVisualStyleBackColor = false;
            this.ScreenBottomEdge.CheckedChanged += new System.EventHandler(this.ScreenBottomEdge_CheckedChanged);
            // 
            // ScreenTopEdge
            // 
            this.ScreenTopEdge.BackColor = System.Drawing.Color.Transparent;
            this.ScreenTopEdge.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.ScreenTopEdge.Location = new System.Drawing.Point(26, 112);
            this.ScreenTopEdge.Name = "ScreenTopEdge";
            this.ScreenTopEdge.Size = new System.Drawing.Size(272, 16);
            this.ScreenTopEdge.TabIndex = 22;
            this.ScreenTopEdge.Text = "Screen Top Edge";
            this.ScreenTopEdge.UseVisualStyleBackColor = false;
            this.ScreenTopEdge.CheckedChanged += new System.EventHandler(this.ScreenTopEdge_CheckedChanged);
            // 
            // ScreenRightEdge
            // 
            this.ScreenRightEdge.BackColor = System.Drawing.Color.Transparent;
            this.ScreenRightEdge.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.ScreenRightEdge.Location = new System.Drawing.Point(25, 90);
            this.ScreenRightEdge.Name = "ScreenRightEdge";
            this.ScreenRightEdge.Size = new System.Drawing.Size(272, 16);
            this.ScreenRightEdge.TabIndex = 21;
            this.ScreenRightEdge.Text = "Screen Right Edge";
            this.ScreenRightEdge.UseVisualStyleBackColor = false;
            this.ScreenRightEdge.CheckedChanged += new System.EventHandler(this.ScreenRightEdge_CheckedChanged);
            // 
            // ScreenLeftEdge
            // 
            this.ScreenLeftEdge.BackColor = System.Drawing.Color.Transparent;
            this.ScreenLeftEdge.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.ScreenLeftEdge.Location = new System.Drawing.Point(26, 68);
            this.ScreenLeftEdge.Name = "ScreenLeftEdge";
            this.ScreenLeftEdge.Size = new System.Drawing.Size(272, 16);
            this.ScreenLeftEdge.TabIndex = 20;
            this.ScreenLeftEdge.Text = "Screen Left Edge";
            this.ScreenLeftEdge.UseVisualStyleBackColor = false;
            this.ScreenLeftEdge.CheckedChanged += new System.EventHandler(this.ScreenLeftEdge_CheckedChanged);
            // 
            // ShowDockWhenMouseMoveTo
            // 
            this.ShowDockWhenMouseMoveTo.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.ShowDockWhenMouseMoveTo.Location = new System.Drawing.Point(17, 20);
            this.ShowDockWhenMouseMoveTo.Name = "ShowDockWhenMouseMoveTo";
            this.ShowDockWhenMouseMoveTo.Size = new System.Drawing.Size(239, 45);
            this.ShowDockWhenMouseMoveTo.TabIndex = 18;
            this.ShowDockWhenMouseMoveTo.Text = "Show Dock When I Move My Mouse to....";
            this.ShowDockWhenMouseMoveTo.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            // 
            // groupBox4
            // 
            this.groupBox4.Controls.Add(this.ToggleVisiblityMouseButton);
            this.groupBox4.Controls.Add(this.ToggleVisibilityMouseButtonLabel);
            this.groupBox4.Location = new System.Drawing.Point(334, 12);
            this.groupBox4.Name = "groupBox4";
            this.groupBox4.Size = new System.Drawing.Size(217, 99);
            this.groupBox4.TabIndex = 15;
            this.groupBox4.TabStop = false;
            // 
            // ToggleVisiblityMouseButton
            // 
            this.ToggleVisiblityMouseButton.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.ToggleVisiblityMouseButton.Location = new System.Drawing.Point(34, 64);
            this.ToggleVisiblityMouseButton.Name = "ToggleVisiblityMouseButton";
            this.ToggleVisiblityMouseButton.Size = new System.Drawing.Size(150, 21);
            this.ToggleVisiblityMouseButton.TabIndex = 8;
            this.toolTip.SetToolTip(this.ToggleVisiblityMouseButton, "Note that the Middle Mouse Button\r\nis not emulated on all laptops\r\nwith track pan" +
                    "els.");
            this.ToggleVisiblityMouseButton.SelectedIndexChanged += new System.EventHandler(this.ToggleVisiblityMouseButton_SelectedIndexChanged);
            // 
            // ToggleVisibilityMouseButtonLabel
            // 
            this.ToggleVisibilityMouseButtonLabel.BackColor = System.Drawing.Color.Transparent;
            this.ToggleVisibilityMouseButtonLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.ToggleVisibilityMouseButtonLabel.Location = new System.Drawing.Point(8, 11);
            this.ToggleVisibilityMouseButtonLabel.Name = "ToggleVisibilityMouseButtonLabel";
            this.ToggleVisibilityMouseButtonLabel.Size = new System.Drawing.Size(203, 37);
            this.ToggleVisibilityMouseButtonLabel.TabIndex = 0;
            this.ToggleVisibilityMouseButtonLabel.Text = "Toggle Visibility Mouse Button";
            this.ToggleVisibilityMouseButtonLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // groupBox1
            // 
            this.groupBox1.Controls.Add(this.ToggleVisibilityHotkeyLabel);
            this.groupBox1.Controls.Add(this.ToggleVisiblityKey1);
            this.groupBox1.Controls.Add(this.ToggleVisibilityHotkeyValid);
            this.groupBox1.Controls.Add(this.ToggleVisibilityWinCB);
            this.groupBox1.Controls.Add(this.ToggleVisibilityShiftCB);
            this.groupBox1.Controls.Add(this.ToggleVisibilityCtrlCB);
            this.groupBox1.Controls.Add(this.ToggleVisibilityAltCB);
            this.groupBox1.Location = new System.Drawing.Point(39, 11);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new System.Drawing.Size(267, 189);
            this.groupBox1.TabIndex = 11;
            this.groupBox1.TabStop = false;
            // 
            // ToggleVisibilityHotkeyLabel
            // 
            this.ToggleVisibilityHotkeyLabel.BackColor = System.Drawing.Color.Transparent;
            this.ToggleVisibilityHotkeyLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.ToggleVisibilityHotkeyLabel.Location = new System.Drawing.Point(2, 13);
            this.ToggleVisibilityHotkeyLabel.Name = "ToggleVisibilityHotkeyLabel";
            this.ToggleVisibilityHotkeyLabel.Size = new System.Drawing.Size(256, 36);
            this.ToggleVisibilityHotkeyLabel.TabIndex = 0;
            this.ToggleVisibilityHotkeyLabel.Text = "Toggle Visibility Hotkey";
            this.ToggleVisibilityHotkeyLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // ToggleVisiblityKey1
            // 
            this.ToggleVisiblityKey1.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.ToggleVisiblityKey1.Location = new System.Drawing.Point(49, 122);
            this.ToggleVisiblityKey1.Name = "ToggleVisiblityKey1";
            this.ToggleVisiblityKey1.Size = new System.Drawing.Size(150, 21);
            this.ToggleVisiblityKey1.TabIndex = 27;
            this.ToggleVisiblityKey1.SelectedIndexChanged += new System.EventHandler(this.ToggleVisiblityKey1_SelectedIndexChanged);
            // 
            // ToggleVisibilityHotkeyValid
            // 
            this.ToggleVisibilityHotkeyValid.BackColor = System.Drawing.Color.Transparent;
            this.ToggleVisibilityHotkeyValid.Font = new System.Drawing.Font("Tahoma", 8.25F);
            this.ToggleVisibilityHotkeyValid.Location = new System.Drawing.Point(42, 146);
            this.ToggleVisibilityHotkeyValid.Name = "ToggleVisibilityHotkeyValid";
            this.ToggleVisibilityHotkeyValid.Size = new System.Drawing.Size(156, 29);
            this.ToggleVisibilityHotkeyValid.TabIndex = 12;
            this.ToggleVisibilityHotkeyValid.Text = "Valid/Invalid";
            // 
            // ToggleVisibilityWinCB
            // 
            this.ToggleVisibilityWinCB.BackColor = System.Drawing.Color.Transparent;
            this.ToggleVisibilityWinCB.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.ToggleVisibilityWinCB.Location = new System.Drawing.Point(94, 100);
            this.ToggleVisibilityWinCB.Name = "ToggleVisibilityWinCB";
            this.ToggleVisibilityWinCB.Size = new System.Drawing.Size(272, 16);
            this.ToggleVisibilityWinCB.TabIndex = 10;
            this.ToggleVisibilityWinCB.Text = "Win";
            this.ToggleVisibilityWinCB.UseVisualStyleBackColor = false;
            this.ToggleVisibilityWinCB.CheckedChanged += new System.EventHandler(this.ToggleVisibilityWinCB_CheckedChanged);
            // 
            // ToggleVisibilityShiftCB
            // 
            this.ToggleVisibilityShiftCB.BackColor = System.Drawing.Color.Transparent;
            this.ToggleVisibilityShiftCB.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.ToggleVisibilityShiftCB.Location = new System.Drawing.Point(94, 84);
            this.ToggleVisibilityShiftCB.Name = "ToggleVisibilityShiftCB";
            this.ToggleVisibilityShiftCB.Size = new System.Drawing.Size(272, 16);
            this.ToggleVisibilityShiftCB.TabIndex = 2;
            this.ToggleVisibilityShiftCB.Text = "Shift";
            this.ToggleVisibilityShiftCB.UseVisualStyleBackColor = false;
            this.ToggleVisibilityShiftCB.CheckedChanged += new System.EventHandler(this.ToggleVisibilityShiftCB_CheckedChanged);
            // 
            // ToggleVisibilityCtrlCB
            // 
            this.ToggleVisibilityCtrlCB.BackColor = System.Drawing.Color.Transparent;
            this.ToggleVisibilityCtrlCB.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.ToggleVisibilityCtrlCB.Location = new System.Drawing.Point(94, 52);
            this.ToggleVisibilityCtrlCB.Name = "ToggleVisibilityCtrlCB";
            this.ToggleVisibilityCtrlCB.Size = new System.Drawing.Size(272, 16);
            this.ToggleVisibilityCtrlCB.TabIndex = 0;
            this.ToggleVisibilityCtrlCB.Text = "Ctrl";
            this.ToggleVisibilityCtrlCB.UseVisualStyleBackColor = false;
            this.ToggleVisibilityCtrlCB.CheckedChanged += new System.EventHandler(this.ToggleVisibilityCtrlCB_CheckedChanged);
            // 
            // ToggleVisibilityAltCB
            // 
            this.ToggleVisibilityAltCB.BackColor = System.Drawing.Color.Transparent;
            this.ToggleVisibilityAltCB.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.ToggleVisibilityAltCB.Location = new System.Drawing.Point(94, 68);
            this.ToggleVisibilityAltCB.Name = "ToggleVisibilityAltCB";
            this.ToggleVisibilityAltCB.Size = new System.Drawing.Size(272, 16);
            this.ToggleVisibilityAltCB.TabIndex = 1;
            this.ToggleVisibilityAltCB.Text = "Alt";
            this.ToggleVisibilityAltCB.UseVisualStyleBackColor = false;
            this.ToggleVisibilityAltCB.CheckedChanged += new System.EventHandler(this.ToggleVisibilityAltCB_CheckedChanged);
            // 
            // TogglingLabel
            // 
            this.TogglingLabel.BackColor = System.Drawing.Color.Transparent;
            this.TogglingLabel.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.TogglingLabel.ForeColor = System.Drawing.SystemColors.WindowText;
            this.TogglingLabel.Location = new System.Drawing.Point(28, 4);
            this.TogglingLabel.Name = "TogglingLabel";
            this.TogglingLabel.Size = new System.Drawing.Size(552, 16);
            this.TogglingLabel.TabIndex = 1;
            this.TogglingLabel.Text = "Toggling";
            this.TogglingLabel.Click += new System.EventHandler(this.TogglingPicture_Click);
            // 
            // TogglingPicture
            // 
            this.TogglingPicture.BackColor = System.Drawing.SystemColors.Control;
            this.TogglingPicture.Location = new System.Drawing.Point(4, 0);
            this.TogglingPicture.Name = "TogglingPicture";
            this.TogglingPicture.Size = new System.Drawing.Size(588, 24);
            this.TogglingPicture.TabIndex = 0;
            this.TogglingPicture.TabStop = false;
            this.TogglingPicture.Click += new System.EventHandler(this.TogglingPicture_Click);
            // 
            // FileIconAssociationsPanel
            // 
            this.FileIconAssociationsPanel.BackColor = System.Drawing.SystemColors.Control;
            this.FileIconAssociationsPanel.Controls.Add(this.panel12);
            this.FileIconAssociationsPanel.Controls.Add(this.FileIconAssociationsLabel);
            this.FileIconAssociationsPanel.Controls.Add(this.FileIconAssociationsPicture);
            this.FileIconAssociationsPanel.ForeColor = System.Drawing.Color.Black;
            this.FileIconAssociationsPanel.Location = new System.Drawing.Point(30, 3001);
            this.FileIconAssociationsPanel.Name = "FileIconAssociationsPanel";
            this.FileIconAssociationsPanel.Size = new System.Drawing.Size(596, 982);
            this.FileIconAssociationsPanel.TabIndex = 16;
            this.FileIconAssociationsPanel.Tag = "159";
            // 
            // panel12
            // 
            this.panel12.BackColor = System.Drawing.Color.White;
            this.panel12.Controls.Add(this.DockFolderDefaultImageBrowse);
            this.panel12.Controls.Add(this.DockFolderDefaultImagePath);
            this.panel12.Controls.Add(this.DockFolderDefaultImage);
            this.panel12.Controls.Add(this.DockFolderIconAssociationsLabel);
            this.panel12.Controls.Add(this.dataGridView2);
            this.panel12.Controls.Add(this.dataGridView1);
            this.panel12.Controls.Add(this.FileIconAssociationsDescription);
            this.panel12.Controls.Add(this.FileExtensionIconAssociationsLabel);
            this.panel12.Controls.Add(this.FolderNameIconAssociationsLabel);
            this.panel12.Controls.Add(this.FileNameIconAssociationsLabel);
            this.panel12.Controls.Add(this.FileNameIconAssocationsTable);
            this.panel12.Location = new System.Drawing.Point(4, 24);
            this.panel12.Name = "panel12";
            this.panel12.Size = new System.Drawing.Size(588, 131);
            this.panel12.TabIndex = 2;
            // 
            // DockFolderDefaultImageBrowse
            // 
            this.DockFolderDefaultImageBrowse.BackColor = System.Drawing.SystemColors.Control;
            this.DockFolderDefaultImageBrowse.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.DockFolderDefaultImageBrowse.Location = new System.Drawing.Point(513, 37);
            this.DockFolderDefaultImageBrowse.Name = "DockFolderDefaultImageBrowse";
            this.DockFolderDefaultImageBrowse.Size = new System.Drawing.Size(49, 20);
            this.DockFolderDefaultImageBrowse.TabIndex = 33;
            this.DockFolderDefaultImageBrowse.Text = ".....";
            this.DockFolderDefaultImageBrowse.UseVisualStyleBackColor = false;
            this.DockFolderDefaultImageBrowse.Click += new System.EventHandler(this.DockFolderDefaultImageBrowse_Click);
            // 
            // DockFolderDefaultImagePath
            // 
            this.DockFolderDefaultImagePath.Location = new System.Drawing.Point(150, 38);
            this.DockFolderDefaultImagePath.Name = "DockFolderDefaultImagePath";
            this.DockFolderDefaultImagePath.ReadOnly = true;
            this.DockFolderDefaultImagePath.Size = new System.Drawing.Size(348, 21);
            this.DockFolderDefaultImagePath.TabIndex = 20;
            // 
            // DockFolderDefaultImage
            // 
            this.DockFolderDefaultImage.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.DockFolderDefaultImage.Location = new System.Drawing.Point(43, 34);
            this.DockFolderDefaultImage.Name = "DockFolderDefaultImage";
            this.DockFolderDefaultImage.Size = new System.Drawing.Size(72, 72);
            this.DockFolderDefaultImage.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
            this.DockFolderDefaultImage.TabIndex = 19;
            this.DockFolderDefaultImage.TabStop = false;
            // 
            // DockFolderIconAssociationsLabel
            // 
            this.DockFolderIconAssociationsLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.DockFolderIconAssociationsLabel.Location = new System.Drawing.Point(40, 14);
            this.DockFolderIconAssociationsLabel.Name = "DockFolderIconAssociationsLabel";
            this.DockFolderIconAssociationsLabel.Size = new System.Drawing.Size(500, 16);
            this.DockFolderIconAssociationsLabel.TabIndex = 11;
            this.DockFolderIconAssociationsLabel.Text = "Dock Folder -> Icon Association";
            // 
            // dataGridView2
            // 
            this.dataGridView2.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.dataGridView2.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.dataGridViewTextBoxColumn3,
            this.dataGridViewTextBoxColumn4,
            this.dataGridViewButtonColumn2,
            this.dataGridViewCheckBoxColumn4,
            this.dataGridViewCheckBoxColumn5,
            this.dataGridViewCheckBoxColumn6,
            this.dataGridViewImageColumn2});
            this.dataGridView2.Enabled = false;
            this.dataGridView2.Location = new System.Drawing.Point(10, 566);
            this.dataGridView2.Name = "dataGridView2";
            this.dataGridView2.Size = new System.Drawing.Size(571, 219);
            this.dataGridView2.TabIndex = 22;
            this.dataGridView2.Visible = false;
            // 
            // dataGridViewTextBoxColumn3
            // 
            this.dataGridViewTextBoxColumn3.HeaderText = "File Name";
            this.dataGridViewTextBoxColumn3.Name = "dataGridViewTextBoxColumn3";
            this.dataGridViewTextBoxColumn3.Width = 125;
            // 
            // dataGridViewTextBoxColumn4
            // 
            this.dataGridViewTextBoxColumn4.HeaderText = "Associated Dock Icon";
            this.dataGridViewTextBoxColumn4.Name = "dataGridViewTextBoxColumn4";
            this.dataGridViewTextBoxColumn4.Width = 150;
            // 
            // dataGridViewButtonColumn2
            // 
            this.dataGridViewButtonColumn2.HeaderText = "Browse";
            this.dataGridViewButtonColumn2.Name = "dataGridViewButtonColumn2";
            this.dataGridViewButtonColumn2.Text = "";
            this.dataGridViewButtonColumn2.Width = 50;
            // 
            // dataGridViewCheckBoxColumn4
            // 
            this.dataGridViewCheckBoxColumn4.HeaderText = "Starts With";
            this.dataGridViewCheckBoxColumn4.Name = "dataGridViewCheckBoxColumn4";
            this.dataGridViewCheckBoxColumn4.Width = 50;
            // 
            // dataGridViewCheckBoxColumn5
            // 
            this.dataGridViewCheckBoxColumn5.HeaderText = "Ends With";
            this.dataGridViewCheckBoxColumn5.Name = "dataGridViewCheckBoxColumn5";
            this.dataGridViewCheckBoxColumn5.Width = 50;
            // 
            // dataGridViewCheckBoxColumn6
            // 
            this.dataGridViewCheckBoxColumn6.HeaderText = "Exact";
            this.dataGridViewCheckBoxColumn6.Name = "dataGridViewCheckBoxColumn6";
            this.dataGridViewCheckBoxColumn6.Width = 50;
            // 
            // dataGridViewImageColumn2
            // 
            this.dataGridViewImageColumn2.HeaderText = "Sample";
            this.dataGridViewImageColumn2.Name = "dataGridViewImageColumn2";
            this.dataGridViewImageColumn2.ReadOnly = true;
            this.dataGridViewImageColumn2.Width = 50;
            // 
            // dataGridView1
            // 
            this.dataGridView1.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.dataGridView1.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.dataGridViewTextBoxColumn1,
            this.dataGridViewTextBoxColumn2,
            this.dataGridViewButtonColumn1,
            this.dataGridViewCheckBoxColumn1,
            this.dataGridViewCheckBoxColumn2,
            this.dataGridViewCheckBoxColumn3,
            this.dataGridViewImageColumn1});
            this.dataGridView1.Enabled = false;
            this.dataGridView1.Location = new System.Drawing.Point(9, 310);
            this.dataGridView1.Name = "dataGridView1";
            this.dataGridView1.Size = new System.Drawing.Size(571, 219);
            this.dataGridView1.TabIndex = 21;
            this.dataGridView1.Visible = false;
            // 
            // dataGridViewTextBoxColumn1
            // 
            this.dataGridViewTextBoxColumn1.HeaderText = "File Name";
            this.dataGridViewTextBoxColumn1.Name = "dataGridViewTextBoxColumn1";
            this.dataGridViewTextBoxColumn1.Width = 125;
            // 
            // dataGridViewTextBoxColumn2
            // 
            this.dataGridViewTextBoxColumn2.HeaderText = "Associated Dock Icon";
            this.dataGridViewTextBoxColumn2.Name = "dataGridViewTextBoxColumn2";
            this.dataGridViewTextBoxColumn2.Width = 150;
            // 
            // dataGridViewButtonColumn1
            // 
            this.dataGridViewButtonColumn1.HeaderText = "Browse";
            this.dataGridViewButtonColumn1.Name = "dataGridViewButtonColumn1";
            this.dataGridViewButtonColumn1.Text = "";
            this.dataGridViewButtonColumn1.Width = 50;
            // 
            // dataGridViewCheckBoxColumn1
            // 
            this.dataGridViewCheckBoxColumn1.HeaderText = "Starts With";
            this.dataGridViewCheckBoxColumn1.Name = "dataGridViewCheckBoxColumn1";
            this.dataGridViewCheckBoxColumn1.Width = 50;
            // 
            // dataGridViewCheckBoxColumn2
            // 
            this.dataGridViewCheckBoxColumn2.HeaderText = "Ends With";
            this.dataGridViewCheckBoxColumn2.Name = "dataGridViewCheckBoxColumn2";
            this.dataGridViewCheckBoxColumn2.Width = 50;
            // 
            // dataGridViewCheckBoxColumn3
            // 
            this.dataGridViewCheckBoxColumn3.HeaderText = "Exact";
            this.dataGridViewCheckBoxColumn3.Name = "dataGridViewCheckBoxColumn3";
            this.dataGridViewCheckBoxColumn3.Width = 50;
            // 
            // dataGridViewImageColumn1
            // 
            this.dataGridViewImageColumn1.HeaderText = "Sample";
            this.dataGridViewImageColumn1.Name = "dataGridViewImageColumn1";
            this.dataGridViewImageColumn1.ReadOnly = true;
            this.dataGridViewImageColumn1.Width = 50;
            // 
            // FileIconAssociationsDescription
            // 
            this.FileIconAssociationsDescription.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Bold);
            this.FileIconAssociationsDescription.Location = new System.Drawing.Point(11, 5);
            this.FileIconAssociationsDescription.Name = "FileIconAssociationsDescription";
            this.FileIconAssociationsDescription.Size = new System.Drawing.Size(569, 31);
            this.FileIconAssociationsDescription.TabIndex = 10;
            this.FileIconAssociationsDescription.Text = "Default Icons Used When Adding Files/Folders to the Dock";
            this.FileIconAssociationsDescription.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            this.FileIconAssociationsDescription.Visible = false;
            // 
            // FileExtensionIconAssociationsLabel
            // 
            this.FileExtensionIconAssociationsLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.FileExtensionIconAssociationsLabel.Location = new System.Drawing.Point(14, 547);
            this.FileExtensionIconAssociationsLabel.Name = "FileExtensionIconAssociationsLabel";
            this.FileExtensionIconAssociationsLabel.Size = new System.Drawing.Size(500, 16);
            this.FileExtensionIconAssociationsLabel.TabIndex = 9;
            this.FileExtensionIconAssociationsLabel.Text = "File Extension -> Icon Associations";
            this.FileExtensionIconAssociationsLabel.Visible = false;
            // 
            // FolderNameIconAssociationsLabel
            // 
            this.FolderNameIconAssociationsLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.FolderNameIconAssociationsLabel.Location = new System.Drawing.Point(14, 291);
            this.FolderNameIconAssociationsLabel.Name = "FolderNameIconAssociationsLabel";
            this.FolderNameIconAssociationsLabel.Size = new System.Drawing.Size(500, 16);
            this.FolderNameIconAssociationsLabel.TabIndex = 7;
            this.FolderNameIconAssociationsLabel.Text = "Folder Name -> Icon Associations";
            this.FolderNameIconAssociationsLabel.Visible = false;
            // 
            // FileNameIconAssociationsLabel
            // 
            this.FileNameIconAssociationsLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.FileNameIconAssociationsLabel.Location = new System.Drawing.Point(14, 36);
            this.FileNameIconAssociationsLabel.Name = "FileNameIconAssociationsLabel";
            this.FileNameIconAssociationsLabel.Size = new System.Drawing.Size(500, 16);
            this.FileNameIconAssociationsLabel.TabIndex = 5;
            this.FileNameIconAssociationsLabel.Text = "File Name -> Icon Associations";
            this.FileNameIconAssociationsLabel.Visible = false;
            // 
            // FileNameIconAssocationsTable
            // 
            this.FileNameIconAssocationsTable.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.FileNameIconAssocationsTable.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.FileName,
            this.AssociatedDockIcon,
            this.BrowseIconForFileName,
            this.StartsWith,
            this.EndsWith,
            this.ExactMatch,
            this.SampleIcon});
            this.FileNameIconAssocationsTable.Enabled = false;
            this.FileNameIconAssocationsTable.Location = new System.Drawing.Point(9, 55);
            this.FileNameIconAssocationsTable.Name = "FileNameIconAssocationsTable";
            this.FileNameIconAssocationsTable.Size = new System.Drawing.Size(571, 219);
            this.FileNameIconAssocationsTable.TabIndex = 0;
            this.FileNameIconAssocationsTable.Visible = false;
            // 
            // FileName
            // 
            this.FileName.HeaderText = "File Name";
            this.FileName.Name = "FileName";
            this.FileName.Width = 125;
            // 
            // AssociatedDockIcon
            // 
            this.AssociatedDockIcon.HeaderText = "Associated Dock Icon";
            this.AssociatedDockIcon.Name = "AssociatedDockIcon";
            this.AssociatedDockIcon.Width = 150;
            // 
            // BrowseIconForFileName
            // 
            this.BrowseIconForFileName.HeaderText = "Browse";
            this.BrowseIconForFileName.Name = "BrowseIconForFileName";
            this.BrowseIconForFileName.Text = "";
            this.BrowseIconForFileName.Width = 50;
            // 
            // StartsWith
            // 
            this.StartsWith.HeaderText = "Starts With";
            this.StartsWith.Name = "StartsWith";
            this.StartsWith.Width = 50;
            // 
            // EndsWith
            // 
            this.EndsWith.HeaderText = "Ends With";
            this.EndsWith.Name = "EndsWith";
            this.EndsWith.Width = 50;
            // 
            // ExactMatch
            // 
            this.ExactMatch.HeaderText = "Exact";
            this.ExactMatch.Name = "ExactMatch";
            this.ExactMatch.Width = 50;
            // 
            // SampleIcon
            // 
            this.SampleIcon.HeaderText = "Sample";
            this.SampleIcon.Name = "SampleIcon";
            this.SampleIcon.ReadOnly = true;
            this.SampleIcon.Width = 50;
            // 
            // FileIconAssociationsLabel
            // 
            this.FileIconAssociationsLabel.BackColor = System.Drawing.Color.Transparent;
            this.FileIconAssociationsLabel.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.FileIconAssociationsLabel.ForeColor = System.Drawing.SystemColors.WindowText;
            this.FileIconAssociationsLabel.Location = new System.Drawing.Point(28, 4);
            this.FileIconAssociationsLabel.Name = "FileIconAssociationsLabel";
            this.FileIconAssociationsLabel.Size = new System.Drawing.Size(552, 16);
            this.FileIconAssociationsLabel.TabIndex = 1;
            this.FileIconAssociationsLabel.Text = "File -> Icon Associations";
            this.FileIconAssociationsLabel.Click += new System.EventHandler(this.FileIconAssociationsPicture_Click);
            // 
            // FileIconAssociationsPicture
            // 
            this.FileIconAssociationsPicture.BackColor = System.Drawing.SystemColors.Control;
            this.FileIconAssociationsPicture.Location = new System.Drawing.Point(4, 0);
            this.FileIconAssociationsPicture.Name = "FileIconAssociationsPicture";
            this.FileIconAssociationsPicture.Size = new System.Drawing.Size(588, 24);
            this.FileIconAssociationsPicture.TabIndex = 0;
            this.FileIconAssociationsPicture.TabStop = false;
            this.FileIconAssociationsPicture.Click += new System.EventHandler(this.FileIconAssociationsPicture_Click);
            // 
            // LanguagePanel
            // 
            this.LanguagePanel.BackColor = System.Drawing.SystemColors.Control;
            this.LanguagePanel.Controls.Add(this.panel13);
            this.LanguagePanel.Controls.Add(this.LanguageLabel);
            this.LanguagePanel.Controls.Add(this.LanguagePicture);
            this.LanguagePanel.ForeColor = System.Drawing.Color.Black;
            this.LanguagePanel.Location = new System.Drawing.Point(30, 4084);
            this.LanguagePanel.Name = "LanguagePanel";
            this.LanguagePanel.Size = new System.Drawing.Size(596, 237);
            this.LanguagePanel.TabIndex = 17;
            this.LanguagePanel.Tag = "232";
            // 
            // panel13
            // 
            this.panel13.BackColor = System.Drawing.Color.White;
            this.panel13.Controls.Add(this.LanguageProgramRestartRequired);
            this.panel13.Controls.Add(this.LanguageFileLocationBrowse);
            this.panel13.Controls.Add(this.LanguageFileLocationTextBox);
            this.panel13.Controls.Add(this.LanguageFileValidity);
            this.panel13.Controls.Add(this.LanguageIntendedVersion);
            this.panel13.Controls.Add(this.LanguageFileIntendedForTitle);
            this.panel13.Controls.Add(this.LanguageFileVersion);
            this.panel13.Controls.Add(this.LanguageFileVersionTitleLabel);
            this.panel13.Controls.Add(this.LanguageFileAuthor);
            this.panel13.Controls.Add(this.LanguageFileAuthorTitleLabel);
            this.panel13.Controls.Add(this.LanguageName);
            this.panel13.Controls.Add(this.LanguageNameTitleLabel);
            this.panel13.Controls.Add(this.LanguageFileLocationLabel);
            this.panel13.Location = new System.Drawing.Point(4, 24);
            this.panel13.Name = "panel13";
            this.panel13.Size = new System.Drawing.Size(588, 204);
            this.panel13.TabIndex = 2;
            // 
            // LanguageProgramRestartRequired
            // 
            this.LanguageProgramRestartRequired.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LanguageProgramRestartRequired.Location = new System.Drawing.Point(208, 159);
            this.LanguageProgramRestartRequired.Name = "LanguageProgramRestartRequired";
            this.LanguageProgramRestartRequired.Size = new System.Drawing.Size(365, 36);
            this.LanguageProgramRestartRequired.TabIndex = 34;
            this.LanguageProgramRestartRequired.Text = "***Program Restart Required to Fully Change Language***";
            this.LanguageProgramRestartRequired.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // LanguageFileLocationBrowse
            // 
            this.LanguageFileLocationBrowse.BackColor = System.Drawing.SystemColors.Control;
            this.LanguageFileLocationBrowse.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.LanguageFileLocationBrowse.Location = new System.Drawing.Point(379, 33);
            this.LanguageFileLocationBrowse.Name = "LanguageFileLocationBrowse";
            this.LanguageFileLocationBrowse.Size = new System.Drawing.Size(49, 20);
            this.LanguageFileLocationBrowse.TabIndex = 33;
            this.LanguageFileLocationBrowse.Text = ".....";
            this.LanguageFileLocationBrowse.UseVisualStyleBackColor = false;
            this.LanguageFileLocationBrowse.Click += new System.EventHandler(this.LanguageFileLocationBrowse_Click);
            // 
            // LanguageFileLocationTextBox
            // 
            this.LanguageFileLocationTextBox.Location = new System.Drawing.Point(14, 32);
            this.LanguageFileLocationTextBox.Name = "LanguageFileLocationTextBox";
            this.LanguageFileLocationTextBox.ReadOnly = true;
            this.LanguageFileLocationTextBox.Size = new System.Drawing.Size(348, 21);
            this.LanguageFileLocationTextBox.TabIndex = 22;
            // 
            // LanguageFileValidity
            // 
            this.LanguageFileValidity.BackColor = System.Drawing.Color.Transparent;
            this.LanguageFileValidity.Location = new System.Drawing.Point(244, 128);
            this.LanguageFileValidity.Name = "LanguageFileValidity";
            this.LanguageFileValidity.Size = new System.Drawing.Size(336, 31);
            this.LanguageFileValidity.TabIndex = 16;
            this.LanguageFileValidity.Text = "Language File is Valid/Current";
            // 
            // LanguageIntendedVersion
            // 
            this.LanguageIntendedVersion.BackColor = System.Drawing.Color.Transparent;
            this.LanguageIntendedVersion.Location = new System.Drawing.Point(244, 103);
            this.LanguageIntendedVersion.Name = "LanguageIntendedVersion";
            this.LanguageIntendedVersion.Size = new System.Drawing.Size(320, 23);
            this.LanguageIntendedVersion.TabIndex = 15;
            this.LanguageIntendedVersion.Text = "0.9.2 Alpha 7";
            // 
            // LanguageFileIntendedForTitle
            // 
            this.LanguageFileIntendedForTitle.BackColor = System.Drawing.Color.Transparent;
            this.LanguageFileIntendedForTitle.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LanguageFileIntendedForTitle.Location = new System.Drawing.Point(215, 65);
            this.LanguageFileIntendedForTitle.Name = "LanguageFileIntendedForTitle";
            this.LanguageFileIntendedForTitle.Size = new System.Drawing.Size(290, 36);
            this.LanguageFileIntendedForTitle.TabIndex = 14;
            this.LanguageFileIntendedForTitle.Text = "Language File Originally Intended For Circle Dock Version:";
            // 
            // LanguageFileVersion
            // 
            this.LanguageFileVersion.Location = new System.Drawing.Point(9, 179);
            this.LanguageFileVersion.Name = "LanguageFileVersion";
            this.LanguageFileVersion.Size = new System.Drawing.Size(544, 16);
            this.LanguageFileVersion.TabIndex = 13;
            this.LanguageFileVersion.Text = "0.1";
            // 
            // LanguageFileVersionTitleLabel
            // 
            this.LanguageFileVersionTitleLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LanguageFileVersionTitleLabel.Location = new System.Drawing.Point(5, 159);
            this.LanguageFileVersionTitleLabel.Name = "LanguageFileVersionTitleLabel";
            this.LanguageFileVersionTitleLabel.Size = new System.Drawing.Size(196, 20);
            this.LanguageFileVersionTitleLabel.TabIndex = 12;
            this.LanguageFileVersionTitleLabel.Text = "Language File Version";
            // 
            // LanguageFileAuthor
            // 
            this.LanguageFileAuthor.Location = new System.Drawing.Point(9, 130);
            this.LanguageFileAuthor.Name = "LanguageFileAuthor";
            this.LanguageFileAuthor.Size = new System.Drawing.Size(544, 16);
            this.LanguageFileAuthor.TabIndex = 11;
            this.LanguageFileAuthor.Text = "Eric Wong";
            // 
            // LanguageFileAuthorTitleLabel
            // 
            this.LanguageFileAuthorTitleLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LanguageFileAuthorTitleLabel.Location = new System.Drawing.Point(5, 110);
            this.LanguageFileAuthorTitleLabel.Name = "LanguageFileAuthorTitleLabel";
            this.LanguageFileAuthorTitleLabel.Size = new System.Drawing.Size(576, 16);
            this.LanguageFileAuthorTitleLabel.TabIndex = 10;
            this.LanguageFileAuthorTitleLabel.Text = "Language File Author";
            // 
            // LanguageName
            // 
            this.LanguageName.Location = new System.Drawing.Point(9, 85);
            this.LanguageName.Name = "LanguageName";
            this.LanguageName.Size = new System.Drawing.Size(544, 16);
            this.LanguageName.TabIndex = 9;
            this.LanguageName.Text = "English";
            // 
            // LanguageNameTitleLabel
            // 
            this.LanguageNameTitleLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LanguageNameTitleLabel.Location = new System.Drawing.Point(5, 65);
            this.LanguageNameTitleLabel.Name = "LanguageNameTitleLabel";
            this.LanguageNameTitleLabel.Size = new System.Drawing.Size(576, 16);
            this.LanguageNameTitleLabel.TabIndex = 8;
            this.LanguageNameTitleLabel.Text = "Language Name";
            // 
            // LanguageFileLocationLabel
            // 
            this.LanguageFileLocationLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LanguageFileLocationLabel.Location = new System.Drawing.Point(5, 13);
            this.LanguageFileLocationLabel.Name = "LanguageFileLocationLabel";
            this.LanguageFileLocationLabel.Size = new System.Drawing.Size(576, 16);
            this.LanguageFileLocationLabel.TabIndex = 5;
            this.LanguageFileLocationLabel.Text = "Language File Location";
            // 
            // LanguageLabel
            // 
            this.LanguageLabel.BackColor = System.Drawing.Color.Transparent;
            this.LanguageLabel.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.LanguageLabel.ForeColor = System.Drawing.SystemColors.WindowText;
            this.LanguageLabel.Location = new System.Drawing.Point(28, 4);
            this.LanguageLabel.Name = "LanguageLabel";
            this.LanguageLabel.Size = new System.Drawing.Size(552, 16);
            this.LanguageLabel.TabIndex = 1;
            this.LanguageLabel.Text = "Language";
            this.LanguageLabel.Click += new System.EventHandler(this.LanguagePicture_Click);
            // 
            // LanguagePicture
            // 
            this.LanguagePicture.BackColor = System.Drawing.SystemColors.Control;
            this.LanguagePicture.Location = new System.Drawing.Point(4, 0);
            this.LanguagePicture.Name = "LanguagePicture";
            this.LanguagePicture.Size = new System.Drawing.Size(588, 24);
            this.LanguagePicture.TabIndex = 0;
            this.LanguagePicture.TabStop = false;
            this.LanguagePicture.Click += new System.EventHandler(this.LanguagePicture_Click);
            // 
            // DockItemsPanel
            // 
            this.DockItemsPanel.BackColor = System.Drawing.SystemColors.Control;
            this.DockItemsPanel.Controls.Add(this.panel14);
            this.DockItemsPanel.Controls.Add(this.DockItemsLabel);
            this.DockItemsPanel.Controls.Add(this.DockItemsPicture);
            this.DockItemsPanel.ForeColor = System.Drawing.Color.Black;
            this.DockItemsPanel.Location = new System.Drawing.Point(29, 1303);
            this.DockItemsPanel.Name = "DockItemsPanel";
            this.DockItemsPanel.Size = new System.Drawing.Size(596, 234);
            this.DockItemsPanel.TabIndex = 18;
            this.DockItemsPanel.Tag = "232";
            // 
            // panel14
            // 
            this.panel14.BackColor = System.Drawing.Color.White;
            this.panel14.Controls.Add(this.DockItemsHideDockAfterExecutionCB);
            this.panel14.Controls.Add(this.DockItemsHideDockLabel);
            this.panel14.Controls.Add(this.DockItemsRightClickMenuLabel);
            this.panel14.Controls.Add(this.DockItemsShowExplorerContextMenusCB);
            this.panel14.Controls.Add(this.DockItemsNormalSizeValue);
            this.panel14.Controls.Add(this.DockItemsNormalSizeLabel);
            this.panel14.Controls.Add(this.DockItemsNormalSizeTB);
            this.panel14.Controls.Add(this.DockItemsNormalOpacityValue);
            this.panel14.Controls.Add(this.DockItemsNormalOpacityLabel);
            this.panel14.Controls.Add(this.DockItemsNormalOpacityTB);
            this.panel14.Location = new System.Drawing.Point(4, 24);
            this.panel14.Name = "panel14";
            this.panel14.Size = new System.Drawing.Size(588, 204);
            this.panel14.TabIndex = 2;
            // 
            // DockItemsHideDockAfterExecutionCB
            // 
            this.DockItemsHideDockAfterExecutionCB.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.DockItemsHideDockAfterExecutionCB.Location = new System.Drawing.Point(293, 32);
            this.DockItemsHideDockAfterExecutionCB.Name = "DockItemsHideDockAfterExecutionCB";
            this.DockItemsHideDockAfterExecutionCB.Size = new System.Drawing.Size(272, 53);
            this.DockItemsHideDockAfterExecutionCB.TabIndex = 35;
            this.DockItemsHideDockAfterExecutionCB.Text = "Hide Dock After Opening Files/Folders";
            this.DockItemsHideDockAfterExecutionCB.TextAlign = System.Drawing.ContentAlignment.TopLeft;
            this.DockItemsHideDockAfterExecutionCB.CheckedChanged += new System.EventHandler(this.DockItemsHideDockAfterExecutionCB_CheckedChanged);
            // 
            // DockItemsHideDockLabel
            // 
            this.DockItemsHideDockLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.DockItemsHideDockLabel.Location = new System.Drawing.Point(278, 13);
            this.DockItemsHideDockLabel.Name = "DockItemsHideDockLabel";
            this.DockItemsHideDockLabel.Size = new System.Drawing.Size(228, 16);
            this.DockItemsHideDockLabel.TabIndex = 34;
            this.DockItemsHideDockLabel.Text = "Hide Dock";
            // 
            // DockItemsRightClickMenuLabel
            // 
            this.DockItemsRightClickMenuLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.DockItemsRightClickMenuLabel.Location = new System.Drawing.Point(9, 13);
            this.DockItemsRightClickMenuLabel.Name = "DockItemsRightClickMenuLabel";
            this.DockItemsRightClickMenuLabel.Size = new System.Drawing.Size(228, 16);
            this.DockItemsRightClickMenuLabel.TabIndex = 33;
            this.DockItemsRightClickMenuLabel.Text = "Right-Click Menu";
            // 
            // DockItemsShowExplorerContextMenusCB
            // 
            this.DockItemsShowExplorerContextMenusCB.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.DockItemsShowExplorerContextMenusCB.Location = new System.Drawing.Point(22, 32);
            this.DockItemsShowExplorerContextMenusCB.Name = "DockItemsShowExplorerContextMenusCB";
            this.DockItemsShowExplorerContextMenusCB.Size = new System.Drawing.Size(272, 53);
            this.DockItemsShowExplorerContextMenusCB.TabIndex = 32;
            this.DockItemsShowExplorerContextMenusCB.Text = "Show Windows File/Folder Menus";
            this.DockItemsShowExplorerContextMenusCB.TextAlign = System.Drawing.ContentAlignment.TopLeft;
            this.DockItemsShowExplorerContextMenusCB.CheckedChanged += new System.EventHandler(this.DockItemsShowExplorerContextMenusCB_CheckedChanged);
            // 
            // DockItemsNormalSizeValue
            // 
            this.DockItemsNormalSizeValue.Location = new System.Drawing.Point(52, 160);
            this.DockItemsNormalSizeValue.Name = "DockItemsNormalSizeValue";
            this.DockItemsNormalSizeValue.Size = new System.Drawing.Size(220, 16);
            this.DockItemsNormalSizeValue.TabIndex = 31;
            this.DockItemsNormalSizeValue.Text = "250";
            this.DockItemsNormalSizeValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // DockItemsNormalSizeLabel
            // 
            this.DockItemsNormalSizeLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.DockItemsNormalSizeLabel.Location = new System.Drawing.Point(18, 88);
            this.DockItemsNormalSizeLabel.Name = "DockItemsNormalSizeLabel";
            this.DockItemsNormalSizeLabel.Size = new System.Drawing.Size(312, 33);
            this.DockItemsNormalSizeLabel.TabIndex = 30;
            this.DockItemsNormalSizeLabel.Text = "Normal Size";
            this.DockItemsNormalSizeLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // DockItemsNormalSizeTB
            // 
            this.DockItemsNormalSizeTB.Location = new System.Drawing.Point(8, 125);
            this.DockItemsNormalSizeTB.Maximum = 300;
            this.DockItemsNormalSizeTB.Minimum = 1;
            this.DockItemsNormalSizeTB.Name = "DockItemsNormalSizeTB";
            this.DockItemsNormalSizeTB.Size = new System.Drawing.Size(334, 45);
            this.DockItemsNormalSizeTB.TabIndex = 29;
            this.DockItemsNormalSizeTB.TickFrequency = 10;
            this.DockItemsNormalSizeTB.Value = 1;
            this.DockItemsNormalSizeTB.Scroll += new System.EventHandler(this.DockItemsNormalSizeTB_Scroll);
            // 
            // DockItemsNormalOpacityValue
            // 
            this.DockItemsNormalOpacityValue.Location = new System.Drawing.Point(355, 163);
            this.DockItemsNormalOpacityValue.Name = "DockItemsNormalOpacityValue";
            this.DockItemsNormalOpacityValue.Size = new System.Drawing.Size(220, 16);
            this.DockItemsNormalOpacityValue.TabIndex = 28;
            this.DockItemsNormalOpacityValue.Text = "250";
            this.DockItemsNormalOpacityValue.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // DockItemsNormalOpacityLabel
            // 
            this.DockItemsNormalOpacityLabel.BackColor = System.Drawing.Color.Transparent;
            this.DockItemsNormalOpacityLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.DockItemsNormalOpacityLabel.Location = new System.Drawing.Point(358, 88);
            this.DockItemsNormalOpacityLabel.Name = "DockItemsNormalOpacityLabel";
            this.DockItemsNormalOpacityLabel.Size = new System.Drawing.Size(218, 34);
            this.DockItemsNormalOpacityLabel.TabIndex = 27;
            this.DockItemsNormalOpacityLabel.Text = "Normal Opacity";
            this.DockItemsNormalOpacityLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // DockItemsNormalOpacityTB
            // 
            this.DockItemsNormalOpacityTB.LargeChange = 10;
            this.DockItemsNormalOpacityTB.Location = new System.Drawing.Point(355, 125);
            this.DockItemsNormalOpacityTB.Maximum = 255;
            this.DockItemsNormalOpacityTB.Name = "DockItemsNormalOpacityTB";
            this.DockItemsNormalOpacityTB.Size = new System.Drawing.Size(220, 45);
            this.DockItemsNormalOpacityTB.TabIndex = 26;
            this.DockItemsNormalOpacityTB.TickFrequency = 10;
            this.DockItemsNormalOpacityTB.Scroll += new System.EventHandler(this.DockItemsNormalOpacityTB_Scroll);
            // 
            // DockItemsLabel
            // 
            this.DockItemsLabel.BackColor = System.Drawing.Color.Transparent;
            this.DockItemsLabel.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.DockItemsLabel.ForeColor = System.Drawing.SystemColors.WindowText;
            this.DockItemsLabel.Location = new System.Drawing.Point(28, 4);
            this.DockItemsLabel.Name = "DockItemsLabel";
            this.DockItemsLabel.Size = new System.Drawing.Size(552, 16);
            this.DockItemsLabel.TabIndex = 1;
            this.DockItemsLabel.Text = "Dock Items";
            this.DockItemsLabel.Click += new System.EventHandler(this.DockItemsPicture_Click);
            // 
            // DockItemsPicture
            // 
            this.DockItemsPicture.BackColor = System.Drawing.SystemColors.Control;
            this.DockItemsPicture.Location = new System.Drawing.Point(4, 0);
            this.DockItemsPicture.Name = "DockItemsPicture";
            this.DockItemsPicture.Size = new System.Drawing.Size(588, 24);
            this.DockItemsPicture.TabIndex = 0;
            this.DockItemsPicture.TabStop = false;
            this.DockItemsPicture.Click += new System.EventHandler(this.DockItemsPicture_Click);
            // 
            // SavePictureBox
            // 
            this.SavePictureBox.BackColor = System.Drawing.Color.White;
            this.SavePictureBox.Image = ((System.Drawing.Image)(resources.GetObject("SavePictureBox.Image")));
            this.SavePictureBox.Location = new System.Drawing.Point(533, 6);
            this.SavePictureBox.Name = "SavePictureBox";
            this.SavePictureBox.Size = new System.Drawing.Size(24, 24);
            this.SavePictureBox.TabIndex = 11;
            this.SavePictureBox.TabStop = false;
            this.toolTip.SetToolTip(this.SavePictureBox, "Close");
            this.SavePictureBox.Visible = false;
            // 
            // ItemSelectedPicture
            // 
            this.ItemSelectedPicture.Image = ((System.Drawing.Image)(resources.GetObject("ItemSelectedPicture.Image")));
            this.ItemSelectedPicture.Location = new System.Drawing.Point(577, 6);
            this.ItemSelectedPicture.Name = "ItemSelectedPicture";
            this.ItemSelectedPicture.Size = new System.Drawing.Size(24, 24);
            this.ItemSelectedPicture.TabIndex = 10;
            this.ItemSelectedPicture.TabStop = false;
            this.ItemSelectedPicture.Visible = false;
            this.ItemSelectedPicture.Click += new System.EventHandler(this.ItemSelectedPicture_Click);
            // 
            // ItemPicture
            // 
            this.ItemPicture.Image = ((System.Drawing.Image)(resources.GetObject("ItemPicture.Image")));
            this.ItemPicture.Location = new System.Drawing.Point(479, 6);
            this.ItemPicture.Name = "ItemPicture";
            this.ItemPicture.Size = new System.Drawing.Size(24, 24);
            this.ItemPicture.TabIndex = 9;
            this.ItemPicture.TabStop = false;
            this.toolTip.SetToolTip(this.ItemPicture, "Open");
            this.ItemPicture.Visible = false;
            // 
            // pictureBox3
            // 
            this.pictureBox3.BackColor = System.Drawing.Color.White;
            this.pictureBox3.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.pictureBox3.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox3.Image")));
            this.pictureBox3.Location = new System.Drawing.Point(33, 6);
            this.pictureBox3.Name = "pictureBox3";
            this.pictureBox3.Size = new System.Drawing.Size(48, 48);
            this.pictureBox3.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
            this.pictureBox3.TabIndex = 4;
            this.pictureBox3.TabStop = false;
            // 
            // ClosePictureBox
            // 
            this.ClosePictureBox.BackColor = System.Drawing.Color.White;
            this.ClosePictureBox.Image = ((System.Drawing.Image)(resources.GetObject("ClosePictureBox.Image")));
            this.ClosePictureBox.Location = new System.Drawing.Point(606, 6);
            this.ClosePictureBox.Name = "ClosePictureBox";
            this.ClosePictureBox.Size = new System.Drawing.Size(24, 24);
            this.ClosePictureBox.TabIndex = 1;
            this.ClosePictureBox.TabStop = false;
            this.toolTip.SetToolTip(this.ClosePictureBox, "Exit Settings\r\n\r\nNote current settings are saved automatically.");
            this.ClosePictureBox.Click += new System.EventHandler(this.ClosePictureBox_Click);
            // 
            // TitlePictureBox
            // 
            this.TitlePictureBox.BackColor = System.Drawing.Color.White;
            this.TitlePictureBox.Location = new System.Drawing.Point(29, 2);
            this.TitlePictureBox.Name = "TitlePictureBox";
            this.TitlePictureBox.Size = new System.Drawing.Size(608, 56);
            this.TitlePictureBox.TabIndex = 2;
            this.TitlePictureBox.TabStop = false;
            // 
            // LabelColorDialog
            // 
            this.LabelColorDialog.AnyColor = true;
            this.LabelColorDialog.FullOpen = true;
            // 
            // LabelShadowColorDialog
            // 
            this.LabelShadowColorDialog.AnyColor = true;
            this.LabelShadowColorDialog.FullOpen = true;
            // 
            // BackgroundImageFileDialog
            // 
            this.BackgroundImageFileDialog.Filter = "PNG|*.png";
            this.BackgroundImageFileDialog.Title = "Circle Dock";
            this.BackgroundImageFileDialog.FileOk += new System.ComponentModel.CancelEventHandler(this.BackgroundImageFileDialog_FileOk);
            // 
            // DefaultCentreButtonFileDialog
            // 
            this.DefaultCentreButtonFileDialog.Filter = "PNG|*.png";
            this.DefaultCentreButtonFileDialog.FileOk += new System.ComponentModel.CancelEventHandler(this.DefaultCentreButtonFileDialog_FileOk);
            // 
            // LanguageFileDialog
            // 
            this.LanguageFileDialog.Filter = "INI|*.ini";
            this.LanguageFileDialog.FileOk += new System.ComponentModel.CancelEventHandler(this.LanguageFileDialog_FileOk);
            // 
            // DockFolderDefaultImageDialog
            // 
            this.DockFolderDefaultImageDialog.Filter = "PNG|*.png";
            this.DockFolderDefaultImageDialog.FileOk += new System.ComponentModel.CancelEventHandler(this.DockFolderDefaultImageDialog_FileOk);
            // 
            // toolTip
            // 
            this.toolTip.IsBalloon = true;
            this.toolTip.ToolTipIcon = System.Windows.Forms.ToolTipIcon.Info;
            this.toolTip.ToolTipTitle = "Helpful Hint";
            // 
            // DockSetup
            // 
            this.AutoScroll = true;
            this.BackColor = System.Drawing.Color.White;
            this.ClientSize = new System.Drawing.Size(695, 591);
            this.Controls.Add(this.LanguagePanel);
            this.Controls.Add(this.LocationPanel);
            this.Controls.Add(this.TogglingPanel);
            this.Controls.Add(this.DockItemsPanel);
            this.Controls.Add(this.FileIconAssociationsPanel);
            this.Controls.Add(this.AnimationPanel);
            this.Controls.Add(this.HelpPanel);
            this.Controls.Add(this.DockShapePanel);
            this.Controls.Add(this.BackgroundPanel);
            this.Controls.Add(this.CentreButtonPanel);
            this.Controls.Add(this.LabelsPanel);
            this.Controls.Add(this.SavePictureBox);
            this.Controls.Add(this.ItemSelectedPicture);
            this.Controls.Add(this.ItemPicture);
            this.Controls.Add(this.ConfigurationDescriptionLabel);
            this.Controls.Add(this.pictureBox3);
            this.Controls.Add(this.ConfigurationLabel);
            this.Controls.Add(this.ClosePictureBox);
            this.Controls.Add(this.TitlePictureBox);
            this.Controls.Add(this.AboutPanel);
            this.Controls.Add(this.GeneralPanel);
            this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.MaximizeBox = false;
            this.Name = "DockSetup";
            this.ShowInTaskbar = false;
            this.SizeGripStyle = System.Windows.Forms.SizeGripStyle.Hide;
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "Circle Dock Configuration";
            this.TopMost = true;
            this.Deactivate += new System.EventHandler(this.DockSetup_Deactivate);
            this.Load += new System.EventHandler(this.DockSetup_Load);
            this.GeneralPanel.ResumeLayout(false);
            this.panel2.ResumeLayout(false);
            this.panel2.PerformLayout();
            this.generalRotationGroupBox.ResumeLayout(false);
            this.generalRotationGroupBox.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.currentRotationValueNumericUpDown)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.RotationSensitivityTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ClickSensitivityTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.GeneralPicture)).EndInit();
            this.DockShapePanel.ResumeLayout(false);
            this.panel3.ResumeLayout(false);
            this.panel3.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.SeparationBetweenCirclesTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.MinimumRadiusTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.NumIconsPerCircleTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.DockShapePicture)).EndInit();
            this.CentreButtonPanel.ResumeLayout(false);
            this.panel4.ResumeLayout(false);
            this.panel4.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.CentreButtonNormalSizeTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.DefaultCentreImagePictureBox)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.CentreButtonNormalOpacityTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.CentreButtonPicture)).EndInit();
            this.LabelsPanel.ResumeLayout(false);
            this.panel1.ResumeLayout(false);
            this.panel1.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.LabelNormalOpacityTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.LabelShadowDarknessTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.LabelShadowSizeTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.LabelColor)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.LabelShadowColor)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.LabelsPicture)).EndInit();
            this.AboutPanel.ResumeLayout(false);
            this.panel6.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.AboutPicture)).EndInit();
            this.BackgroundPanel.ResumeLayout(false);
            this.panel7.ResumeLayout(false);
            this.panel7.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.BackgroundNormalSizeTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.BackgroundNormalOpacityTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.BackgroundImagePictureBox)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.BackgroundPicture)).EndInit();
            this.HelpPanel.ResumeLayout(false);
            this.panel8.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox4)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.HelpPicture)).EndInit();
            this.AnimationPanel.ResumeLayout(false);
            this.panel9.ResumeLayout(false);
            this.panel9.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.FadeInFadeOutDurationTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.RotationAnimationDurationTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.GeneralFrameRateTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.AnimationPicture)).EndInit();
            this.LocationPanel.ResumeLayout(false);
            this.panel10.ResumeLayout(false);
            this.panel10.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.LocationPicture)).EndInit();
            this.TogglingPanel.ResumeLayout(false);
            this.panel11.ResumeLayout(false);
            this.groupBox2.ResumeLayout(false);
            this.groupBox2.PerformLayout();
            this.groupBox7.ResumeLayout(false);
            this.groupBox7.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.dwellTimeTrackBar)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.EdgeWidthHeightTB)).EndInit();
            this.groupBox4.ResumeLayout(false);
            this.groupBox1.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.TogglingPicture)).EndInit();
            this.FileIconAssociationsPanel.ResumeLayout(false);
            this.panel12.ResumeLayout(false);
            this.panel12.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.DockFolderDefaultImage)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.dataGridView2)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.dataGridView1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.FileNameIconAssocationsTable)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.FileIconAssociationsPicture)).EndInit();
            this.LanguagePanel.ResumeLayout(false);
            this.panel13.ResumeLayout(false);
            this.panel13.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.LanguagePicture)).EndInit();
            this.DockItemsPanel.ResumeLayout(false);
            this.panel14.ResumeLayout(false);
            this.panel14.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.DockItemsNormalSizeTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.DockItemsNormalOpacityTB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.DockItemsPicture)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.SavePictureBox)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ItemSelectedPicture)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ItemPicture)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox3)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ClosePictureBox)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.TitlePictureBox)).EndInit();
            this.ResumeLayout(false);

		}
		#endregion

        #endregion

        #region Variables

        CircleDock.MainForm ParentObject;
        LanguageLoader.LanguageLoader Language;
        SettingsLoader.SettingsLoader DockSettings;
        DockItemSettingsLoader.DockItemSettingsLoader DockItemSettings;
        public String DockItemSectionName;
        bool Loaded = false;
        public FileOps.FileOps FileOperations;

        #endregion

        public DockSetup(CircleDock.MainForm TheParent, LanguageLoader.LanguageLoader LanguageData, SettingsLoader.SettingsLoader SettingsData,
            DockItemSettingsLoader.DockItemSettingsLoader DockItemSettingsData)
        {
            ParentObject = TheParent;
            Language = LanguageData;
            DockSettings = SettingsData;
            DockItemSettings = DockItemSettingsData;
            Loaded = false;

            FileOperations = new FileOps.FileOps(IntPtr.Zero, Language, SettingsData);

            InitializeComponent();
            this.Size = new Size(this.Size.Width, (int)(SystemInformation.PrimaryMonitorSize.Height * 0.9));

            InitializeSettings();
        }

        private double DegreeToRadian(double angle)
        {
            return ((Math.PI * angle / 180.0) % (2 * Math.PI));
        }

        private double RadianToDegree(double angle)
        {
            return (angle % (2*Math.PI)) * (180.0 / Math.PI);
        }

        public void InitializeSettings()
        {
            #region Title / Banner

            this.Text = Language.SettingsPanel.Name;
            ConfigurationLabel.Text = Language.SettingsPanel.Name;
            ConfigurationDescriptionLabel.Text = Language.SettingsPanel.ConfigurationDescriptionLabel;

            #endregion

            #region General Panel

            GeneralLabel.Text = Language.SettingsPanel.General;

            EnableDockRotationCB.Text = Language.SettingsPanel.EnableDockRotation;
            EnableDockRotationCB.Checked = DockSettings.General.EnableDockRotation;

            RotationSensitivityLabel.Text = Language.General.RotationSensitivity;
            if (DockSettings.General.KeyPressesPerRevolution > RotationSensitivityTB.Maximum)
            {
                RotationSensitivityTB.Value = RotationSensitivityTB.Maximum;
            }
            else if (DockSettings.General.KeyPressesPerRevolution < RotationSensitivityTB.Minimum)
            {
                RotationSensitivityTB.Value = RotationSensitivityTB.Minimum;
            }
            else
            {
                RotationSensitivityTB.Value = DockSettings.General.KeyPressesPerRevolution;
            }

            RotationSensitivityValue.Text = DockSettings.General.KeyPressesPerRevolution.ToString();
            cbShowCircleDockOnLoad.Checked = DockSettings.General.ShowDock;
            cbAlwaysShowTopLevel.Checked = DockSettings.General.AlwaysShowTopLevel;
            cbShowRealTimeCreation.Checked = DockSettings.General.ShowLevelRealTimeCreation;

            #region Z-Level

            zLevelLabel.Text = Language.General.zLevel;
            zLevelComboBox.Items.Clear();
            zLevelComboBox.Items.Add(Language.General.topmost);
            zLevelComboBox.Items.Add(Language.General.normal);
            zLevelComboBox.Items.Add(Language.General.alwaysOnBottom);

            if (DockSettings.General.zLevel == "Always On Bottom")
                zLevelComboBox.SelectedIndex = 2;
            else if (DockSettings.General.zLevel == "Normal")
                zLevelComboBox.SelectedIndex = 1;
            else
                zLevelComboBox.SelectedIndex = 0;

            #endregion

            ClickSensitivityLabel.Text = Language.SettingsPanel.ClickSensitivity;
            SensitiveLabel.Text = Language.SettingsPanel.Sensitive;
            NotSensitiveLabel.Text = Language.SettingsPanel.NotSensitive;

            if (DockSettings.General.ClickSensitivity > ClickSensitivityTB.Maximum)
            {
                ClickSensitivityTB.Value = ClickSensitivityTB.Maximum;
            }
            else if (DockSettings.General.ClickSensitivity < ClickSensitivityTB.Minimum)
            {
                ClickSensitivityTB.Value = ClickSensitivityTB.Minimum;
            }
            else
            {
                ClickSensitivityTB.Value = DockSettings.General.ClickSensitivity;
            }
            ClickSensitivityValue.Text = DockSettings.General.ClickSensitivity.ToString();

            PortabilityModeCB.Text = Language.SettingsPanel.EnablePortabilityMode;
            PortabilityModeCB.Checked = DockSettings.General.EnablePortabilityMode;

            UseMemorySaveCB.Text = Language.SettingsPanel.UseMemorySaver;
            UseMemorySaveCB.Checked = DockSettings.General.UseMemorySaver;

            useSameRotationValuesCB.Text = Language.SettingsPanel.useSameRotationValueAllLevels;
            useSameRotationValuesCB.Checked = DockSettings.General.useSameRotationValues;

            currentRotationValueLabel.Text = Language.SettingsPanel.currentRotationValue;

            try
            {
                if ((decimal)RadianToDegree(ParentObject.TargetRotationValue) > currentRotationValueNumericUpDown.Maximum)
                    currentRotationValueNumericUpDown.Value = currentRotationValueNumericUpDown.Maximum;
                else if ((decimal)RadianToDegree(ParentObject.TargetRotationValue) < currentRotationValueNumericUpDown.Minimum)
                    currentRotationValueNumericUpDown.Value = currentRotationValueNumericUpDown.Minimum;
                else
                    currentRotationValueNumericUpDown.Value = (decimal)RadianToDegree((2 * Math.PI / RotationSensitivityTB.Value));
            }
            catch (Exception)
            {
                currentRotationValueNumericUpDown.Value = 0;
            }

            #endregion

            #region Dock Shape

            DockShapeLabel.Text = Language.SettingsPanel.DockShape;

            DockShapeComboBox.Items.Clear();
            DockShapeComboBox.Items.Add(Language.SettingsPanel.CircleWord);
            DockShapeComboBox.SelectedItem = DockShapeComboBox.Items[0];

            NumIconsPerCircleLabel.Text = Language.SettingsPanel.NumberOfIconsPerCircle;
            if (DockSettings.CircleParams.ConstNumItemsPerCircle > NumIconsPerCircleTB.Maximum)
            {
                NumIconsPerCircleTB.Value = NumIconsPerCircleTB.Maximum;
            }
            else if (DockSettings.CircleParams.ConstNumItemsPerCircle < NumIconsPerCircleTB.Minimum)
            {
                NumIconsPerCircleTB.Value = NumIconsPerCircleTB.Minimum;
            }
            else
            {
                NumIconsPerCircleTB.Value = DockSettings.CircleParams.ConstNumItemsPerCircle;
            }
            NumIconsPerCircleValue.Text = DockSettings.CircleParams.ConstNumItemsPerCircle.ToString();

            MinimumRadiusLabel.Text = Language.SettingsPanel.MinimumRadius;
            if (DockSettings.CircleParams.MinRadius > MinimumRadiusTB.Maximum)
            {
                MinimumRadiusTB.Value = MinimumRadiusTB.Maximum;
            }
            else if (DockSettings.CircleParams.MinRadius < MinimumRadiusTB.Minimum)
            {
                MinimumRadiusTB.Value = MinimumRadiusTB.Minimum;
            }
            else
            {
                MinimumRadiusTB.Value = DockSettings.CircleParams.MinRadius;
            }
            MinimumRadiusValue.Text = DockSettings.CircleParams.MinRadius.ToString();

            SeparationBetweenCirclesLabel.Text = Language.SettingsPanel.SeparationBetweenCircles;
            if (DockSettings.CircleParams.CircleSeparation > SeparationBetweenCirclesTB.Maximum)
            {
                SeparationBetweenCirclesTB.Value = SeparationBetweenCirclesTB.Maximum;
            }
            else if (DockSettings.CircleParams.CircleSeparation < SeparationBetweenCirclesTB.Minimum)
            {
                SeparationBetweenCirclesTB.Value = SeparationBetweenCirclesTB.Minimum;
            }
            else
            {
                SeparationBetweenCirclesTB.Value = DockSettings.CircleParams.CircleSeparation;
            }
            SeparationBetweenCirclesValue.Text = DockSettings.CircleParams.CircleSeparation.ToString();

            ShapeFormatLabel.Text = Language.SettingsPanel.FormatWord;
            ShapeFormatComboBox.Items.Clear();
            ShapeFormatComboBox.Items.Add(Language.SettingsPanel.ConstantNumberOfItemsPerCircle);
            ShapeFormatComboBox.Items.Add(Language.SettingsPanel.maximumNumberOfItemsPerCircle);

            // Need to generalize the format selection for other shapes
            
            if (DockSettings.CircleParams.Format == @"Constant Number of Items Per Circle")
            {
                ShapeFormatComboBox.SelectedIndex = 0;
            }
            else
            {
                //DockSettings.CircleParams.Format = @"Maximum Number of Items Per Circle";
                ShapeFormatComboBox.SelectedIndex = 1;
            }

            #endregion

            #region Background Panel

            BackgroundLabel.Text = Language.SettingsPanel.Background;
            BackgroundImageLabel.Text = Language.SettingsPanel.BackgroundImage;

            BackgroundNormalSizeLabel.Text = Language.SettingsPanel.NormalSize;
            BackgroundNormalSizeValue.Text = DockSettings.Background.DefaultWidth.ToString();

            BackgroundNormalSizeTB.Maximum = Screen.PrimaryScreen.Bounds.Height;
//            BackgroundNormalSizeTB.Maximum = SystemInformation.PrimaryMonitorSize.Height;

            if (DockSettings.Background.DefaultWidth > BackgroundNormalSizeTB.Maximum)
            {
                BackgroundNormalSizeTB.Value = BackgroundNormalSizeTB.Maximum;
            }
            else if (DockSettings.Background.DefaultWidth < BackgroundNormalSizeTB.Minimum)
            {
                BackgroundNormalSizeTB.Value = BackgroundNormalSizeTB.Minimum;
            }
            else
            {
                BackgroundNormalSizeTB.Value = DockSettings.Background.DefaultWidth;
            }

            BackgroundNormalOpacityLabel.Text = Language.SettingsPanel.NormalOpacity;
            BackgroundNormalOpacityValue.Text = DockSettings.Background.DefaultOpacity.ToString();
            BackgroundNormalOpacityTB.Value = DockSettings.Background.DefaultOpacity;
            if (DockSettings.Background.DefaultOpacity > BackgroundNormalOpacityTB.Maximum)
            {
                BackgroundNormalOpacityTB.Value = BackgroundNormalOpacityTB.Maximum;
            }
            else if (DockSettings.Background.DefaultOpacity < BackgroundNormalOpacityTB.Minimum)
            {
                BackgroundNormalOpacityTB.Value = BackgroundNormalOpacityTB.Minimum;
            }
            else
            {
                BackgroundNormalOpacityTB.Value = DockSettings.Background.DefaultOpacity;
            }

            BackgroundImagePictureBox.Image = new Bitmap(ParentObject.BackgroundObject.ObjectBitmap);
            BackgroundImageTextBox.Text = DockSettings.Background.Path;
            BackgroundImageFileDialog.InitialDirectory = Application.StartupPath + @"\System\Background";

            #endregion

            #region Centre Button Panel

            CentreButtonLabel.Text = Language.SettingsPanel.CentreButton;
            DefaultCentreButtonLabel.Text = Language.SettingsPanel.DefaultCentreButton;

            DefaultCentreImagePictureBox.Image = new Bitmap(ParentObject.CentreObject.ObjectBitmap);
            DefaultCentreButtonImageTextBox.Text = DockSettings.CentreImage.Path;
            DefaultCentreButtonFileDialog.InitialDirectory = Application.StartupPath + @"\System\Background";

            CentreButtonNormalSizeLabel.Text = Language.SettingsPanel.NormalSize;
            CentreButtonNormalSizeValue.Text = DockSettings.CentreImage.DefaultWidth.ToString();
            if (DockSettings.CentreImage.DefaultWidth > CentreButtonNormalSizeTB.Maximum)
            {
                CentreButtonNormalSizeTB.Value = CentreButtonNormalSizeTB.Maximum;
            }
            else if (DockSettings.CentreImage.DefaultWidth < CentreButtonNormalSizeTB.Minimum)
            {
                CentreButtonNormalSizeTB.Value = CentreButtonNormalSizeTB.Minimum;
            }
            else
            {
                CentreButtonNormalSizeTB.Value = DockSettings.CentreImage.DefaultWidth;
            }

            CentreButtonNormalOpacityLabel.Text = Language.SettingsPanel.NormalOpacity;
            CentreButtonNormalOpacityValue.Text = DockSettings.CentreImage.DefaultOpacity.ToString();
            CentreButtonNormalOpacityTB.Value = DockSettings.CentreImage.DefaultOpacity;
            if (DockSettings.CentreImage.DefaultOpacity > CentreButtonNormalOpacityTB.Maximum)
            {
                CentreButtonNormalOpacityTB.Value = CentreButtonNormalOpacityTB.Maximum;
            }
            else if (DockSettings.CentreImage.DefaultOpacity < CentreButtonNormalOpacityTB.Minimum)
            {
                CentreButtonNormalOpacityTB.Value = CentreButtonNormalOpacityTB.Minimum;
            }
            else
            {
                CentreButtonNormalOpacityTB.Value = DockSettings.CentreImage.DefaultOpacity;
            }

            CentreButtonOtherSettingsLabel.Text = Language.SettingsPanel.OtherSettings;
            CentreButtonShowStartMenuCB.Text = Language.SettingsPanel.ShowStartMenuWhenClicked;
            CentreButtonShowStartMenuCB.Checked = DockSettings.CentreImage.ShowStartMenuWhenClicked;
            StartMenuResidueWarningLabel.Text = Language.SettingsPanel.StartMenuResidueWarning;

            #endregion

            #region Dock Items Panel

            DockItemsLabel.Text = Language.SettingsPanel.DockItems;
            DefaultCentreButtonLabel.Text = Language.SettingsPanel.DefaultCentreButton;

            DockItemsRightClickMenuLabel.Text = Language.SettingsPanel.RightClickMenu;
            DockItemsShowExplorerContextMenusCB.Text = Language.SettingsPanel.ShowWindowsFileFolderMenus;
            DockItemsShowExplorerContextMenusCB.Checked = DockSettings.DockItems.ShowExplorerContextMenus;

            DockItemsHideDockLabel.Text = Language.SettingsPanel.HideDock;
            DockItemsHideDockAfterExecutionCB.Text = Language.SettingsPanel.HideDockAfterFileExecution;
            DockItemsHideDockAfterExecutionCB.Checked = DockSettings.DockItems.HideDockAfterExecution;

            DockItemsNormalSizeLabel.Text = Language.SettingsPanel.NormalSize;
            DockItemsNormalSizeValue.Text = DockSettings.DockItems.DefaultWidth.ToString();
            if (DockSettings.DockItems.DefaultWidth > DockItemsNormalSizeTB.Maximum)
            {
                DockItemsNormalSizeTB.Value = DockItemsNormalSizeTB.Maximum;
            }
            else if (DockSettings.DockItems.DefaultWidth < DockItemsNormalSizeTB.Minimum)
            {
                DockItemsNormalSizeTB.Value = DockItemsNormalSizeTB.Minimum;
            }
            else
            {
                DockItemsNormalSizeTB.Value = DockSettings.DockItems.DefaultWidth;
            }

            DockItemsNormalOpacityLabel.Text = Language.SettingsPanel.NormalOpacity;
            DockItemsNormalOpacityValue.Text = DockSettings.DockItems.DefaultOpacity.ToString();
            DockItemsNormalOpacityTB.Value = DockSettings.DockItems.DefaultOpacity;
            if (DockSettings.DockItems.DefaultOpacity > DockItemsNormalOpacityTB.Maximum)
            {
                DockItemsNormalOpacityTB.Value = DockItemsNormalOpacityTB.Maximum;
            }
            else if (DockSettings.DockItems.DefaultOpacity < DockItemsNormalOpacityTB.Minimum)
            {
                DockItemsNormalOpacityTB.Value = DockItemsNormalOpacityTB.Minimum;
            }
            else
            {
                DockItemsNormalOpacityTB.Value = DockSettings.DockItems.DefaultOpacity;
            }

            #endregion

            #region Labels Panel
            LabelsLabel.Text = Language.SettingsPanel.Labels;
            LabelsFontLabel.Text = Language.SettingsPanel.FontWord;

            TypeConverter FontConverter = TypeDescriptor.GetConverter(typeof(Font));
            LabelsFontName.Text = FontConverter.ConvertToString(DockSettings.Labels.FontName);
            LabelFontChangeLink.Text = Language.SettingsPanel.ChangeFont;

            LabelColor.BackColor = DockSettings.Labels.FontColor;
            LabelColorChangeLink.Text = Language.SettingsPanel.ChangeColor;

            LabelNormalOpacityLabel.Text = Language.SettingsPanel.NormalOpacity;
            LabelNormalOpacityValue.Text = DockSettings.Labels.DefaultOpacity.ToString();
            LabelNormalOpacityTB.Value = DockSettings.DockItems.DefaultOpacity;
            if (DockSettings.Labels.DefaultOpacity > LabelNormalOpacityTB.Maximum)
            {
                LabelNormalOpacityTB.Value = LabelNormalOpacityTB.Maximum;
            }
            else if (DockSettings.Labels.DefaultOpacity < LabelNormalOpacityTB.Minimum)
            {
                LabelNormalOpacityTB.Value = LabelNormalOpacityTB.Minimum;
            }
            else
            {
                LabelNormalOpacityTB.Value = DockSettings.Labels.DefaultOpacity;
            }

            LabelShadowLabel.Text = Language.SettingsPanel.ShadowWord;
            LabelShadowColor.BackColor = DockSettings.Labels.ShadowColor;
            LabelShadowColorChange.Text = Language.SettingsPanel.ChangeColor;


            LabelShadowSizeLabel.Text = Language.SettingsPanel.ShadowSize; ;
            LabelShadowSizeValue.Text = DockSettings.Labels.ShadowSize.ToString();
            LabelShadowSizeTB.Value = DockSettings.Labels.ShadowSize;
            if (DockSettings.Labels.ShadowSize > LabelShadowSizeTB.Maximum)
            {
                LabelShadowSizeTB.Value = LabelShadowSizeTB.Maximum;
            }
            else if (DockSettings.Labels.ShadowSize < LabelShadowSizeTB.Minimum)
            {
                LabelShadowSizeTB.Value = LabelShadowSizeTB.Minimum;
            }
            else
            {
                LabelShadowSizeTB.Value = DockSettings.Labels.ShadowSize;
            }

            LabelShadowDarknessLabel.Text = Language.SettingsPanel.ShadowDarknessFactor;
            LabelShadowDarknessTB.Value = DockSettings.Labels.ShadowDarkness;
            LabelShadowDarknessValue.Text = DockSettings.Labels.ShadowDarkness.ToString();
            if (DockSettings.Labels.ShadowDarkness > LabelShadowDarknessTB.Maximum)
            {
                LabelShadowDarknessTB.Value = LabelShadowDarknessTB.Maximum;
            }
            else if (DockSettings.Labels.ShadowDarkness < LabelShadowDarknessTB.Minimum)
            {
                LabelShadowDarknessTB.Value = LabelShadowDarknessTB.Minimum;
            }
            else
            {
                LabelShadowDarknessTB.Value = DockSettings.Labels.ShadowDarkness;
            }

            ShowLabelsLabel.Text = Language.SettingsPanel.ShowLabels;
            ShowLabelsCB.Text = Language.SettingsPanel.ShowLabels;
            ShowLabelsCB.Checked = DockSettings.Labels.ShowLabels;
            ShowLabelsMouseOverCB.Text = Language.SettingsPanel.ShowLabelsOnMouseoverOnly;
            ShowLabelsMouseOverCB.Checked = DockSettings.Labels.ShowLabelsOnMouseOverOnly;
            ShowLabelsMouseOverCB.Enabled = ShowLabelsCB.Checked;

            #endregion

            #region Animation Panel

            AnimationLabel.Text = Language.SettingsPanel.AnimationWord;

            GeneralFrameRateLabel.Text = Language.SettingsPanel.GeneralFrameRate;
            int CalculatedFrameRate = 1000 / DockSettings.General.AnimationInterval;
            GeneralFrameRateValue.Text = CalculatedFrameRate.ToString();
            if (CalculatedFrameRate > GeneralFrameRateTB.Maximum)
            {
                GeneralFrameRateTB.Value = GeneralFrameRateTB.Maximum;
            }
            else if (CalculatedFrameRate < GeneralFrameRateTB.Minimum)
            {
                GeneralFrameRateTB.Value = GeneralFrameRateTB.Minimum;
            }
            else
            {
                GeneralFrameRateTB.Value = CalculatedFrameRate;
            }

            FadeInFadeOutDurationLabel.Text = Language.SettingsPanel.FadeInFadeOutDuration;
            FadeInFadeOutDurationValue.Text = DockSettings.GeneralAnimation.FadeInFadeOutDuration.ToString();
            if (DockSettings.GeneralAnimation.FadeInFadeOutDuration > FadeInFadeOutDurationTB.Maximum)
            {
                FadeInFadeOutDurationTB.Value = FadeInFadeOutDurationTB.Maximum;
            }
            else if (DockSettings.GeneralAnimation.FadeInFadeOutDuration < FadeInFadeOutDurationTB.Minimum)
            {
                FadeInFadeOutDurationTB.Value = FadeInFadeOutDurationTB.Minimum;
            }
            else
            {
                FadeInFadeOutDurationTB.Value = DockSettings.GeneralAnimation.FadeInFadeOutDuration;
            }

            RotationAnimationDurationLabel.Text = Language.SettingsPanel.RotationAnimationDuration;
            RotationAnimationDurationValue.Text = DockSettings.GeneralAnimation.RotationAnimationDuration.ToString();
            if (DockSettings.GeneralAnimation.RotationAnimationDuration > RotationAnimationDurationTB.Maximum)
            {
                RotationAnimationDurationTB.Value = RotationAnimationDurationTB.Maximum;
            }
            else if (DockSettings.GeneralAnimation.RotationAnimationDuration < RotationAnimationDurationTB.Minimum)
            {
                RotationAnimationDurationTB.Value = RotationAnimationDurationTB.Minimum;
            }
            else
            {
                RotationAnimationDurationTB.Value = DockSettings.GeneralAnimation.RotationAnimationDuration;
            }

            UsePoofAnimationWhenDeletingCB.Text = Language.SettingsPanel.UsePoofAnimationWhenDeleting;
            UsePoofAnimationWhenDeletingCB.Checked = DockSettings.PoofAnimation.UsePoof;

            #endregion

            #region About Panel
            AboutLabel.Text = Language.SettingsPanel.AboutWord;
            AboutProjectName.Text = Language.General.CircleDockName;
            AboutProjectDescriptionLabel.Text = Language.SettingsPanel.ThePremiereCircularDockForWindows;
            AuthorLabel.Text = Language.General.AuthorWord;
            AboutWebsiteLabel.Text = Language.SettingsPanel.WebsiteWord;
            AboutHomepageLink.Text = Language.SettingsPanel.OfficialHomepage;
            AboutWebForum.Text = Language.SettingsPanel.OfficalWebForum;

            VersionInformationLabel.Text = Language.SettingsPanel.VersionInformation;
            VersionNameLabel.Text = Application.ProductName + @":";
            VersionInfo.Text = ParentObject.CircleDockVersion;

            #endregion

            #region Help Panel
            HelpLabel.Text = Language.SettingsPanel.HelpWord;
            HelpSupportLabel.Text = Language.SettingsPanel.SupportWord;
            HelpWebForum.Text = Language.SettingsPanel.OfficalWebForum;
            HelpWebHelpFAQ.Text = Language.SettingsPanel.OfficialWebHelpFAQ;

            #endregion

            #region Location Panel

            LocationLabel.Text = Language.SettingsPanel.LocationWord;
            CentreAroundCursorWhenShownCB.Text = Language.SettingsPanel.CentreAroundCursorWhenShown;
            CentreAroundCursorWhenShownCB.Checked = DockSettings.General.CentreAroundCursor;

            lockDockPositionCheckBox.Text = Language.SettingsPanel.lockDockAtCurrentPosition;
            lockDockPositionCheckBox.Checked = DockSettings.General.lockDockPosition;
            CentreAroundCursorWhenShownCB.Enabled = !lockDockPositionCheckBox.Checked;

            #endregion

            #region Language Panel

            LanguageLabel.Text = Language.SettingsPanel.LanguageWord;
            LanguageFileLocationLabel.Text = Language.SettingsPanel.LanguageFileLocation;
            LanguageFileLocationTextBox.Text = DockSettings.Language.path;

            LanguageNameTitleLabel.Text = Language.SettingsPanel.LanguageName;
            LanguageName.Text = Language.LanguageFile.LanguageName;

            LanguageFileAuthorTitleLabel.Text = Language.SettingsPanel.LanguageFileAuthor;
            LanguageFileAuthor.Text = Language.LanguageFile.FileAuthor;

            LanguageFileVersionTitleLabel.Text = Language.SettingsPanel.LanguageFileVersion;
            LanguageFileVersion.Text = Language.LanguageFile.LanguageFileVersion;

            LanguageFileIntendedForTitle.Text = Language.SettingsPanel.LanguageFileOriginallyIntendedFor;
            LanguageIntendedVersion.Text = Language.LanguageFile.CircleDockVersion;

            if (ParentObject.LanguageFileIsValid())
                LanguageFileValidity.Text = Language.SettingsPanel.LanguageFileValidCurrent;
            else
                LanguageFileValidity.Text = Language.SettingsPanel.LanguageFileInvalidOutofDate;

            LanguageProgramRestartRequired.Text = Language.SettingsPanel.LanguageFileProgramRestartRequired;

            #endregion

            #region File -> Icon Associations Panel

            FileIconAssociationsLabel.Text = Language.SettingsPanel.FileDockIconAssociations;
            FileIconAssociationsDescription.Text = Language.SettingsPanel.FileIconAssocationsDescription;

            // File Name
            FileNameIconAssociationsLabel.Text = Language.SettingsPanel.FileNameIconAssociations;
            this.FileName.HeaderText = Language.SettingsPanel.fileName;
            this.AssociatedDockIcon.HeaderText = Language.SettingsPanel.associatedDockIcon;
            this.BrowseIconForFileName.HeaderText = Language.SettingsPanel.browse;
            this.StartsWith.HeaderText = Language.SettingsPanel.startsWith;
            this.EndsWith.HeaderText = Language.SettingsPanel.endsWith;
            this.ExactMatch.HeaderText = Language.SettingsPanel.exactMatch;
            this.SampleIcon.HeaderText = Language.SettingsPanel.sample;


            FolderNameIconAssociationsLabel.Text = Language.SettingsPanel.FolderNameIconAssociations;
            FileExtensionIconAssociationsLabel.Text = Language.SettingsPanel.FileExtensionIconAssociations;

            DockFolderIconAssociationsLabel.Text = Language.SettingsPanel.DockFolderIconAssociation;
            DockFolderDefaultImagePath.Text = DockSettings.Folders.DockFolderImagePath;
            try
            {
                Bitmap tempDockFolderImage;
                String DockFolderImagePath = DockSettings.Folders.DockFolderImagePath;
                if (DockFolderImagePath.StartsWith(@".\"))
                {
                    tempDockFolderImage = new Bitmap(Application.StartupPath + @DockFolderImagePath.Substring(1, DockFolderImagePath.Length - 1));
                }
                else
                {
                    tempDockFolderImage = new Bitmap(@DockFolderImagePath);
                }

                DockFolderDefaultImage.Image = tempDockFolderImage;
            }
            catch (Exception)
            {
                DockFolderDefaultImage.Image = CircleDock.ImageResources.MissingIcon;
            }

            #endregion  

            #region Toggling Panel

            TogglingLabel.Text = Language.SettingsPanel.TogglingWord;
            ToggleVisibilityHotkeyLabel.Text = Language.SettingsPanel.ToggleVisibilityHotKey;

            ToggleVisibilityCtrlCB.Text = Language.SettingsPanel.CtrlWordAbbreviation;
            ToggleVisibilityCtrlCB.Checked = DockSettings.Toggling.VisibilityCtrl;

            ToggleVisibilityAltCB.Text = Language.SettingsPanel.AltWordAbbreviation;
            ToggleVisibilityAltCB.Checked = DockSettings.Toggling.VisibilityAlt;

            ToggleVisibilityShiftCB.Text = Language.SettingsPanel.ShiftWordAbbreviation;
            ToggleVisibilityShiftCB.Checked = DockSettings.Toggling.VisibilityShift;

            ToggleVisibilityWinCB.Text = Language.SettingsPanel.WindowsKeyWordAbbreviation;
            ToggleVisibilityWinCB.Checked = DockSettings.Toggling.VisibilityWin;

            // To populate the scroll box keys selector
            ToggleVisiblityKey1.Items.Clear();

            //for (int i = 0; i <= 255; i++)
            //{
            //    ToggleVisiblityKey1.Items.Add(" " + (Keys)i);
            //}

            //ToggleVisiblityKey1.SelectedIndex = DockSettings.Toggling.VisibilityKey1;

            ToggleVisiblityKey1.Items.Add(" " + Keys.None);
            ToggleVisiblityKey1.Items.Add(" " + Keys.Space);
            ToggleVisiblityKey1.Items.Add(" " + Keys.Left);
            ToggleVisiblityKey1.Items.Add(" " + Keys.Right);
            ToggleVisiblityKey1.Items.Add(" " + Keys.Down);
            ToggleVisiblityKey1.Items.Add(" " + Keys.Up);
            ToggleVisiblityKey1.Items.Add(" " + Keys.Divide);
            ToggleVisiblityKey1.Items.Add(" " + Keys.Multiply);
            ToggleVisiblityKey1.Items.Add(" " + Keys.Subtract);
            ToggleVisiblityKey1.Items.Add(" " + Keys.Add);

            for (int i = 65; i < 91; i++)
            {
                ToggleVisiblityKey1.Items.Add(" " + (Keys)i);
            }

            for (int i = 48; i < 58; i++)
                ToggleVisiblityKey1.Items.Add(" " + (Keys)i);

            for (int i = 96; i <= 105; i++)
                ToggleVisiblityKey1.Items.Add(" " + (Keys)i);

            for (int i = 112; i <= 135; i++)
                ToggleVisiblityKey1.Items.Add(" " + (Keys)i);

            Keys ToggleVisiblityKey1Converter = (Keys)(DockSettings.Toggling.VisibilityKey1);;
            String VisibilityKey1String = ToggleVisiblityKey1Converter.ToString();

            for (int i = 0; i < ToggleVisiblityKey1.Items.Count; i++)
            {
                if ((ToggleVisiblityKey1.Items[i].ToString()).Trim() == VisibilityKey1String)
                {
                    ToggleVisiblityKey1.SelectedIndex = i;
                    break;
                }
            }          

            if (ParentObject.ToggleDockHotKeyStatus == true)
                ToggleVisibilityHotkeyValid.Text = Language.SettingsPanel.ValidHotkeyCombination;
            else
                ToggleVisibilityHotkeyValid.Text = Language.SettingsPanel.InvalidHotKeyCombination;

            // Toggle Visiblity Mouse Button
            ToggleVisibilityMouseButtonLabel.Text = Language.SettingsPanel.ToggleVisibilityMouseButton;
            ToggleVisiblityMouseButton.Items.Clear();

            ToggleVisiblityMouseButton.Items.Add(" " + Keys.None);
            //ToggleVisiblityMouseButton.Items.Add(" " + Keys.LButton);
            //ToggleVisiblityMouseButton.Items.Add(" " + Keys.RButton);
            ToggleVisiblityMouseButton.Items.Add(" " + Keys.MButton);
            ToggleVisiblityMouseButton.Items.Add(" " + Keys.XButton1);
            ToggleVisiblityMouseButton.Items.Add(" " + Keys.XButton2);

            KeysConverter ConvertKeys = new KeysConverter();
            Keys ToggleVisiblityMouseButtonKey = (Keys)ConvertKeys.ConvertFromString(DockSettings.Toggling.VisibilityMouseButton);

            switch ((int)ToggleVisiblityMouseButtonKey)
            {
                case 0:
                    ToggleVisiblityMouseButton.SelectedIndex = 0;
                    break;
                //case 1:
                //    ToggleVisiblityMouseButton.SelectedIndex = 1;
                //    break;
                //case 2:
                //    ToggleVisiblityMouseButton.SelectedIndex = 2;
                //    break;
                case 4:
                    ToggleVisiblityMouseButton.SelectedIndex = 1;
                    break;
                case 5:
                    ToggleVisiblityMouseButton.SelectedIndex = 2;
                    break;
                case 6:
                    ToggleVisiblityMouseButton.SelectedIndex = 3;
                    break;
                default:
                    ToggleVisiblityMouseButton.SelectedIndex = 0;
                    break;
            }

            // Show Dock When I Move My Mouse to...
            ShowDockWhenMouseMoveTo.Text = Language.SettingsPanel.ShowDockWhenIMoveMyMouseTo;
            ScreenLeftEdge.Text = Language.SettingsPanel.ScreenLeftEdge;
            ScreenLeftEdge.Checked = DockSettings.Toggling.ScreenLeftEdgeShow;

            ScreenRightEdge.Text = Language.SettingsPanel.ScreenRightEdge;
            ScreenRightEdge.Checked = DockSettings.Toggling.ScreenRightEdgeShow;

            ScreenTopEdge.Text = Language.SettingsPanel.ScreenTopEdge;
            ScreenTopEdge.Checked = DockSettings.Toggling.ScreenTopEdgeShow;

            ScreenBottomEdge.Text = Language.SettingsPanel.ScreenBottomEdge;
            ScreenBottomEdge.Checked = DockSettings.Toggling.ScreenBottomEdgeShow;

            EdgeWidthHeightLabel.Text = Language.SettingsPanel.EdgeWidthHeight;
            EdgeWidthHeightValue.Text = DockSettings.Toggling.EdgeWidthHeight.ToString();
            if (DockSettings.Toggling.EdgeWidthHeight > EdgeWidthHeightTB.Maximum)
            {
                EdgeWidthHeightTB.Value = EdgeWidthHeightTB.Maximum;
            }
            else if (DockSettings.Toggling.EdgeWidthHeight < EdgeWidthHeightTB.Minimum)
            {
                EdgeWidthHeightTB.Value = EdgeWidthHeightTB.Minimum;
            }
            else
            {
                EdgeWidthHeightTB.Value = DockSettings.Toggling.EdgeWidthHeight;
            }

            dwellTimeLabel.Text = Language.SettingsPanel.dwellTime;
            dwellTimeTrackBar.Value = DockSettings.Toggling.dwellTime;
            dwellTimeValue.Text = DockSettings.Toggling.dwellTime.ToString();

            #endregion

            Loaded = true;
        }

        #region Form Event Handlers

        #region Form

        private void DockSetup_Load(object sender, System.EventArgs e)
		{
            // Set the buttons of each tab to a "+" symbol
			this.GeneralPicture.Image=this.ItemPicture.Image;
			this.DockShapePicture.Image=this.ItemPicture.Image;
			this.BackgroundPicture.Image=this.ItemPicture.Image;
			this.CentreButtonPicture.Image=this.ItemPicture.Image;
            this.DockItemsPicture.Image = this.ItemPicture.Image;
			this.LabelsPicture.Image=this.ItemPicture.Image;
            this.AnimationPicture.Image = this.ItemPicture.Image;
            this.LocationPicture.Image = this.ItemPicture.Image;
            this.TogglingPicture.Image = this.ItemPicture.Image;
            this.FileIconAssociationsPicture.Image = this.ItemPicture.Image;
            this.LanguagePicture.Image = this.ItemPicture.Image;
			this.AboutPicture.Image=this.ItemPicture.Image;
            this.HelpPicture.Image = this.ItemPicture.Image;

            // Show the About panel initially
            this.ShowPanel(this.AboutPanel);
            this.ShowPanel(this.AboutPanel);
            this.AboutPicture.Image = this.ItemSelectedPicture.Image;
		}

		private void ClosePictureBox_Click(object sender, System.EventArgs e)
		{
            this.Close();
		}

		#endregion

		#region Panel Code

        private void GeneralPicture_Click(object sender, System.EventArgs e)
		{
			ShowPanel(this.GeneralPanel);
			if(this.GeneralPanel.Height!=24)
			{
				this.GeneralPicture.Image=this.ItemSelectedPicture.Image;
			}
		}

		private void DockShapePicture_Click(object sender, System.EventArgs e)
		{
			ShowPanel(this.DockShapePanel);
			if(this.DockShapePanel.Height!=24)
			{
				this.DockShapePicture.Image=this.ItemSelectedPicture.Image;
			}
		}

        private void BackgroundPicture_Click(object sender, System.EventArgs e)
		{
			ShowPanel(this.BackgroundPanel);
			if(this.BackgroundPanel.Height!=24)
			{
				this.BackgroundPicture.Image=this.ItemSelectedPicture.Image;
			}
	
		}
        private void CentreButtonPicture_Click(object sender, System.EventArgs e)
		{
			ShowPanel(this.CentreButtonPanel);
			if(this.CentreButtonPanel.Height!=24)
			{
				this.CentreButtonPicture.Image=this.ItemSelectedPicture.Image;
			}
		}

        void DockItemsPicture_Click(object sender, EventArgs e)
        {
            ShowPanel(this.DockItemsPanel);
            if (this.DockItemsPanel.Height != 24)
            {
                this.DockItemsPicture.Image = this.ItemSelectedPicture.Image;
            }
        }

        private void LabelsPicture_Click(object sender, System.EventArgs e)
		{
			ShowPanel(this.LabelsPanel);
			if(this.LabelsPanel.Height!=24)
			{
				this.LabelsPicture.Image=this.ItemSelectedPicture.Image;
			}
		}

        void AnimationPicture_Click(object sender, EventArgs e)
        {
            ShowPanel(this.AnimationPanel);
            if (this.AnimationPanel.Height != 24)
            {
                this.AnimationPicture.Image = this.ItemSelectedPicture.Image;
            }
        }

        void LocationPicture_Click(object sender, EventArgs e)
        {
            ShowPanel(this.LocationPanel);
            if (this.LocationPanel.Height != 24)
            {
                this.LocationPicture.Image = this.ItemSelectedPicture.Image;
            }
        }

        void TogglingPicture_Click(object sender, EventArgs e)
        {
            ShowPanel(this.TogglingPanel);
            if (this.TogglingPanel.Height != 24)
            {
                this.TogglingPicture.Image = this.ItemSelectedPicture.Image;
            }
        }

        void FileIconAssociationsPicture_Click(object sender, EventArgs e)
        {
            ShowPanel(this.FileIconAssociationsPanel);
            if (this.FileIconAssociationsPanel.Height != 24)
            {
                this.FileIconAssociationsPicture.Image = this.ItemSelectedPicture.Image;
            }
        }

        void LanguagePicture_Click(object sender, EventArgs e)
        {
            ShowPanel(this.LanguagePanel);
            if (this.LanguagePanel.Height != 24)
            {
                this.LanguagePicture.Image = this.ItemSelectedPicture.Image;
            }
        }

		private void AboutPicture_Click(object sender, System.EventArgs e)
		{
			ShowPanel(this.AboutPanel);
			if(this.AboutPanel.Height!=24)
			{
				this.AboutPicture.Image=this.ItemSelectedPicture.Image;
			}
		}

        private void HelpPicture_Click(object sender, System.EventArgs e)
        {
            ShowPanel(this.HelpPanel);
            if (this.HelpPanel.Height != 24)
            {
                this.HelpPicture.Image = this.ItemSelectedPicture.Image;
            }
        }

        private void ItemSelectedPicture_Click(object sender, EventArgs e)
        {
            this.WindowState = FormWindowState.Minimized;
        }

		#endregion


		#endregion

        #region Modifiy Settings

        #region Auxiliary Functions
        private void ShowPanel(object PanelToShow)
		{
			int OldHeight=((System.Windows.Forms.Panel)PanelToShow).Height;

            this.GeneralPicture.Image = this.ItemPicture.Image;
            this.DockShapePicture.Image = this.ItemPicture.Image;
            this.BackgroundPicture.Image = this.ItemPicture.Image;
            this.CentreButtonPicture.Image = this.ItemPicture.Image;
            this.DockItemsPicture.Image = this.ItemPicture.Image;
            this.LabelsPicture.Image = this.ItemPicture.Image;
            this.AnimationPicture.Image = this.ItemPicture.Image;
            this.LocationPicture.Image = this.ItemPicture.Image;
            this.TogglingPicture.Image = this.ItemPicture.Image;
            this.FileIconAssociationsPicture.Image = this.ItemPicture.Image;
            this.LanguagePicture.Image = this.ItemPicture.Image;
            this.AboutPicture.Image = this.ItemPicture.Image;
            this.HelpPicture.Image = this.ItemPicture.Image;

			this.GeneralPanel.Height=24;
			this.DockShapePanel.Height=24;
			this.BackgroundPanel.Height=24;
			this.CentreButtonPanel.Height=24;
            this.DockItemsPanel.Height = 24;
			this.LabelsPanel.Height=24;
            this.AnimationPanel.Height = 24;
            this.LocationPanel.Height = 24;
            this.TogglingPanel.Height = 24;
            this.FileIconAssociationsPanel.Height = 24;
            this.LanguagePanel.Height = 24;
			this.AboutPanel.Height=24;
            this.HelpPanel.Height = 24;

            this.GeneralPanel.Location = new Point(this.GeneralPanel.Location.X, this.TitlePictureBox.Location.Y + 60);
            //this.GeneralPanel.Top = 60;
            this.DockShapePanel.Top = this.GeneralPanel.Top + 28;
            this.BackgroundPanel.Top = this.DockShapePanel.Top + 28;
            this.CentreButtonPanel.Top = this.BackgroundPanel.Top + 28;
            this.DockItemsPanel.Top = this.CentreButtonPanel.Top + 28;
            this.LabelsPanel.Top = this.DockItemsPanel.Top + 28;
            this.AnimationPanel.Top = this.LabelsPanel.Top + 28;
            this.LocationPanel.Top = this.AnimationPanel.Top + 28;
            this.TogglingPanel.Top = this.LocationPanel.Top + 28;
            this.FileIconAssociationsPanel.Top = this.TogglingPanel.Top + 28;
            this.LanguagePanel.Top = this.FileIconAssociationsPanel.Top + 28;
            this.AboutPanel.Top = this.LanguagePanel.Top + 28;
            this.HelpPanel.Top = this.AboutPanel.Top + 28;

			if(OldHeight==24)
			{
				((System.Windows.Forms.Panel)PanelToShow).Height=Convert.ToInt32(((System.Windows.Forms.Panel)PanelToShow).Tag);

				switch(((System.Windows.Forms.Panel)PanelToShow).Name.ToLower())
				{
					case "generalpanel":
                        this.DockShapePanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
						this.BackgroundPanel.Top+=((System.Windows.Forms.Panel)PanelToShow).Height-24;
						this.CentreButtonPanel.Top+=((System.Windows.Forms.Panel)PanelToShow).Height-24;
                        this.DockItemsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LabelsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
						this.AnimationPanel.Top+=((System.Windows.Forms.Panel)PanelToShow).Height-24;
                        this.LocationPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.TogglingPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.FileIconAssociationsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LanguagePanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
						this.AboutPanel.Top+=((System.Windows.Forms.Panel)PanelToShow).Height-24;
                        this.HelpPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
						break;
					case "dockshapepanel":
                        this.BackgroundPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.CentreButtonPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.DockItemsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LabelsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.AnimationPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LocationPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.TogglingPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.FileIconAssociationsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LanguagePanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.AboutPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.HelpPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
						break;
                    case "backgroundpanel":
                        this.CentreButtonPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.DockItemsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LabelsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.AnimationPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LocationPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.TogglingPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.FileIconAssociationsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LanguagePanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.AboutPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.HelpPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        break;
					case "centrebuttonpanel":
                        this.DockItemsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LabelsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.AnimationPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LocationPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.TogglingPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.FileIconAssociationsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LanguagePanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.AboutPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.HelpPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
						break;
                    case "dockitemspanel":
                        this.LabelsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.AnimationPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LocationPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.TogglingPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.FileIconAssociationsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LanguagePanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.AboutPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.HelpPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        break;
					case "labelspanel":
                        this.AnimationPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LocationPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.TogglingPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.FileIconAssociationsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LanguagePanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.AboutPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.HelpPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
						break;
                    case "animationpanel":
                        this.LocationPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.TogglingPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.FileIconAssociationsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LanguagePanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.AboutPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.HelpPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        break;
                    case "locationpanel":
                        this.TogglingPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.FileIconAssociationsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LanguagePanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.AboutPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.HelpPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        break;
                    case "togglingpanel":
                        this.FileIconAssociationsPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.LanguagePanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.AboutPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.HelpPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        break;
                    case "fileiconassociationspanel":
                        this.LanguagePanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.AboutPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.HelpPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        break;
                    case "languagepanel":
                        this.AboutPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        this.HelpPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        break;
                    case "aboutpanel":
                        this.HelpPanel.Top += ((System.Windows.Forms.Panel)PanelToShow).Height - 24;
                        break;
                    case "helppanel":
                        break;
				}
			}
		}

		#endregion

        #region General Panel

        private void EnableDockRotationCB_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.General.EnableDockRotation = EnableDockRotationCB.Checked;
            DockSettings.SetEntry("General", "EnableDockRotation", EnableDockRotationCB.Checked.ToString());
        }

        private void RotationSensitivityTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            RotationSensitivityValue.Text = RotationSensitivityTB.Value.ToString();
            DockSettings.General.KeyPressesPerRevolution = RotationSensitivityTB.Value;
            DockSettings.SetEntry("General", "KeyPressesPerRevolution", RotationSensitivityTB.Value.ToString());
            currentRotationValueNumericUpDown.Value = (decimal)RadianToDegree((2 * Math.PI / RotationSensitivityTB.Value));
        }

        private void PortabilityModeCB_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.General.EnablePortabilityMode = PortabilityModeCB.Checked;
            DockSettings.SetEntry("General", "EnablePortabilityMode", PortabilityModeCB.Checked.ToString());
            ParentObject.RefreshPortabilityMode();
        }

        private void ClickSensitivityTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            ClickSensitivityValue.Text = ClickSensitivityTB.Value.ToString();
            DockSettings.General.ClickSensitivity = ClickSensitivityTB.Value;
            DockSettings.SetEntry("General", "ClickSensitivity", ClickSensitivityTB.Value.ToString());
        }

        private void UseMemorySaveCB_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.General.UseMemorySaver = UseMemorySaveCB.Checked;
            DockSettings.SetEntry("General", "UseMemorySaver", UseMemorySaveCB.Checked.ToString());
            ParentObject.ToggleMemorySaver(DockSettings.General.UseMemorySaver);
        }
        private void useSameRotationValuesCB_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.General.useSameRotationValues = useSameRotationValuesCB.Checked;
            DockSettings.SetEntry("General", "useSameRotationValues", DockSettings.General.useSameRotationValues.ToString());

            ParentObject.loadRotationValue();
            ParentObject.PositionCurrentLevel();
        }

        private void currentRotationValueNumericUpDown_ValueChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            ParentObject.RotationValue = DegreeToRadian((double)currentRotationValueNumericUpDown.Value);
            ParentObject.TargetRotationValue = DegreeToRadian((double)currentRotationValueNumericUpDown.Value);
            ParentObject.saveRotationValue();
            ParentObject.loadRotationValue();
            ParentObject.PositionCurrentLevel();
            RotationSensitivityTB.Value = (int)(System.Decimal.Divide(360, (decimal)currentRotationValueNumericUpDown.Value));
            RotationSensitivityValue.Text = RotationSensitivityTB.Value.ToString();
        }

        private void bnResetRotationValues_Click(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            RotationSensitivityTB.Value = (int)(System.Decimal.Divide(360, NumIconsPerCircleTB.Value));
            currentRotationValueNumericUpDown.Value = (decimal)RadianToDegree((2 * Math.PI / RotationSensitivityTB.Value));
            ParentObject.RotationValue = DegreeToRadian((double)currentRotationValueNumericUpDown.Value);
            ParentObject.TargetRotationValue = DegreeToRadian((double)currentRotationValueNumericUpDown.Value);
            ParentObject.saveRotationValue();
            ParentObject.loadRotationValue();
            ParentObject.PositionCurrentLevel();
        }

        private void cbShowCircleDockOnLoad_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.General.ShowDock = cbShowCircleDockOnLoad.Checked;
            DockSettings.SetEntry("General", "showDockOnLoad", DockSettings.General.ShowDock.ToString());
        }

        private void cbAlwaysShowTopLevel_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.General.AlwaysShowTopLevel = cbAlwaysShowTopLevel.Checked;
            DockSettings.SetEntry("General", "alwaysShowTopLevel", DockSettings.General.AlwaysShowTopLevel.ToString());
        }

        private void cbAutoHide_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.Toggling.AutoHide = cbAutoHide.Checked;
            DockSettings.SetEntry("Toggling", "AutoHideDock", DockSettings.Toggling.AutoHide.ToString());
        }

        private void cbShowRealTimeCreation_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.General.ShowLevelRealTimeCreation = cbShowRealTimeCreation.Checked;
            DockSettings.SetEntry("General", "ShowLevelRealTimeCreation", DockSettings.General.ShowLevelRealTimeCreation.ToString());
        }
        #endregion

        #region Background Panel

        private void BackgroundNormalSizeTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
            {
                return;
            }
            BackgroundNormalSizeValue.Text = BackgroundNormalSizeTB.Value.ToString();
            DockSettings.Background.DefaultWidth = BackgroundNormalSizeTB.Value;
            DockSettings.Background.DefaultHeight = BackgroundNormalSizeTB.Value;
            DockSettings.SetEntry("Background", "DefaultWidth", BackgroundNormalSizeTB.Value.ToString());
            DockSettings.SetEntry("Background", "DefaultHeight", BackgroundNormalSizeTB.Value.ToString());
            ParentObject.ResizeBackground(DockSettings.Background.DefaultWidth, DockSettings.Background.DefaultHeight);
        }

        private void BackgroundNormalOpacityTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            BackgroundNormalOpacityValue.Text = BackgroundNormalOpacityTB.Value.ToString();
            DockSettings.Background.DefaultOpacity = BackgroundNormalOpacityTB.Value;
            DockSettings.SetEntry("Background", "DefaultOpacity", BackgroundNormalOpacityTB.Value.ToString());
            Size tempSize = ParentObject.BackgroundObject.ObjectSize;
            ParentObject.BackgroundObject.DrawBitmapManaged(tempSize.Width, tempSize.Height, false, 0, 0, false, 0, 0, 0, 0, true, DockSettings.Background.DefaultOpacity);
        
            // BUG: If opacity is set to zero and the dock is reshown, and the user tries to change the opacity, the dock
            // does not get shown.
        }

        private void BackgroundImageBrowseButton_Click(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            BackgroundImageFileDialog.InitialDirectory = Application.StartupPath + @"\System\Background";
            BackgroundImageFileDialog.ShowDialog();
        }

        private void BackgroundImageFileDialog_FileOk(object sender, CancelEventArgs e)
        {
            String NewImagePath;
            if (BackgroundImageFileDialog.FileName.StartsWith(Application.StartupPath + @"\"))
            {
                NewImagePath = @"." + BackgroundImageFileDialog.FileName.Substring(Application.StartupPath.Length, BackgroundImageFileDialog.FileName.Length - Application.StartupPath.Length);
            }
            else
            {
                NewImagePath = BackgroundImageFileDialog.FileName;
            }

            BackgroundImageTextBox.Text = NewImagePath;

            DockSettings.SetEntry("Background", "Path", NewImagePath);
            DockSettings.Background.Path = NewImagePath;

            ParentObject.BackgroundObject.SetBitmap();
            Size ObjectSize = ParentObject.BackgroundObject.ObjectSize;
            ParentObject.BackgroundObject.DrawBitmapManaged(ObjectSize.Width, ObjectSize.Height, false, 0, 0, false, 0, 0, 0, 0, false, 0);

            try
            {
                BackgroundImagePictureBox.Image = ParentObject.BackgroundObject.ObjectBitmap;
            }
            catch (Exception)
            {
                BackgroundImagePictureBox.Image = CircleDock.ImageResources.MissingIcon;
            }
        }

        #endregion

        #region Dock Shape Panel
        private void NumIconsPerCircleTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            NumIconsPerCircleValue.Text = NumIconsPerCircleTB.Value.ToString();
            DockSettings.CircleParams.ConstNumItemsPerCircle = NumIconsPerCircleTB.Value;
            DockSettings.SetEntry("CircleParams", "ConstNumItemsPerCircle", NumIconsPerCircleTB.Value.ToString());
            ParentObject.PositionCurrentLevel();
        }

        private void MinimumRadiusTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            MinimumRadiusValue.Text = MinimumRadiusTB.Value.ToString();
            DockSettings.CircleParams.MinRadius = MinimumRadiusTB.Value;
            DockSettings.SetEntry("CircleParams", "MinRadius", MinimumRadiusTB.Value.ToString());
            ParentObject.PositionCurrentLevel();
        }

        private void SeparationBetweenCirclesTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            SeparationBetweenCirclesValue.Text = SeparationBetweenCirclesTB.Value.ToString();
            DockSettings.CircleParams.CircleSeparation = SeparationBetweenCirclesTB.Value;
            DockSettings.SetEntry("CircleParams", "CircleSeparation", SeparationBetweenCirclesTB.Value.ToString());
            ParentObject.PositionCurrentLevel();
        }

        private void DockShapeComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            // Not implemented

            this.Select(true, true);
        }

        private void ShapeFormatComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            // Need to generalize the format box for other shapes

            if (ShapeFormatComboBox.SelectedIndex == 0)
            {
                DockSettings.CircleParams.Format = @"Constant Number of Items Per Circle";
            }
            else
            {
                DockSettings.CircleParams.Format = @"Maximum Number of Items Per Circle";
            }

            DockSettings.SetEntry("CircleParams", "Format", DockSettings.CircleParams.Format);
            ParentObject.PositionCurrentLevel();

            this.Select(true, true);
        }

        #endregion

        #region Centre Button Panel

        private void DefaultCentreButtonImageBrowse_Click(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DefaultCentreButtonFileDialog.InitialDirectory = Application.StartupPath + @"\System\Icons";
            DefaultCentreButtonFileDialog.ShowDialog();
        }

        private void CentreButtonNormalOpacityTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            CentreButtonNormalOpacityValue.Text = CentreButtonNormalOpacityTB.Value.ToString();
            DockSettings.CentreImage.DefaultOpacity = CentreButtonNormalOpacityTB.Value;
            DockSettings.SetEntry("CentreImage", "DefaultOpacity", CentreButtonNormalOpacityTB.Value.ToString());
            Size tempSize = ParentObject.CentreObject.ObjectSize;
            ParentObject.CentreObject.DrawBitmapManaged(tempSize.Width, tempSize.Height, false, 0, 0, false, 0, 0, 0, 0, true, DockSettings.CentreImage.DefaultOpacity);      
        }

        private void CentreButtonNormalSizeTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            CentreButtonNormalSizeValue.Text = CentreButtonNormalSizeTB.Value.ToString();
            DockSettings.CentreImage.DefaultWidth = CentreButtonNormalSizeTB.Value;
            DockSettings.CentreImage.DefaultHeight = CentreButtonNormalSizeTB.Value;
            DockSettings.SetEntry("CentreImage", "DefaultWidth", CentreButtonNormalSizeTB.Value.ToString());
            DockSettings.SetEntry("CentreImage", "DefaultHeight", CentreButtonNormalSizeTB.Value.ToString());
            ParentObject.ResizeCentreObject(DockSettings.CentreImage.DefaultWidth, DockSettings.CentreImage.DefaultHeight);
        }

        private void DefaultCentreButtonFileDialog_FileOk(object sender, CancelEventArgs e)
        {
            String NewImagePath;
            if (DefaultCentreButtonFileDialog.FileName.StartsWith(Application.StartupPath + @"\"))
            {
                NewImagePath = @"." + DefaultCentreButtonFileDialog.FileName.Substring(Application.StartupPath.Length, DefaultCentreButtonFileDialog.FileName.Length - Application.StartupPath.Length);
            }
            else
            {
                NewImagePath = DefaultCentreButtonFileDialog.FileName;
            }

            DefaultCentreButtonImageTextBox.Text = NewImagePath;

            DockSettings.SetEntry("CentreImage", "Path", NewImagePath);
            DockSettings.CentreImage.Path = NewImagePath;

            ParentObject.CentreObject.SetBitmap();
            Size ObjectSize = ParentObject.CentreObject.ObjectSize;
            ParentObject.CentreObject.DrawBitmapManaged(ObjectSize.Width, ObjectSize.Height, false, 0, 0, false, 0, 0, 0, 0, false, 0);

            try
            {
                DefaultCentreImagePictureBox.Image = ParentObject.CentreObject.ObjectBitmap;
            }
            catch (Exception)
            {
                DefaultCentreImagePictureBox.Image = CircleDock.ImageResources.MissingIcon;
            }
        }

        private void CentreButtonShowStartMenuCB_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.CentreImage.ShowStartMenuWhenClicked = CentreButtonShowStartMenuCB.Checked;
            DockSettings.SetEntry("CentreImage", "ShowStartMenuWhenClicked", CentreButtonShowStartMenuCB.Checked.ToString());
        }

        #endregion

        #region Dock Items Panel

        private void DockItemsShowExplorerContextMenusCB_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.DockItems.ShowExplorerContextMenus = DockItemsShowExplorerContextMenusCB.Checked;
            DockSettings.SetEntry("DockItems", "ShowExplorerContextMenus", DockItemsShowExplorerContextMenusCB.Checked.ToString());
        }

        private void DockItemsHideDockAfterExecutionCB_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.DockItems.HideDockAfterExecution = DockItemsHideDockAfterExecutionCB.Checked;
            DockSettings.SetEntry("DockItems", "HideDockAfterExecution", DockItemsHideDockAfterExecutionCB.Checked.ToString());
        }

        private void DockItemsNormalSizeTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockItemsNormalSizeValue.Text = DockItemsNormalSizeTB.Value.ToString();
            DockSettings.DockItems.DefaultWidth = DockItemsNormalSizeTB.Value;
            DockSettings.DockItems.DefaultHeight = DockItemsNormalSizeTB.Value;
            DockSettings.SetEntry("DockItems", "DefaultWidth", DockItemsNormalSizeTB.Value.ToString());
            DockSettings.SetEntry("DockItems", "DefaultHeight", DockItemsNormalSizeTB.Value.ToString());
            ParentObject.ResizeDockItems(DockSettings.DockItems.DefaultWidth, DockSettings.DockItems.DefaultHeight);
        }

        private void DockItemsNormalOpacityTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockItemsNormalOpacityValue.Text = DockItemsNormalOpacityTB.Value.ToString();
            DockSettings.DockItems.DefaultOpacity = DockItemsNormalOpacityTB.Value;
            DockSettings.SetEntry("DockItems", "DefaultOpacity", DockItemsNormalOpacityTB.Value.ToString());
            ParentObject.UpdateDockItemOpacity(DockSettings.DockItems.DefaultOpacity);
        }

        #endregion

        #region Labels Panel

        private void LabelFontChangeLink_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            if (Loaded == false)
                return;

            LabelFontDialog.Font = DockSettings.Labels.FontName;

            if (LabelFontDialog.ShowDialog() != DialogResult.Cancel)
            {
                TypeConverter FontConverter = TypeDescriptor.GetConverter(typeof(Font));
                String fontString = FontConverter.ConvertToString(LabelFontDialog.Font);

                LabelsFontName.Text = fontString;
                DockSettings.Labels.FontName = LabelFontDialog.Font;
                DockSettings.SetEntry("Labels", "FontName", fontString);
                ParentObject.RedrawDockItemLabels();
            }
        }

        private void LabelColorChangeLink_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            if (Loaded == false)
                return;

            if (LabelColorDialog.ShowDialog() != DialogResult.Cancel)
            {
                LabelColor.BackColor = LabelColorDialog.Color;
                DockSettings.Labels.FontColor = LabelColorDialog.Color;
                DockSettings.SetEntry("Labels", "FontColor", LabelColorDialog.Color.ToArgb().ToString());
                ParentObject.RedrawDockItemLabels();
            }
        }

        private void LabelShadowColorChange_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            if (Loaded == false)
                return;

            if (LabelShadowColorDialog.ShowDialog() != DialogResult.Cancel)
            {
                LabelShadowColor.BackColor = LabelShadowColorDialog.Color;
                DockSettings.Labels.ShadowColor = LabelShadowColorDialog.Color;
                DockSettings.SetEntry("Labels", "ShadowColor", LabelShadowColorDialog.Color.ToArgb().ToString());
                ParentObject.RedrawDockItemLabels();
            }
        }

        private void LabelNormalOpacityTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            LabelNormalOpacityValue.Text = LabelNormalOpacityTB.Value.ToString();
            DockSettings.Labels.DefaultOpacity = LabelNormalOpacityTB.Value;
            DockSettings.SetEntry("Labels", "DefaultOpacity", LabelNormalOpacityTB.Value.ToString());
            ParentObject.RedrawDockItemLabels();
        }

        private void LabelShadowSizeTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            LabelShadowSizeValue.Text = LabelShadowSizeTB.Value.ToString();
            DockSettings.Labels.ShadowSize = LabelShadowSizeTB.Value;
            DockSettings.SetEntry("Labels", "ShadowSize", LabelShadowSizeTB.Value.ToString());
            ParentObject.RedrawDockItemLabels();
        }

        private void LabelShadowDarknessTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            LabelShadowDarknessValue.Text = LabelShadowDarknessTB.Value.ToString();
            DockSettings.Labels.ShadowDarkness = LabelShadowDarknessTB.Value;
            DockSettings.SetEntry("Labels", "ShadowDarkness", LabelShadowDarknessTB.Value.ToString());
            ParentObject.RedrawDockItemLabels();
        }

        private void ShowLabelsCB_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.Labels.ShowLabels = ShowLabelsCB.Checked;
            DockSettings.SetEntry("Labels", "ShowLabels", ShowLabelsCB.Checked.ToString());
            if (ShowLabelsCB.Checked == false)
                ParentObject.resetDockLabels();
            ShowLabelsMouseOverCB.Enabled = ShowLabelsCB.Checked;
        }

        private void ShowLabelsMouseOverCB_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.SetEntry("Labels", "ShowLabelsOnMouseOverOnly", ShowLabelsMouseOverCB.Checked.ToString());
            DockSettings.Labels.ShowLabelsOnMouseOverOnly = ShowLabelsMouseOverCB.Checked;
            if (ShowLabelsMouseOverCB.Checked)
            {
                ParentObject.resetDockLabels();
            }
            else
            {
                if (ShowLabelsCB.Checked)
                    ParentObject.reshowDockLabels();
            }
        }

        #endregion

        #region Animation Panel

        private void RotationAnimationDurationTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            RotationAnimationDurationValue.Text = RotationAnimationDurationTB.Value.ToString();
            DockSettings.GeneralAnimation.RotationAnimationDuration = RotationAnimationDurationTB.Value;
            DockSettings.SetEntry("GeneralAnimation", "RotationAnimationDuration", RotationAnimationDurationTB.Value.ToString());
        }

        private void GeneralFrameRateTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            int CalculatedAnimationInterval = 1000 / GeneralFrameRateTB.Value;
            GeneralFrameRateValue.Text = GeneralFrameRateTB.Value.ToString();
            DockSettings.General.AnimationInterval = CalculatedAnimationInterval;
            DockSettings.SetEntry("GeneralAnimation", "AnimationInterval", CalculatedAnimationInterval.ToString());
            ParentObject.UpdateAnimationIntervals(CalculatedAnimationInterval);
        }

        private void FadeInFadeOutDurationTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            FadeInFadeOutDurationValue.Text = FadeInFadeOutDurationTB.Value.ToString();
            DockSettings.GeneralAnimation.FadeInFadeOutDuration = FadeInFadeOutDurationTB.Value;
            DockSettings.SetEntry("GeneralAnimation", "FadeInFadeOutDuration", FadeInFadeOutDurationTB.Value.ToString());
        }

        private void UsePoofAnimationWhenDeletingCB_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.PoofAnimation.UsePoof = UsePoofAnimationWhenDeletingCB.Checked;
            DockSettings.SetEntry("PoofAnimation", "UsePoof", UsePoofAnimationWhenDeletingCB.Checked.ToString());
        }

        #endregion

        #region About Panel

        private void AuthorLink_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
        {
            if (Loaded == false)
                return;
            System.Diagnostics.Process.Start("mailto:VideoInPicture@gmail.com");
        }

        private void HomepageLink_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
        {
            if (Loaded == false)
                return;
            System.Diagnostics.Process.Start("http://circledock.wikidot.com");
        }

        private void AboutWebForum_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            if (Loaded == false)
                return;
            System.Diagnostics.Process.Start("http://www.donationcoder.com/Forums/bb/index.php?board=240.0");
        }

        #endregion

        #region Help Panel

        private void HelpWebForum_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            if (Loaded == false)
                return;
            System.Diagnostics.Process.Start("http://www.donationcoder.com/Forums/bb/index.php?board=240.0");
        }

        private void HelpWebHelpFAQ_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            if (Loaded == false)
                return;
            System.Diagnostics.Process.Start("http://circledock.wikidot.com/help-faq");
        }

        #endregion

        #region Location Panel

        private void CentreAroundCursorWhenShownCB_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.General.CentreAroundCursor = CentreAroundCursorWhenShownCB.Checked;
            DockSettings.SetEntry("General", "CentreAroundCursor", CentreAroundCursorWhenShownCB.Checked.ToString());
        }

        #endregion

        #region Language File

        private void LanguageFileLocationBrowse_Click(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            LanguageFileDialog.InitialDirectory = Application.StartupPath + @"\System\Languages";
            LanguageFileDialog.ShowDialog();
        }

        private void LanguageFileDialog_FileOk(object sender, CancelEventArgs e)
        {
            String NewLanguagePath;
            if (LanguageFileDialog.FileName.StartsWith(Application.StartupPath + @"\"))
            {
                NewLanguagePath = @"." + LanguageFileDialog.FileName.Substring(Application.StartupPath.Length, LanguageFileDialog.FileName.Length - Application.StartupPath.Length);
            }
            else
            {
                NewLanguagePath = LanguageFileDialog.FileName;
            }

            LanguageFileLocationTextBox.Text = NewLanguagePath;

            DockSettings.SetEntry("Language", "Path", NewLanguagePath);
            DockSettings.Language.path = NewLanguagePath;

            Language.LoadLanguageDataFromNewFile(LanguageFileDialog.FileName);

            Loaded = false;
            InitializeSettings();
        }

        #endregion

        #region File -> Icon Associations

        private void DockFolderDefaultImageBrowse_Click(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockFolderDefaultImageDialog.InitialDirectory = Application.StartupPath + @"\System\Icons";
            DockFolderDefaultImageDialog.ShowDialog();
        }

        private void DockFolderDefaultImageDialog_FileOk(object sender, CancelEventArgs e)
        {
            if (Loaded == false)
                return;

            String NewImagePath;
            if (DockFolderDefaultImageDialog.FileName.StartsWith(Application.StartupPath + @"\"))
            {
                NewImagePath = @"." + DockFolderDefaultImageDialog.FileName.Substring(Application.StartupPath.Length, DockFolderDefaultImageDialog.FileName.Length - Application.StartupPath.Length);
            }
            else
            {
                NewImagePath = DockFolderDefaultImageDialog.FileName;
            }

            DockFolderDefaultImagePath.Text = NewImagePath;

            DockSettings.SetEntry("Folders", "DockFolderImagePath", NewImagePath);
            DockSettings.Folders.DockFolderImagePath = NewImagePath;

            try
            {
                Bitmap tempDockFolderImage;
                String DockFolderImagePath = DockSettings.Folders.DockFolderImagePath;
                if (DockFolderImagePath.StartsWith(@".\"))
                {
                    tempDockFolderImage = new Bitmap(Application.StartupPath + @DockFolderImagePath.Substring(1, DockFolderImagePath.Length - 1));
                }
                else
                {
                    tempDockFolderImage = new Bitmap(@DockFolderImagePath);
                }

                DockFolderDefaultImage.Image = tempDockFolderImage;
            }
            catch (Exception)
            {
                DockFolderDefaultImage.Image = CircleDock.ImageResources.MissingIcon;
            }
        }

        #endregion

        #region Toggling Panel

        private void ToggleVisibilityCtrlCB_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.Toggling.VisibilityCtrl = ToggleVisibilityCtrlCB.Checked;
            DockSettings.SetEntry("Toggling", "VisibilityCtrl", ToggleVisibilityCtrlCB.Checked.ToString());
            ParentObject.RegisterHotKeyToggleDock();

            if (ParentObject.ToggleDockHotKeyStatus == true)
                ToggleVisibilityHotkeyValid.Text = Language.SettingsPanel.ValidHotkeyCombination;
            else
                ToggleVisibilityHotkeyValid.Text = Language.SettingsPanel.InvalidHotKeyCombination;
        }

        private void ToggleVisibilityAltCB_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.Toggling.VisibilityAlt = ToggleVisibilityAltCB.Checked;
            DockSettings.SetEntry("Toggling", "VisibilityAlt", ToggleVisibilityAltCB.Checked.ToString());
            ParentObject.RegisterHotKeyToggleDock();

            if (ParentObject.ToggleDockHotKeyStatus == true)
                ToggleVisibilityHotkeyValid.Text = Language.SettingsPanel.ValidHotkeyCombination;
            else
                ToggleVisibilityHotkeyValid.Text = Language.SettingsPanel.InvalidHotKeyCombination;
        }

        private void ToggleVisibilityShiftCB_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.Toggling.VisibilityShift = ToggleVisibilityShiftCB.Checked;
            DockSettings.SetEntry("Toggling", "VisibilityShift", ToggleVisibilityShiftCB.Checked.ToString());
            ParentObject.RegisterHotKeyToggleDock();

            if (ParentObject.ToggleDockHotKeyStatus == true)
                ToggleVisibilityHotkeyValid.Text = Language.SettingsPanel.ValidHotkeyCombination;
            else
                ToggleVisibilityHotkeyValid.Text = Language.SettingsPanel.InvalidHotKeyCombination;
        }

        private void ToggleVisibilityWinCB_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.Toggling.VisibilityWin = ToggleVisibilityWinCB.Checked;
            DockSettings.SetEntry("Toggling", "VisibilityWin", ToggleVisibilityWinCB.Checked.ToString());
            ParentObject.RegisterHotKeyToggleDock();

            if (ParentObject.ToggleDockHotKeyStatus == true)
                ToggleVisibilityHotkeyValid.Text = Language.SettingsPanel.ValidHotkeyCombination;
            else
                ToggleVisibilityHotkeyValid.Text = Language.SettingsPanel.InvalidHotKeyCombination;
        }

        private void ToggleVisiblityKey1_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            KeysConverter ConvertKeys = new KeysConverter();
            Keys Key1 = (Keys)ConvertKeys.ConvertFromString(ToggleVisiblityKey1.SelectedItem.ToString());

            DockSettings.Toggling.VisibilityKey1 = (int)Key1;
            DockSettings.SetEntry("Toggling", "VisibilityKey1", ((int)Key1).ToString());
            ParentObject.RegisterHotKeyToggleDock();

            if (ParentObject.ToggleDockHotKeyStatus == true)
                ToggleVisibilityHotkeyValid.Text = Language.SettingsPanel.ValidHotkeyCombination;
            else
                ToggleVisibilityHotkeyValid.Text = Language.SettingsPanel.InvalidHotKeyCombination;

            this.Select(true, true);
        }

        private void ToggleVisiblityMouseButton_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.Toggling.VisibilityMouseButton = ToggleVisiblityMouseButton.Items[ToggleVisiblityMouseButton.SelectedIndex].ToString();
            DockSettings.SetEntry("Toggling", "VisibilityMouseButton", ToggleVisiblityMouseButton.Items[ToggleVisiblityMouseButton.SelectedIndex].ToString());
            ParentObject.SetMouseKeys();

            this.Select(true, true);
        }

        private void EdgeWidthHeightTB_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            EdgeWidthHeightValue.Text = EdgeWidthHeightTB.Value.ToString();
            DockSettings.Toggling.EdgeWidthHeight = EdgeWidthHeightTB.Value;
            DockSettings.SetEntry("Toggling", "EdgeWidthHeight", EdgeWidthHeightTB.Value.ToString());
        }

        private void ScreenLeftEdge_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.Toggling.ScreenLeftEdgeShow = ScreenLeftEdge.Checked;
            DockSettings.SetEntry("Toggling", "ScreenLeftEdgeShow", ScreenLeftEdge.Checked.ToString());
        }

        private void ScreenRightEdge_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.Toggling.ScreenRightEdgeShow = ScreenRightEdge.Checked;
            DockSettings.SetEntry("Toggling", "ScreenRightEdgeShow", ScreenRightEdge.Checked.ToString());
        }

        private void ScreenTopEdge_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.Toggling.ScreenTopEdgeShow = ScreenTopEdge.Checked;
            DockSettings.SetEntry("Toggling", "ScreenTopEdgeShow", ScreenTopEdge.Checked.ToString());
        }

        private void ScreenBottomEdge_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.Toggling.ScreenBottomEdgeShow = ScreenBottomEdge.Checked;
            DockSettings.SetEntry("Toggling", "ScreenBottomEdgeShow", ScreenBottomEdge.Checked.ToString());
        }

        #endregion

        private void zLevelComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            if (zLevelComboBox.SelectedIndex == 2)
            {
                //ParentObject.ShowAll();
                DockSettings.General.zLevel = "Always On Bottom";
                DockSettings.SetEntry("General", "zLevel", DockSettings.General.zLevel);
                //ParentObject.HideAll();
                Application.Restart();
            }
            else if (zLevelComboBox.SelectedIndex == 1)
            {
                DockSettings.General.zLevel = "Normal";
                DockSettings.SetEntry("General", "zLevel", DockSettings.General.zLevel);
            }
            else
            {
                DockSettings.General.zLevel = "Topmost";
                DockSettings.SetEntry("General", "zLevel", DockSettings.General.zLevel);
            }

            ParentObject.setZLevels();
        }

        #endregion

        private void dwellTimeTrackBar_Scroll(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            DockSettings.Toggling.dwellTime = dwellTimeTrackBar.Value;
            DockSettings.SetEntry("Toggling", "dwellTime", dwellTimeTrackBar.Value.ToString());
            dwellTimeValue.Text = DockSettings.Toggling.dwellTime.ToString();
        }

        private void DockSetup_Deactivate(object sender, EventArgs e)
        {

        }

        private void lockDockPositionCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            if (Loaded == false)
                return;

            TypeConverter PointConverter = TypeDescriptor.GetConverter(typeof(Point));

            CentreAroundCursorWhenShownCB.Enabled = !lockDockPositionCheckBox.Checked;
            DockSettings.General.lockDockPosition = lockDockPositionCheckBox.Checked;
            DockSettings.SetEntry("General", "lockDockPosition", lockDockPositionCheckBox.Checked.ToString());

            if (DockSettings.General.lockDockPosition)
            {
                DockSettings.General.lockedPosition = ParentObject.BackgroundObject.Location;
                DockSettings.SetEntry("General", "lockedPosition", PointConverter.ConvertToString(ParentObject.BackgroundObject.Location));
            }
        }

        


    }
}
